2007-11-16 21:07  pollux

	* NEWS: Updated NEWS

2007-11-16 20:59  pollux

	* po/ChangeLog, po/ro.po: Updated Romanian translations by Mişu
	  Moldovan <dumol@gnome.ro>

2007-11-15 09:35  mmassonnet

	* po/ChangeLog, po/pt_PT.po: Update pt_PT

2007-11-11 03:27  mmassonnet

	* po/ChangeLog, po/LINGUAS, po/lv.po: Add latvian translation to
	  4.4 branch

2007-11-10 20:29  olivier

	* themes/default-4.2/title-1-inactive.xpm: Missing quote

2007-11-07 22:01  olivier

	* ChangeLog, NEWS: Update ChangeLog

2007-11-07 21:52  olivier

	* src/client.c: Apply a patch from Andreas Lampersperger
	  <lampersperger.andreas@heidenhain.de> to improve ICCCM compliance
	  regarding synthetic ConfigureNotify event (Bug #3610)

2007-11-07 20:22  majkl

	* po/cs.po: Updated Czech translations

2007-11-03 10:25  maximilian

	* po/ChangeLog, po/nb_NO.po: French, Italian, Norwegian Bokmal
	  Updates in some branch 4.4 modules and French translation updates
	  in some trunk modules.

2007-11-03 05:16  erenturkay

	* po/tr.po: * update translation

2007-11-01 22:26  kelnos

	* po/am.po, po/fi.po, po/it.po, po/nb_NO.po, po/nl.po, po/pt_BR.po,
	  po/pt_PT.po, po/sk.po, po/tr.po: run update-po for 4.4 branch

2007-10-24 22:26  kelnos

	* configure.ac.in: remove trailing parens on AC_INIT version info
	  to work around bug
	  in intltool 0.35.x and 0.36.x

2007-10-20 19:29  olivier

	* src/netwm.c: Set all dock type windows sticky by default, a few
	  other window managers implement this behaviour and some apps rely
	  on this (bug #3609)

2007-09-03 17:30  mmassonnet

	* po/ChangeLog, po/pt_PT.po: * Update Portuguese translations by
	  Nuno Miguel.

2007-08-28 22:44  omaciel

	* po/ChangeLog, po/pt_BR.po: Updated translations for Brazilian
	  Portuguese by Fabio Nogueira.

2007-08-23 22:24  pollux

	* po/ChangeLog, po/sk.po: Updated Slovak translations

2007-07-01 07:08  maximilian

	* po/ChangeLog, po/pt_BR.po: Updated the Brazilian Portuguese
	  translations for the xfwm4 and mousepad packages. Updated a
	  mysteriously forgotten European Portuguese translation for the
	  xfdesktop package.

2007-06-26 21:10  olivier

	* NEWS, src/client.c, src/netwm.c: Be more relax with transients,
	  allow transients to be sticky independently of their parent
	  window (Bug #3296)

2007-06-21 22:47  olivier

	* NEWS: Typo in NEWS file

2007-06-21 22:28  olivier

	* NEWS, src/client.c, src/display.c, src/display.h, src/hints.c,
	  src/hints.h: Fix xfwm4 hanging with gtk+-2.11.x (Bug #3346) -
	  Patch based on a similar fix for Metacity, see gnome bug #354213

2007-06-16 23:17  olivier

	* NEWS, src/client.c, src/settings.c: Plug a leak in mouse button
	  grab when changing theme

2007-06-16 19:15  maximilian

	* po/ChangeLog, po/nl.po: * nl.po: Updated some Xfce 4.4
	  translations

2007-06-15 18:01  daichi

	* po/ChangeLog, po/LINGUAS, po/am.po: Added Amharic translations by
	  Tegegne Tefera <tefera@mekuria.com>.

2007-06-14 20:58  maximilian

	* po/ChangeLog, po/pt_PT.po: * nl.po: Updated Thunar's translation
	  * ka.po: Updated Xfce 4.0 translations
	  * pt_PT.po: Updated and added new files to the Xfce 4.4
	  translations

2007-06-10 23:25  maximilian

	* po/ChangeLog, po/fr.po, po/nb_NO.po: * nb_NO: Updated some
	  Norwegian translations and added one for Xfmedia
	  * pt_PT: Added European Portuguese translations
	  * Changed my email address

2007-06-03 15:33  olivier

	* src/placement.c: Small indentation issue

2007-06-03 15:21  olivier

	* NEWS, src/placement.c, src/placement.h: Fix dialogs and modals
	  without parents not being automatically centered like before
	  (#Bug #3278)

2007-06-03 08:21  olivier

	* src/settings.c: Woops, those BUTTON_COUNT/BUTTON_LAST are really
	  confusing, I should fix that.

2007-06-03 00:00  olivier

	* src/client.c, src/settings.c: Leak fix (backported from a patch
	  by Phil Vandry <vandry@tzone.org>)

2007-05-24 19:39  olivier

	* doc/C/xfwm4.html, doc/fr/xfwm4.html, doc/it/xfwm4.html: Update
	  doc

2007-05-15 18:28  jari

	* po/ChangeLog, po/fi.po: Updated Finnish translation.

2007-05-13 08:40  maximilian

	* po/ChangeLog: Updated the Changelogs...

2007-05-13 08:28  maximilian

	* po/nb_NO.po: Updated and added Norwegian Bokmal translations to
	  the 4.4 branch.

2007-05-07 18:27  maximilian

	* po/ChangeLog, po/it.po: Updated the Italian translations in
	  branch and updated the AUTHORS files.

2007-05-02 21:08  olivier

	* src/keyboard.c: Code cleanup

2007-05-02 05:47  olivier

	* NEWS, src/keyboard.c: Fix modifier mask not working with all
	  keynaps (Bug #3194)

2007-05-01 15:03  olivier

	* src/keyboard.c: Small cleanup

2007-05-01 14:38  olivier

	* src/keyboard.c: Revert to modifier mapping from xfwm4 version 4.0
	  (Bug #3194)

2007-04-27 20:01  olivier

	* NEWS: Update NEWS file

2007-04-27 20:01  olivier

	* Makefile.am, src/events.c, src/settings.h: Fix wrong count of key
	  shortcut causing switch to last workspace on modifier key press
	  if no window is focused (Bug #3191), fix spec file missing from
	  the tar ball causing 'make dist' to fail

2007-04-22 21:04  olivier

	* NEWS, src/stacking.c: Fix strick bound checking causing wrong
	  window to be focused in focus follow mouse (Bug #2781)

2007-04-20 21:30  olivier

	* NEWS, src/transients.c: Transients for group shouldn't apply to
	  other transients, or it breaks stacking for some apps, noticeably
	  mozilla "save as" dialog...

2007-04-16 10:10  piarres

	* po/ChangeLog, po/eu.po: xfwm4 basque translationupdate (4.4)

2007-04-15 11:06  olivier

	* configure.ac.in: Update version

2007-04-14 12:14  olivier

	* ChangeLog, NEWS: Update news and change log

2007-04-14 08:48  erenturkay

	* po/tr.po: ops, forgot to translate

2007-04-11 22:39  olivier

	* src/frame.c: Fix stupid typo

2007-04-09 20:58  olivier

	* NEWS: Forgot to commit

2007-04-09 16:19  olivier

	* ChangeLog: Update ChangeLog for Xfce 4.4.1

2007-04-09 13:50  maximilian

	* po/ChangeLog, po/ar.po, po/az.po, po/be.po, po/bg.po,
	  po/bn_IN.po, po/ca.po, po/cs.po, po/de.po, po/dz.po, po/el.po,
	  po/en_GB.po, po/eo.po, po/es.po, po/es_MX.po, po/et.po, po/eu.po,
	  po/fa.po, po/fi.po, po/fr.po, po/gl.po, po/gu.po, po/he.po,
	  po/hi.po, po/hu.po, po/it.po, po/ja.po, po/ka.po, po/ko.po,
	  po/lt.po, po/mk.po, po/mr.po, po/ms.po, po/nb_NO.po, po/nl.po,
	  po/pa.po, po/pl.po, po/pt_BR.po, po/pt_PT.po, po/ro.po, po/ru.po,
	  po/sk.po, po/sv.po, po/ta.po, po/tr.po, po/uk.po, po/vi.po,
	  po/xfwm4.pot, po/zh_CN.po, po/zh_TW.po: * *.po: Updated .pot and
	  .po files for Xfdesktop and Xfwm4
	  * de.po: Updated xfwm4's German file in trunk
	  * fr.po: Fixed headers in 4.4 branch
	  * Updated xfce-utils AUTHORS file for trunk and 4.4 branch

2007-04-09 10:05  maximilian

	* po/fr.po: * fr.po: Fixed typos and style in the French
	  translation of Terminal's manual
	  * Changed my email address in all the fr.po files in trunk and
	  4.4

2007-04-07 16:06  stephan

	* po/ChangeLog, po/nl.po: Updated Dutch translations

2007-04-07 09:33  daichi

	* po/ChangeLog, po/ja.po: Updated Japanese translations etc.

2007-04-06 19:34  olivier

	* src/netwm.c, src/transients.c: Treat dialogs and utility windows
	  as transient for group

2007-04-06 06:30  sas

	* po/hu.po: Hungarian 4.4 fixes

2007-04-05 11:05  paurullan

	* po/ChangeLog, po/ca.po: i18n catalan update

2007-04-04 15:58  maximilian

	* po/ChangeLog, po/it.po: * it.po: Updated most of the Xfce 4.4
	  Italian translations
	  and added xfdesktop's translated menu files.

2007-04-02 19:48  olivier

	* defaults/defaults, doc/C/xfwm4.html, doc/C/xfwm4.xml,
	  doc/fr/xfwm4.html, doc/it/xfwm4.html, src/client.c, src/events.c,
	  src/settings.c, src/settings.h: Implement a better (usability)
	  fix for windows that raise themselves (Bug #2961)

2007-04-02 19:32  olivier

	* src/display.c, src/display.h, src/frame.c: Add support for shape
	  input with XShape extension 1.1 (Bug #3092)

2007-04-02 15:29  maximilian

	* po/ChangeLog, po/pl.po: Updated the Polish translations for Xfce
	  4.4.

2007-03-28 20:50  maximilian

	* po/ChangeLog, po/de.po: * de.po: Nico Schümann minor fixes to the
	  Xfce 4.4 German translations

2007-03-25 18:37  daichi

	* po/ChangeLog, po/ja.po: Updated Japanese translations.

2007-03-25 12:28  daichi

	* po/ChangeLog, po/gl.po: Fixed.

2007-03-25 11:51  daichi

	* po/ChangeLog, po/mk.po: Removed executable attribute.

2007-03-25 10:40  maximilian

	* po/ChangeLog, po/en_GB.po: Fixed minor issues in some German,
	  Dutch and French translations.
	  
	  * en_GB: Added new and updated British English translations
	  by Jeff Bailes <thepizzaking@gmail.com>

2007-03-24 17:10  maximilian

	* po/ChangeLog, po/de.po: Fixed some spelling mistakes in the
	  German translations, by Nico Schümann.

2007-03-21 07:49  stephan

	* po/ChangeLog, po/nl.po: Updated Dutch translations

2007-03-18 10:38  erenturkay

	* po/ChangeLog: update ChangeLog

2007-03-17 09:26  olivier

	* NEWS, mcs-plugin/wmtweaks_plugin.c: Do not set toggle workspace
	  by default as it seems it confuse newcomers.

2007-03-15 22:29  olivier

	* src/stacking.c, src/workspaces.c: Check only visible windows to
	  see if client is on top of stack (bug #2960)

2007-03-13 21:44  olivier

	* mcs-plugin/xfwm4_plugin.c, src/client.c, src/settings.c: Make the
	  title button in the xfwm4 settings manager dragable, patch from
	  Peter de Ridder <cavalier38@gmail.com>, bug #3000)

2007-03-13 21:13  olivier

	* ChangeLog, NEWS, defaults/defaults, doc/C/xfwm4.html,
	  doc/C/xfwm4.xml, src/client.c, src/events.c, src/settings.c,
	  src/settings.h: Add new hidden option to instruct xfwm4 not to
	  bring window back on current workspace when activated (bug #2961)

2007-03-13 06:47  olivier

	* NEWS: Update NEWS file

2007-03-07 21:03  olivier

	* src/client.c, src/netwm.c: Update frame extents when the window
	  decoration extents change.

2007-03-07 21:01  olivier

	* src/client.c: Fix a misinterpretation of ICCCM about when to send
	  a synthetic configureNotify event (bug #2977).

2007-03-07 21:01  olivier

	* src/netwm.c: Place splash screen windows on the normal layer, so
	  that dialogs that get mapped during startup have a chance to be
	  placed above the splash screen.

2007-03-04 07:20  erenturkay

	* po/tr.po: update Turkish translation

2007-03-03 09:41  mvd

	* po/uk.po: 2007-03-03 Maxim Dziumanenko <dziumanenko@gmail.com>
	  
	  * Update Ukrainian translation.

2007-03-02 21:35  olivier

	* src/workspaces.c: Raise focused window on workspace switch (bug
	  #2960)

2007-03-01 21:31  olivier

	* src/events.c, src/misc.c, src/workspaces.c: Sort Z-order on
	  workspace change (bug #2960)

2007-02-07 14:24  maximilian

	* po/ChangeLog, po/zh_CN.po: Updated the Chinese (simplified)
	  translations by Wu Li and fixed some accelerators in the French
	  translations.

2007-02-04 21:14  maximilian

	* po/ChangeLog, po/sq.po: Added the Albanian translations by Besnik
	  Bleta

2007-01-29 20:45  olivier

	* ChangeLog, INSTALL, src/client.c: Fix the small lag before icon
	  update at first map and when updating all frames at once, remove
	  the INSTALL file from SVN as we ship the default file that gets
	  updated by autogen.sh, update ChangeLog

2007-01-24 22:57  kelnos

	* .: branch for 4.4

2007-01-24 21:42  olivier

	* : Use timeout for frame redraw, check actual WM name changes to
	  work around apps that falsely update their WM name property (Bug
	  #2810).

2007-01-21 14:08  maximilian

	* : * fr.po: Minor changes to the French translations
	  in xfce-utils, libxfce4util and mousepad
	  * pl.po: Updated the Polish translation by Szymon Kałasz
	  <szymon_maestro@gazeta.pl>
	  in thunar and mousepad.
	  * ro.po: Updated the Romanian translation by Mişu Moldovan
	  <dumol@gnome.ro>
	  in most core packages.

2007-01-20 18:19  benny

	* : Bump version. Update NEWS. Update Project-Id-Version.

2007-01-20 16:35  gnu_sylvain

	* : Updated Esperanto translations.

2007-01-20 03:24  nab

	* : 2007-01-20 Alexander Nyakhaychyk <nyakhaychyk@gmail.com>
	  
	  * be.po: Updated Belarusian Translation

2007-01-19 21:45  olivier

	* : Update version

2007-01-19 19:57  olivier

	* : Beuh, wrong version numbers

2007-01-19 19:47  olivier

	* : Update news file

2007-01-19 18:06  olivier

	* : Update ChangeLog

2007-01-19 18:01  olivier

	* : A bit more of shadow

2007-01-19 01:13  nab

	* : 2007-01-19 Alexander Nyakhaychyk <nyakhaychyk@gmail.com>
	  
	  * be.po: Updated Belarusian Translation

2007-01-18 23:10  eulex

	* : Updated Swedish translations for:
	  * libexo
	  * libxfcegui4
	  * mousepad
	  * thunar
	  * xfcalendar
	  * xfce4-appfinder
	  * xfce4-panel
	  * xfce-mcs-plugins
	  * xfce-utils
	  * xfdesktop
	  * xfprint
	  * xfwm4
	  
	  Also thus updated appropriate ChangeLog files.

2007-01-17 20:23  olivier

	* : Use smaller title height, as requested on devel irc channel...

2007-01-16 22:24  olivier

	* : Switch themes

2007-01-16 22:19  olivier

	* : Mess up with svn

2007-01-16 22:19  olivier

	* : Mess up with svn

2007-01-16 22:05  olivier

	* : Remove generated files

2007-01-16 21:59  olivier

	* : Use OT|SHMC as default button layout as suggested on irc

2007-01-12 17:43  olivier

	* : Use screen from xevent instead of client for keypress (Bug
	  #2749)

2007-01-11 20:25  olivier

	* : Minor code reorg

2007-01-11 20:13  olivier

	* : Raise/focus when using alt+left-click for resize for
	  consistency with move

2007-01-10 20:50  olivier

	* : Be more permissive toward stick/unstick (bug #2735)

2007-01-08 21:02  olivier

	* : Ignore focus stealing prevention between windows of the same
	  group or between windows that have a transient relationship.

2007-01-07 20:23  olivier

	* : Rework grab release (trying to fix bug #2694)

2007-01-07 18:54  olivier

	* : Add some comments to help reading the code

2007-01-05 17:37  aalam

	* : updating translation for Punjabi

2007-01-05 03:19  maximilian

	* : Updated the German translations by Fabian Nowak for a few
	  packages and updated the French translation of libexo.

2007-01-03 17:58  olivier

	* : Fix display of ARGB32 windows with compositing enabled but
	  without compositor active.

2007-01-02 19:13  olivier

	* : Apply NET_WM_STATE_DEMANDS_ATTENTION changes (otherwise it
	  breaks xfwm4 demand attention mechanism), but do not obey client
	  state change requests for NET_WM_STATE_DEMANDS_ATTENTION if the
	  client is already focused.

2007-01-02 13:27  maximilian

	* : Updated the Belarusian translations by Alexander Nyakhaychyk
	  for the xfce4-session, xfdesktop and xfwm4 packages. Made small
	  corrections in thunar and terminal french translations.

2007-01-01 09:05  olivier

	* : Apply patch from Mike Massonnet that fixes an error in Stonage
	  decoration theme (Bug #2696)

2006-12-30 21:58  olivier

	* : Do not apply NET_WM_STATE_DEMANDS_ATTENTION if client is
	  already focused, as some apps seem to request
	  NET_WM_STATE_DEMANDS_ATTENTION state even while focused (See
	  comment #14 in bug #2678)

2006-12-25 11:14  maximilian

	* : Added the new translations from the Macedonian team for plenty
	  of packages, Merry Christmas

2006-12-23 20:46  olivier

	* : Set the demands attention flag with focus prevention enabled
	  only (Bug #2678)

2006-12-23 15:21  olivier

	* : Forgot to update the NET_WM_STATE when the client requests an
	  update of NET_WM_STATE_DEMANDS_ATTENTION (Bug #2678)

2006-12-22 20:55  olivier

	* : Use an existing convenient macro instead of simple value
	  comparison to compare time stamps.

2006-12-22 20:21  olivier

	* : Focus the internal fallback window when focus is transfered to
	  a window that doesn't have InputHint set but still use
	  WM_PROTOCOLS_TAKE_FOCUS (ie, there is no way for the window
	  manager to tell whether or not the client will accept focus in
	  the end since focus is set by the client alone through the 'take
	  focus' mechanism) - Fix bug #1853 without breaking #2410

2006-12-20 22:20  olivier

	* : Add missing makefile.in

2006-12-20 20:58  olivier

	* : SVG update and cleanup

2006-12-19 22:04  olivier

	* : No need to redraw if not visible

2006-12-19 21:54  olivier

	* : Fix redraw problem with compositor

2006-12-19 21:37  olivier

	* : Update application icon asynchronously to avoid queuing useless
	  icon updates (Ubuntu/Launchpad bug #61424)

2006-12-17 21:02  olivier

	* : Revert top hilight gradient that was changed by accident

2006-12-17 08:45  olivier

	* : Mass update of svg files

2006-12-17 00:48  olivier

	* : Add "mopti" similar to RC2 default theme, recreate PNG from SVG
	  using latest librsvg based on cairo.

2006-12-16 23:40  stephan

	* : updated xfwm4 translation

2006-12-15 07:44  stephan

	* : Updated Dutch xfwm4 translation

2006-12-14 21:57  olivier

	* : Update ChangeLog

2006-12-14 21:49  olivier

	* : Fix user focus timetamp being falsely reset to 0 causing some
	  windows to be started un-focused (Bug #2664), re-add some traces
	  (which compile with -Werror this time), small code/api cleanup.

2006-12-14 19:40  olivier

	* : Remove shadow on dock-type windows (bug #2648),
	  prevent fullscreen windows from beeing maximized (Bug #2663).

2006-12-13 22:01  olivier

	* : Fix build with -Werror, remove some useless #includes and add
	  some others (actually, time.h and sys/time.h were not required
	  since Time is defined in X.h anyway).

2006-12-13 20:15  olivier

	* : Use timestamp provided by NET_ACTIVE_WINDOW and
	  NET_CURRENT_DESKTOP messages from EWMH version 1.3 and above, fix
	  focus transition with NET_CURRENT_DESKTOP messages causing either
	  flickering or wrong restacking on workspace switch (bug #2654),
	  fix serious bug introduced with previous commit causing xfwm4 to
	  quit on any selection MESSAGE notify.

2006-12-12 20:07  olivier

	* : Quit nicely when MANAGE client message is received, so that
	  xfwm4 obeys to ICCCM2 standard (bug #2374)

2006-12-10 21:48  olivier

	* : Fix demands attention being activated when it shouldn't, add
	  more traces

2006-12-07 19:45  olivier

	* : Fix a bug introduced with last commit.

2006-12-06 21:39  olivier

	* : Improve focus stealing prevention.

2006-12-06 06:47  olivier

	* : Auto-maximize regular windows only.

2006-12-05 20:00  olivier

	* : Be a lot more paranoid about what broken apps set as struts.

2006-12-04 20:31  olivier

	* : Plug a huge X resources leak in handleMappingNotify () (bug
	  #2618)

2006-12-01 21:03  olivier

	* : SVG themes update

2006-11-30 20:46  olivier

	* : Increment xfwm4 version to avoid confusion

2006-11-30 20:24  olivier

	* : Full height buttons

2006-11-30 20:11  olivier

	* : Add some internal flags and comments in compositor to help
	  reading the code

2006-11-30 20:10  olivier

	* : Update themes

2006-11-30 20:09  olivier

	* : Do not prevent stick when skip taskbar is set

2006-11-30 18:23  stavrosg

	* : E-mail address change. Sorry for the noise.

2006-11-29 20:58  olivier

	* : Redo Daloa theme using SVG

2006-11-28 21:39  olivier

	* : Round lower shadows in corner

2006-11-28 18:45  olivier

	* : Much brighter top light reflection.

2006-11-27 20:33  olivier

	* : Re-enable focus passing to previously focused window (req. on
	  ML)

2006-11-27 18:31  olivier

	* : Focus windows that raise themselves if focus stealing
	  prevention is disabled, and set demands attention flag otherwise,
	  that should improve focus prevention.

2006-11-27 18:30  olivier

	* : Remove debug code committed by mistake

2006-11-26 22:01  olivier

	* : Put back top reflection

2006-11-26 18:49  paurullan

	* : i18n catalan update

2006-11-26 18:38  olivier

	* : Back to previous theme.

2006-11-26 17:21  olivier

	* : Hilight/shadow

2006-11-25 22:02  olivier

	* : Add a top hilight

2006-11-25 20:15  olivier

	* :

2006-11-25 12:46  olivier

	* : Use positive gradient in title bar

2006-11-25 12:46  olivier

	* : Rework resize a bit

2006-11-24 20:18  olivier

	* : Put back raise on focus timeout

2006-11-24 20:12  olivier

	* : Theme stuff

2006-11-24 20:11  olivier

	* : Small code reorg, disable raising of windows when on FocusIn
	  event.

2006-11-23 21:54  olivier

	* : Humm, don't cancel existing timeouts, it's safer...

2006-11-23 21:40  olivier

	* : Add a small optimization

2006-11-23 21:26  olivier

	* : Keep focus on sticky windows only for regular windows w/out
	  skip taskbar/pager property (Bug 2603)

2006-11-22 20:42  olivier

	* : Reorg. the code a bit, not sure what I'll do with those
	  changes, though.

2006-11-21 22:34  olivier

	* : Improve resize (Bug #2597)

2006-11-21 20:47  olivier

	* : Be more permissive with resizes towards struts (Bug #2597,
	  bis), optimize shape use.

2006-11-20 22:15  olivier

	* : Be more permissive with resizes towards struts (Bug #2597)

2006-11-20 21:52  olivier

	* : Be more permissive with keyboard resizes towards struts (Bug
	  #2597)

2006-11-20 19:59  olivier

	* : Fix off-by-one causing windows to be moved wrongly via keyboard
	  (patch from Darren Salt <linux@youmustbejoking.demon.co.uk>, bug
	  #2594)

2006-11-19 13:30  olivier

	* : Revert to 27 pix. height after all.

2006-11-18 21:51  olivier

	* : Larger title too, as screen tend to get larger

2006-11-18 21:42  olivier

	* : Enlarge window borders to 6 pixels to improve usability of the
	  default theme on larger screens

2006-11-16 01:18  yuvaltanny

	* : Updated Hebrew translations

2006-11-14 20:48  olivier

	* : Revert last change

2006-11-13 19:47  olivier

	* : Do not reset time to CurrentTime with events that don't feature
	  a timestamp (actually, it's a revert of on commit I made a few
	  days ago).

2006-11-11 15:20  olivier

	* : Use actual string length instead of -1 in g_ascii_strup/strdown

2006-11-10 22:00  olivier

	* : Wrong logical test

2006-11-10 20:47  olivier

	* : Enter key doesn't work for "Add keybinding theme" dialog (Bug
	  #2560, patch by Brian Tarricone <bjt23@cornell.edu>)

2006-11-10 20:43  olivier

	* : Use focus pending with with apps that use WM_FLAG_TAKEFOCUS
	  protocol too (Bug #2561)

2006-11-10 20:35  olivier

	* : Hide as more windows when showing desktop (Bug #2518)

2006-11-09 20:25  olivier

	* : Move all required version numbers to the top of configure.ac.in
	  to make changing them easy.

2006-11-09 18:25  olivier

	* : Smoother top window hilight

2006-11-09 18:09  olivier

	* : Don't skip windows that have the skip pager/taskbar properties
	  when searching for windows below the pointer (bug #2550)

2006-11-08 22:11  olivier

	* : Small addition to compositor documentation

2006-11-08 20:17  olivier

	* : Cleanup SVG sources.

2006-11-08 19:44  olivier

	* : SVG tweak

2006-11-08 19:05  olivier

	* : Remove vaccumdefs.sh, add new target "make vacuum-defs".

2006-11-07 21:18  olivier

	* : Update ChangeLog

2006-11-07 21:02  olivier

	* : Add a new target "make update-png" instead of regenerating the
	  PNG files
	  automatically as SVN doesn't preserve the mtime of the file, some
	  files
	  where generated on the build system where rsvg might not be
	  available,
	  or available in a different version producing slightly different
	  output,
	  thus causing visual discrepancies in the resulting theme...

2006-11-07 20:26  olivier

	* : Fix focus transitionning to root taking into account the
	  pending focus too, so that focus doesn't return to the fallback
	  internal window when it should return to some other client window
	  (like when an application closes with a modal dialog opened). <=
	  If you understand what I mean here, you're tough!

2006-11-07 20:21  olivier

	* : Fix segafault bug introduced yesterday when fixing KD systray.

2006-11-06 22:03  olivier

	* : Check for valid transient or modal when switching workspaces,
	  to avoid missing windows to unmap (bug #2518).

2006-11-06 21:59  olivier

	* : Fix compilation with --enable-kde-systray (bug #2511).

2006-11-05 18:54  paurullan

	* : i18n Korean update

2006-11-05 09:54  benny

	* : Bump version and requirements. Update Project-Id-Version.

2006-11-04 22:36  olivier

	* : Use X server time to restore focus when sent to the root window
	  (bug #2472), a bit of code cleanup and some refactoring.

2006-11-04 14:14  paurullan

	* : i18n catalan update

2006-11-03 20:37  olivier

	* : Update ChangeLog

2006-11-03 19:30  olivier

	* : Resize the frame before the client, otherwise OOo 1.1.x gets
	  totally confused on resize.

2006-11-03 11:44  stephan

	* : Updated Dutch xfwm4 translation

2006-11-02 21:48  olivier

	* : Re-enable XSync on apps that don't cooperate.

2006-11-02 21:18  olivier

	* : Add timeout to avoid blocking on broken apps that claim XSync
	  compliance but don't implement the protocol properly.

2006-11-02 06:43  olivier

	* : Reuse same event.

2006-11-01 21:24  olivier

	* : Update EWMH compliance.

2006-11-01 21:14  olivier

	* : Add support to NET_WM_MOVERESIZE

2006-11-01 21:13  olivier

	* : Fix compilation warnings

2006-11-01 18:06  olivier

	* : Add support for XSync protocol in configure script.

2006-11-01 18:02  olivier

	* : Add support for XSync protocol.

2006-11-01 12:28  olivier

	* : Do not raise on WM_TRANSIENT_FOR property change, fix bug
	  #2483.

2006-11-01 00:27  olivier

	* : Get rid of resize limit speed for good.

2006-10-31 23:56  olivier

	* : Optimize configure flags for resize.

2006-10-31 21:21  olivier

	* : Add a focus "parachute", remove a roundtrip.

2006-10-30 23:05  olivier

	* : Disable resize limit by default

2006-10-30 22:17  olivier

	* : Optimize move/resize

2006-10-30 17:41  olivier

	* : Improve yesterday patch on focus transition.

2006-10-29 22:59  olivier

	* : This fixes several focus issues for me, but since focus is a
	  sensitive beast, to say the least, so I dunno about others.

2006-10-29 16:31  maximilian

	* : Updated libexo and terminal's french translations, added
	  translators credits to the thunar french translation, fixed a
	  wrong accel. in xfdesktop (thx goes to Mike Massonnet) and fixed
	  some typos in xfwm4's french translation.

2006-10-29 14:51  pollux

	* : allow the usage of 'Alt+C' in shortcuts (unfortunately it adds
	  a string too)

2006-10-28 13:04  paurullan

	* : added whole Dzongkha translation
	  
	  congratulations to the dz team.

2006-10-26 16:51  olivier

	* : Use slightly larger height for title bar.

2006-10-25 21:56  olivier

	* : Fix gradients on top corners.

2006-10-25 19:33  olivier

	* : Enlarge the menu button so that it's the same size as other
	  buttons.

2006-10-24 20:45  olivier

	* : Fix visual/depth/colormap with and without render.

2006-10-24 19:25  olivier

	* : Add a configure option to disable render at compile time, fix
	  depth/visual mismatch with some applications when render is
	  disabled (bug #1617).

2006-10-23 20:05  olivier

	* : Do not match windows that we don't place, that avoids some
	  misplacements.

2006-10-22 17:53  adriano

	* : Updated brazilian portuguese translations.

2006-10-22 13:18  olivier

	* : Use full title height for menu button too.

2006-10-20 21:29  olivier

	* : Increase buttons height of the default theme, to improve
	  usability with pointing devices such as touchscreens or tablet
	  PC.

2006-10-19 18:54  jari

	* : Updated Finnish translations.

2006-10-18 19:59  olivier

	* : Build png out of svg files for the default theme, but do not
	  install the later (Should speed up theme loading and improve
	  rendering on display with higher DPI).

2006-10-14 17:26  olivier

	* : Fix typos, as I've added the link from the fd.o wiki.

2006-10-14 17:14  olivier

	* : Update the README file, add standard compliance list.

2006-10-14 12:40  paurullan

	* : i18n polish update

2006-10-14 07:28  olivier

	* : Yet, again, compositing initialization.

2006-10-14 07:20  stavrosg

	* : Xfwm4 Greek translation update.

2006-10-13 20:48  olivier

	* : Fix compositing, again... Bug #2428.

2006-10-13 19:40  olivier

	* : Update ChangeLog

2006-10-13 17:35  olivier

	* : Code cleanup to ease future mantainance.

2006-10-12 21:34  olivier

	* : Improve focus transition on workspace switch

2006-10-12 21:24  piarres

	* : xfwm4 basque translation update

2006-10-12 20:31  olivier

	* : Improve workspace switch, map newer windows before unmapping
	  previous ones to reduce expose events (Bug #2409), improve focus
	  transition (Bug #2408).

2006-10-12 20:26  olivier

	* : Use raise with any button on regular focusable windows only.

2006-10-12 20:23  olivier

	* : Set focus on desktop with showing desktop (Bug #2410)

2006-10-12 20:22  olivier

	* : Fix automatic compositing w/out breaking manual compositing
	  (take 3!)

2006-10-12 03:40  paurullan

	* : i18n cs uptated translations

2006-10-11 20:00  olivier

	* : Fix transient/modal for several

2006-10-11 19:31  olivier

	* : Woops, some changes have leaked in previous commit by
	  mistake...

2006-10-11 19:22  olivier

	* : Fix compositor availability check, bug #2418.

2006-10-09 22:21  sas

	* : wm & archiver updated

2006-10-09 20:58  olivier

	* : Placement of the menu when open with the key shortcut.

2006-10-09 20:21  olivier

	* : Fix compilation with --enable-debug=full

2006-10-09 19:55  olivier

	* : Fix deadlock with previous commit.

2006-10-09 19:36  olivier

	* : Add window operations menu shortcut - 2 strings were added and
	  need translations

2006-10-08 20:40  olivier

	* : Increase border width to 5 pixels

2006-10-08 19:27  olivier

	* : Increase title height to 25 pixels

2006-10-07 22:19  olivier

	* : Use 50% gray with 50% transparency for inactive buttons, so
	  they can stay visible with dark colors too.

2006-10-07 21:15  olivier

	* : Fix CompositeRedirectAutomatic

2006-10-07 20:08  olivier

	* : Fix wrong reordering of key constants using alphabetical order

2006-10-07 17:37  olivier

	* : Improve unreparenting windows with Xorg <= 7.0

2006-10-07 08:34  olivier

	* : Remove path from buttons

2006-10-07 07:47  olivier

	* : Remove work around for unmap/map notifies on
	  CompositeUnredirectWindow() because it was a bug in Xorg <= 7.0
	  that breaks in Xorg >= 7.1 (thus bug #64115 in Ubuntu Launchpad
	  https://launchpad.net/distros/ubuntu/+source/xfwm4/+bug/64115) -
	  See
	  http://lists.freedesktop.org/archives/xorg/2005-October/010679.html
	  for the rationale (Thanks Soeren!) - It means that unredirecting
	  fullscreen windows *will* misbehave in Xorg 7.0 and previous
	  versions

2006-10-06 20:19  olivier

	* : Rework theme

2006-10-05 21:28  olivier

	* : Trivial trace message

2006-10-05 21:26  olivier

	* : PO update

2006-10-05 21:24  olivier

	* : Improve unredirection vs. map/unmap

2006-10-05 20:02  olivier

	* : Rework top corners' curves

2006-10-04 21:32  olivier

	* : Init ignore_unmaps to 0 instead of 1 at first unredirect, it
	  seems to make more sense (and also it fixes a bug with
	  xscreensaver) - Might break elsewhere though, but still needs
	  fixing.

2006-10-04 19:21  olivier

	* : Adjust gradient gravity

2006-10-03 21:10  olivier

	* : Various optimizations: Do not draw wire frame when cycling is
	  over, do not relocate the window on maximize/unmaximize if
	  restore position is not set, increase the limit of resize per
	  seconds to 50

2006-10-02 22:13  olivier

	* : Missing bits

2006-10-02 22:11  olivier

	* : Change default theme for the new SVG based theme, previous
	  theme renamed as Sassandra

2006-10-02 21:20  olivier

	* : Remove dependency on micro version, rework error handling in
	  pixbuf loading, add cancel option when cycling (bug #2373), and
	  other fixes

2006-10-02 21:03  paurullan

	* : i18n updated Russian translations

2006-09-26 20:38  olivier

	* : Fix restore of original size/position of maximized windows
	  restored by session management.

2006-09-23 11:31  pollux

	* : various translations updates

2006-09-20 11:54  paurullan

	* : updated catalan translations

2006-09-19 19:46  olivier

	* : Enlarge shadows on Moheli theme

2006-09-19 19:40  olivier

	* : Fix regression introduced with rev. 22806 (shaded windows
	  should be moved on screen to stay visible).

2006-09-18 20:43  paurullan

	* : [i18n] updated catalan translation

2006-09-18 20:23  olivier

	* : Move compositor specific code within proper #ifdef portion (bug
	  #2335).

2006-09-17 13:33  pollux

	* : updated French and Czech translations

2006-09-13 20:14  olivier

	* : text shadow

2006-09-12 15:40  jari

	* : Updated Finnish translations.

2006-09-11 20:39  olivier

	* : Set focus flag on windows initially mapped on other desktops

2006-09-10 08:45  olivier

	* : Grab keys on root instead of each client window, that saves a
	  *lot* of grabs, makes the code simpler and also fix the keyboard
	  shortcuts not working on shaded windows (Bug #2291).

2006-09-09 21:11  piarres

	* : xfwm4 basque translation update

2006-09-08 18:14  olivier

	* : React on key release so that we have the same behaviour as in
	  the keyboard shortcut plugin

2006-09-07 18:58  pollux

	* : Updated Vietnamese translations

2006-09-04 19:11  olivier

	* : Add option for borderless maximize to WM tweak plugin, optimize
	  repaint and recompute maximized window geometry.

2006-09-03 22:22  olivier

	* : Add hidden option to show/hide border on maximized windows (bug
	  #2257)

2006-09-03 19:00  pollux

	* : Updated Brazilian Portuguese translations

2006-09-02 15:56  benny

	* : Bump version and requirements.

2006-09-02 12:22  benny

	* : 2006-09-02 Benedikt Meurer <benny@xfce.org>
	  
	  * cs.po: Updated Czech translations by Michal Varady
	  <miko.vaji@gmail.com>.

2006-09-02 08:57  sas

	* : hungarian updates

2006-09-02 02:06  yuvaltanny

	* : Update Hebrew translation

2006-08-30 19:55  olivier

	* : Update ChangeLog

2006-08-30 19:53  olivier

	* : Fix compiler warning

2006-08-30 19:41  olivier

	* : Add support for newest _NET_WM_CM_S<n> property used by
	  gdk_screen_is_composited() in gtk+-2.10.x

2006-08-30 16:47  olivier

	* : Update ChangeLog

2006-08-30 16:44  olivier

	* : Improve focus passing

2006-08-30 06:17  olivier

	* : Reverting the removal of window size/position indicator

2006-08-30 06:03  olivier

	* : Improve window placement after workspace switch using keyboard.

2006-08-29 21:57  olivier

	* : Do not show window size/position when not showing content as
	  the server is grabbed and other apps cannot update their contents
	  (bug #2239), switch workspace when reaching screen edges even
	  when moving the window using keyboard shortcuts (bug #2234)

2006-08-29 19:49  olivier

	* : Pass focus to window on top of stack when lowering the focused
	  window

2006-08-27 12:57  pollux

	* : Updated German translations

2006-08-27 11:35  pollux

	* : add Georgian translations

2006-08-26 21:03  olivier

	* : Documentation fix (bug #1607)

2006-08-25 23:33  stavrosg

	* : Greek translations update

2006-08-24 17:08  olivier

	* : Restore the compositorDamageWindow() hook, use it when the
	  NET_WM_STATE_BELOW is updated to ensure that the shadow gets
	  updated too.

2006-08-23 21:59  olivier

	* :

2006-08-23 21:56  olivier

	* : Don't show shadow with fullscreen and windows that set the
	  NET_WM_STATE_BELOW property (like gdesklet for example)

2006-08-23 19:08  olivier

	* : Spot and fix an issue with stacking reordering.

2006-08-21 20:35  olivier

	* : Update ChangeLog

2006-08-21 20:28  olivier

	* : Improve the fix for themes which are missing the menu button.

2006-08-21 20:13  olivier

	* : Fix frame repaint error caused by the removal of pixmap caching
	  (Bug #2202), fix an issue with themes that miss that menu button.

2006-08-20 18:54  pollux

	* : remove executable property from gl.po

2006-08-20 18:51  pollux

	* : Add Galician translations

2006-08-19 22:16  olivier

	* : Get rid of pixmap caching of frame components, it saves quite a
	  lot of xserver pixmap memory...

2006-08-19 20:48  olivier

	* : Plug a few leaks

2006-08-19 16:20  pollux

	* : Updated Czech translations

2006-08-18 22:16  piarres

	* : Basque trasnaltion update

2006-08-17 21:45  olivier

	* : Fix rendering speed issue reported from bug #2099 by reverting
	  the use of clipping to render the window frame. Also revert the
	  change for restack as I got some issues with the compositor being
	  lost with actual window stack.

2006-08-17 05:57  olivier

	* : Unmap client window of shaded apps before reparenting

2006-08-16 22:23  olivier

	* : Unmap the client window when shaded. Some apps want to be
	  notified when the client is not visible (Bug #2168). That change
	  should work although I liked the previous implementation better
	  as it was a lot less intrusive in focus management. Let's see how
	  this goes for now...

2006-08-16 19:05  olivier

	* : Implement a fallback to check for libXrender on Solaris 10
	  (patch from neel@sun.com, bug #2165)

2006-08-16 18:03  olivier

	* : Should be enough to make sure grabs are really released (Bug
	  #2136, #2146, possibly others such as #2144, #2161)

2006-08-16 18:00  olivier

	* : Allow pkg-config to be more verbose (patch from Johan Sandelin
	  <johan@alphafish.com>, bug #2178)

2006-08-16 04:43  sas

	* : hu trunk: wm updates

2006-08-15 20:56  piarres

	* : Basque trasnaltion update

2006-08-15 19:21  pollux

	* : updated Polish translations by piotr maliński
	  <riklaunim@gmail.com>

2006-08-15 15:25  jari

	* : Updated Finnish translations.

2006-08-15 15:18  olivier

	* : Apply patch from Darren Salt
	  <linux@youmustbejoking.demon.co.uk> focus transition (bug #2090),
	  release key/mouse events using current time as several reports of
	  key/mouse lokup have raised on the mailing list (and on bugzilla,
	  #2136 and #2146)

2006-08-15 13:54  olivier

	* : Add Xutil.h include for Solaris, add new option for overlay
	  unredirection, do not frame shaped windows, fix compositor crash
	  when the client goes (bug #2105), fix maximization being
	  misplaced with restore-on-move option, fix meaning of the
	  Xfwm/CycleMinimum option in the WM tweak plugin (bug #2058)

2006-08-04 20:55  pollux

	* : fix typos in French translations (patch from Gerald Barre
	  <g.barre@free.fr>)

2006-08-04 15:19  pollux

	* : Fix typo (bug #2120)

2006-08-01 18:25  jari

	* : Updated Finnish translations.

2006-07-20 20:30  olivier

	* : Use event timestamp

2006-07-18 05:38  olivier

	* : Update timestamp

2006-07-17 21:30  olivier

	* : Rework maximization switches (bug #2047)

2006-07-17 17:09  olivier

	* : Grab keys synchronously

2006-07-17 17:09  olivier

	* : Fix maximized area computation (Bug #2044)

2006-07-16 17:03  olivier

	* : Fix compilation warnings (patch from Nick Schermer
	  <nickschermer@gmail.com>)

2006-07-16 16:56  olivier

	* : Make themes use new themerc option for full maximization

2006-07-16 16:56  olivier

	* : Implement borderless full maximization (bug #1750)

2006-07-16 16:53  olivier

	* : Fix composite redraw with XShape windows

2006-07-16 13:02  adriano

	* : Updated brazilian portuguese translations by Tomás Acauan
	  Schertel
	  <tschertel@gmail.com>.

2006-07-15 21:12  pollux

	* : Updated Czech translations

2006-07-12 18:39  olivier

	* : Fix a major issue with key/mouse grabs introduces in beta2,
	  rework grabs and ungrabs, grab using last known event time,
	  ungrab with current server time.

2006-07-11 21:59  olivier

	* : Fix compiler warnings (Nick Schermer <nickschermer@gmail.com>)

2006-07-11 21:47  olivier

	* : Make sure the icon selected in the tabwin matches the selected
	  window in all cases (fix bug #2008)

2006-07-11 17:20  olivier

	* : Make sure the window pixmap is cleared out.

2006-07-10 21:42  piarres

	* : [l10n:eu] Basque translation update

2006-07-10 17:22  olivier

	* : Do NOT compress configure request events, it confuses the
	  compositor and the window pixmaps.

2006-07-09 21:34  pollux

	* : updated translations

2006-07-09 16:51  stavrosg

	* : Greek translations update

2006-07-09 16:48  olivier

	* : Update ChangeLog

2006-07-09 14:19  olivier

	* : Update ChangeLog

2006-07-09 14:16  yuvaltanny

	* : Update Hebrew translations

2006-07-09 09:56  pollux

	* : bump all versions and dependencies to 4.3.90.2

2006-07-09 09:07  olivier

	* : "Frame" seems more appropriate

2006-07-09 08:46  olivier

	* : Add new bevel effect to window title

2006-07-08 19:19  olivier

	* : French locale update

2006-07-08 16:57  olivier

	* : Not sure why the tab window sometimes misses the key release.

2006-07-08 15:55  olivier

	* : Prevent keyboard autorepeat from flooding the event queue.

2006-07-08 12:36  olivier

	* : Use GtkComboBox instead of deprecated GtkOptionMenu (patch from
	  Darren Salt <linux@youmustbejoking.demon.co.uk>, bug #1999).

2006-07-08 12:32  olivier

	* : The full area damage is required is some cases. The fix remains
	  though.

2006-07-08 12:11  olivier

	* : Compositor optimization that also fixes an issue with
	  fullscreen unredirected windows.

2006-07-05 19:59  olivier

	* : Add LIBX11_LDFLAGS

2006-07-05 19:18  olivier

	* : Fix replace of windows when struts change

2006-07-04 17:42  olivier

	* : Fix small shape bug introduded yesterday

2006-07-04 05:43  olivier

	* : Small cleanup

2006-07-03 21:00  olivier

	* : Still check for shaded.

2006-07-03 20:45  olivier

	* : Fix a bug in shape computation, that showed when the frame was
	  smaller than the corners pixmaps (this bug was there from the
	  beginning!)

2006-07-02 19:35  olivier

	* : Small bug fix with enabbling compositor once started without
	  the compositor initially enabled.

2006-07-02 16:28  olivier

	* : Fix compile with debug=full

2006-07-02 16:23  olivier

	* : Allow enabling/disabling of compositing on the fly from the WM
	  tweaks plugin, yeah!

2006-07-01 18:58  olivier

	* : Improve more/resize cancellation (patch from Darren Salt
	  <linux@youmustbejoking.demon.co.uk>, bug #1963)

2006-07-01 18:55  olivier

	* : Fix overlays count

2006-07-01 07:27  olivier

	* : Tweak traces.

2006-06-30 21:59  jari

	* : Updated Finnish translations.

2006-06-30 19:52  sas

	* : hu trunk: wm & archiver updates

2006-06-30 10:47  olivier

	* : Export the compositor usability so that we can save a few
	  computations.

2006-06-30 09:30  olivier

	* : Update French translation.

2006-06-30 09:24  olivier

	* : Apply patch from Darren Salt
	  <linux@youmustbejoking.demon.co.uk> to make inactive windows
	  semi-transparent. Transparency of inactive windows in
	  configurable through the WM tweaks plugin (bug #602)

2006-06-29 20:09  olivier

	* : Fix for apps that use both EWMH fullscreen and Motif hints
	  concurently (e.g. gcompris).

2006-06-29 06:45  sas

	* : hu trunk: wm updated

2006-06-28 21:21  olivier

	* : Update po to help translators

2006-06-28 21:18  olivier

	* : Add support for opacity lock (patch from Darren Salt
	  <linux@youmustbejoking.demon.co.uk>, bug #1958), add support for
	  changing opacity using mouse button 6 and 7 (patch from Darren
	  Salt <linux@youmustbejoking.demon.co.uk>, bug #1959), add
	  move/resize cancellation using a configurable keyboard shortcut
	  (patch from Darren Salt <linux@youmustbejoking.demon.co.uk>, bug
	  #1963), optimization for the compositor rebuilding screen when
	  settings change (me :)

2006-06-28 17:30  eulex

	* : A small extra change in the swedish xfwm4 translation...

2006-06-28 17:24  eulex

	* : Updated Swedish xfwm4 translation

2006-06-25 21:08  olivier

	* : Revert some removal that was needed, woops...

2006-06-25 09:06  olivier

	* : Change to maintain and use our own copy of the screen size,
	  code cleanup.

2006-06-23 16:54  olivier

	* : More optimizations for the compositor.

2006-06-23 13:03  olivier

	* : Fix count of overlays.

2006-06-23 09:42  olivier

	* : Change default root color to plain grey.

2006-06-22 19:49  olivier

	* : Woops, revert, gtk+ does that for us (I forgot gtk in the
	  equation).

2006-06-22 19:41  olivier

	* : Close display on exit.

2006-06-22 12:58  olivier

	* : Compositor optimization, save the painted region for reuse as
	  clipping when painting back to screen.

2006-06-22 07:43  olivier

	* : Don't clear the show desktop flag if cycling back to the
	  current focused window.

2006-06-21 20:26  olivier

	* : Simpler, safer.

2006-06-21 19:52  olivier

	* : Small compositor enhancement.

2006-06-21 19:48  olivier

	* : Fix fullscreen window being set back in Z-order after cycling
	  back to the current fullscreen window. (Fix bug #1949)

2006-06-20 20:00  olivier

	* : Rework the mapping/unmapping when unredirecting

2006-06-18 07:44  olivier

	* : Optimizations.

2006-06-18 07:32  olivier

	* : A few more optimizations.

2006-06-17 19:28  olivier

	* : Make sure the 'demand attention' flags gets cleared on focus.

2006-06-17 16:37  olivier

	* : Sync after unredirect.

2006-06-17 16:13  olivier

	* : Be smarter with damage areas, and do not treat unredirected
	  windows specifically. (should fix #1930).

2006-06-17 15:55  olivier

	* : Small optimzations, remove useless tests

2006-06-16 20:04  olivier

	* : Yet another one

2006-06-16 19:53  olivier

	* : Optimizations for the compositor

2006-06-15 21:54  olivier

	* : Avoid compiler warnings.

2006-06-14 21:33  olivier

	* : Missing argument in debug trace

2006-06-14 21:08  olivier

	* : Small adjustments

2006-06-14 09:35  olivier

	* : Resync pot file

2006-06-14 09:27  olivier

	* : Finish rework of the compositor, which should fix quite few
	  bugs and improve performance (by discarding damages of covered
	  windows, for example), unredirecting fullscreen overrides seems
	  to work fine which gives a huge performance boost on fullscreen
	  games, fixes translucent xscreensaver window, rework the
	  NET_ACTIVE_WINDOW message handling to improve focus passing (see
	  this thread on the ML
	  http://foo-projects.org/pipermail/xfce4-dev/2006-June/020471.html)

2006-06-13 20:03  olivier

	* : Don't adjust fullscreen window if newly focused window is one
	  if its transients or modal.

2006-06-13 05:55  olivier

	* : Still work on compositor, not there yet though, need more work.

2006-06-12 14:26  hydonsingore

	* : Update traditional Chinese translations; Modify personal e-mail
	  address.

2006-06-11 22:10  olivier

	* : Fix fgetc() not returning EOF on architectures where char isn't
	  signed (Patch from Michel Danzer <michel@tungstengraphics.com>)

2006-06-11 22:07  olivier

	* : Clamp pointer position when maximizing/unmaximizing window on
	  move (Patch from Ori Bernstein <rand_chars@rogers.com>, fixes
	  #1909)

2006-06-11 22:05  olivier

	* : Fixes, improvements and optimizations for the compositor.

2006-06-09 16:37  olivier

	* : Smoother gradient with dark colors

2006-06-08 19:16  olivier

	* : Compositor improvements.

2006-06-07 21:22  olivier

	* : Avoid needlessly re-compositing opaque windows in front of
	  other damaged windows. This also helps with stuff that isn't
	  properly redirected yet, such as Xv and DRI with free drivers
	  (patch originally contributed by Michel Dänzer
	  <michel@tungstengraphics.com>).
	  Fix compilation with --enable-debug=full.

2006-06-05 23:11  adriano

	* : Updated brazilian portuguese translations.

2006-06-05 21:24  olivier

	* : Small code reorg.

2006-06-04 08:12  eulex

	* : Changelogs for appfinder, exo, utils, mcs-plugins, mcs-manager,
	  xfce4-session, xfce4-mixer, thunar, libgui, xfwm4, the panel,
	  orage, trigger-launcher and terminal updated.
	  Also couldn't resist to fix a small error in the xfce4-mixer
	  Changelog.
	  Didn't updated the changelog of xfprint, because I discovered
	  that that translation wasn't updated, it had just slipped through
	  the commit by mistake.

2006-06-04 00:10  eulex

	* : obsolete strings in the swedish translations removed

2006-06-03 23:44  eulex

	* : Merged Swedish translations (by me and Jens Hagerman) into the
	  xfce svn.
	  This includes updated translations of appfinder, xfce-utils,
	  mcs-plugins,
	  xfprint, xfce4-session, xfce4-mixer, thunar, libxfcegui4, xfwm4,
	  xfce4-panel, xfdesktop, orage, xfce4-trigger-launcher and
	  mcs-manager,
	  and added translations for libexo and terminal.
	  The appropriate LINGUAS files were also updated.

2006-06-03 12:42  olivier

	* : Alignment in color table :)

2006-06-03 12:35  olivier

	* : Missing a small theme in the default set of themes, so add the
	  theme contributed by Mike Massonnet <mmassonnet@gmail.com> -now
	  renamed Daloa-

2006-06-03 12:31  olivier

	* : Do not set the demand attention flag if not needed, like for
	  windows that don't want focus.

2006-06-03 09:21  olivier

	* : Fix shape and shadow redraw (again).

2006-06-03 07:55  olivier

	* : Create _MOTIF_WM_INFO from the WM to make rxvt-unicode happy
	  and not use override-redirect windows but proper Motif decoration
	  hints to get borderless windows (Fix bug #1877).

2006-05-31 19:53  olivier

	* : Adjust hilighting of pressed buttons.

2006-05-30 23:21  yuvaltanny

	* : Update Hebrew translation

2006-05-30 22:17  olivier

	* : Do not pass focus to the desktop by default (Fix bug #1853).
	  The problem is that xfdesktop sets its InputHint from WM Hints
	  property to False to avoid focus, but GTK+ itself sets the
	  WM_TAKE_FOCUS property, so it's impossible for the WM to tell
	  whether or not the windows may or may not accept focus, which
	  leads to unpredictable results when the last available focusable
	  window vanishes (which is just what happens in bug #1853. From
	  what I saw, metacity and kwin have the same problem. The
	  workaround used here is to simply not use the desktop as a
	  fallback focusable window. If the user wants to focus the
	  desktop, (s)he just has to explicitely click on it.

2006-05-30 21:39  olivier

	* : Fix input flag not being updated on XA_WM_HINTS property change

2006-05-30 13:35  piarres

	* : [l10n:eu] Basque translation little fix

2006-05-29 20:27  olivier

	* : Set internals vars to static const (patch from Nick Schermer
	  <nick@xfce.org>, bug #1870)

2006-05-29 20:23  olivier

	* : Add a shadow to symbols in frame buttons.

2006-05-29 20:09  olivier

	* : Reorg. shape notify to catch all cases

2006-05-27 16:04  daichi

	* : * xfcalendar/trunk/po/LINGUAS, xfce-utils/trunk/po/LINGUAS,
	  xfce4-appfinder/trunk/po/LINGUAS, xfce4-session/trunk/po/LINGUAS:
	  Added a newline at the end of file.
	  * xfce-mcs-manager/trunk/po/LINGUAS: Removed an extra white
	  space.
	  * xfce4-trigger-launcher/trunk/po/LINGUAS,
	  xfwm4/trunk/po/LINGUAS:
	  Removed an extra white line.

2006-05-27 15:25  daichi

	* : Updated Polish translations by Szymon Kalasz
	  <szymon_maestro@gazeta.pl>.

2006-05-25 18:40  pollux

	* : * add LINGUAS support
	  * update svn:ignore

2006-05-23 21:55  olivier

	* : Set demand attention flag or actually activate a window on
	  NET_WM_ACTIVE notification based on user preference, too.

2006-05-23 17:32  hydonsingore

	* : Correct strings containing Button Label in traditional Chinese
	  translations.

2006-05-23 11:08  piarres

	* : [l10n:eu] Basque translation update

2006-05-23 02:45  daichi

	* : Changed an address.

2006-05-22 20:25  olivier

	* : Add an option to enable proxy for deprecated KDE systray
	  protocol (may help for bug #1836 eventually).

2006-05-21 16:40  olivier

	* : Update French translation.

2006-05-21 15:18  stavrosg

	* : Greek translations update.

2006-05-21 09:06  jari

	* : Updated Finnish translations.

2006-05-21 07:39  olivier

	* : Why do we need to grab the Xserver here?

2006-05-21 05:09  daichi

	* : Fixed.

2006-05-21 04:59  daichi

	* : Updated Japanese translations.

2006-05-21 03:13  daichi

	* : Updated Polish translations by Szymon Kalasz
	  <szymon_maestro@gazeta.pl>.

2006-05-20 22:50  olivier

	* : Fix bug with WM hints for focus not being updated properly, fix
	  bug with gtk+ apps seen as focused even when iconified (!)

2006-05-20 21:16  sas

	* : hu trunk: wm & terminal update

2006-05-20 21:15  olivier

	* : Return focus to the desktop if no other window is focused.

2006-05-20 19:40  olivier

	* : Fix the configure script that produced empty Makefiles.

2006-05-20 13:25  olivier

	* : Put back configurable shortcut for window cycling.

2006-05-20 11:33  olivier

	* : Refactoring, allowing to close session the close window
	  shortcut (fixes bug #1776).
	  Fix the shortcut manager to not show additional un-managed
	  shortcuts.

2006-05-18 19:11  olivier

	* : Fix an old bug with mouse button grabs circulation.

2006-05-18 13:13  daichi

	* : Updated Japanese translations.

2006-05-16 19:02  olivier

	* : Don't consider windows that have the below/ontop property as
	  older legacy windows trying to achieve fullscreen mode (should
	  fix the issue reported on the ML).

2006-05-15 22:00  olivier

	* : Update ChangeLog

2006-05-15 21:58  olivier

	* : Update potfiles

2006-05-15 21:57  olivier

	* : Code cleanup.

2006-05-15 21:53  olivier

	* : Use greyscale composite, the files are smaller.

2006-05-15 09:57  piarres

	* : [l10n:eu] Basque translation update

2006-05-13 21:03  olivier

	* : Update ChangeLog.

2006-05-13 20:54  olivier

	* : Increase title height by 1 pixel, it gives a more balanced
	  look.

2006-05-13 19:17  paurullan

	* : [i18n] catalan translation
	  Update of xfwm4 by Carles Muñoz Gorriz

2006-05-13 08:30  olivier

	* : Fix plugin crashing when editing workspace name (bug #1784)

2006-05-13 05:09  hydonsingore

	* : Update traditional Chinese translations

2006-05-13 04:56  daichi

	* : Updated Polish translations by Szymon Kalasz
	  <szymon_maestro@gazeta.pl>.

2006-05-12 20:44  olivier

	* : The red button is back.

2006-05-11 11:52  olivier

	* : Ignore hot spot definition as we don't use it in xfwm4, typos.

2006-05-11 11:34  olivier

	* : Fix rendering of pixmaps that don't have any transparency set.

2006-05-11 07:47  olivier

	* : Update ChangeLog

2006-05-09 20:41  olivier

	* : Various typos.

2006-05-09 20:28  olivier

	* : jpeg or jpg? I choose jpg, also prefer gif to jpg or bmp as gif
	  has a -1 bit- alpha channel.

2006-05-09 20:24  olivier

	* : Add support for svg, png, bmp, gif, jpg file formats for themes
	  components.

2006-05-09 05:28  olivier

	* : Add missing bits to Makefile.am

2006-05-09 05:26  olivier

	* : Add missing bits.

2006-05-08 21:38  olivier

	* : Get rid on libXpm dependency by reimplementing the XPM loader
	  with color symbol substitution (beware, it's a pretty huge
	  change, handle with care).

2006-05-07 19:45  olivier

	* : Enlarge top corners to ease resize (simple usability
	  improvement, not a theme change)

2006-05-07 19:34  olivier

	* : Update po

2006-05-07 15:06  olivier

	* : Fix workspace name activation (fix #1778), fix window resize.

2006-05-07 14:46  olivier

	* : plugin.h

2006-05-07 14:46  olivier

	* : plugin.c

2006-05-07 10:55  daichi

	* : Updated Polish translations by Piotr Malinski
	  <admin@rk.edu.pl>.

2006-05-07 10:01  daichi

	* : Updated.

2006-05-07 08:15  jari

	* : Finnish translations updated.

2006-05-06 17:57  adriano

	* : Updated Brazilian Portuguese translations.

2006-05-06 14:30  stavrosg

	* : Greek translations update.

2006-05-06 13:12  olivier

	* : Some cleanup in headers vs. functions used.

2006-05-06 12:15  benny

	* : Set "mcs-plugin-icon-name" so MCS plugin icons are properly
	  themable.

2006-05-06 10:32  olivier

	* : Update po

2006-05-06 10:31  olivier

	* : Add close button.

2006-05-06 09:03  olivier

	* : Convert to the new xfce_titled_dialog_new ().

2006-05-05 23:00  olivier

	* : Let gtk warp long lines, update po accordingly.

2006-05-05 21:59  olivier

	* : Make gcc happy.

2006-05-05 21:52  olivier

	* : Fix horizontal/vertical frame title offset, adjust themes
	  accordingly, fix a bug in maximization toggle.

2006-05-05 21:25  daichi

	* : Updated Czech translations by Michal Varady
	  <miko.vaji@gmail.com>.

2006-05-05 06:11  daichi

	* : Updated Japanese translations.

2006-05-04 17:49  olivier

	* : Refactoring and small cleanup.

2006-05-04 07:46  jari

	* : Minor update to the Finnish translation.

2006-05-03 22:07  olivier

	* : Add Moheli's theme data.

2006-05-03 22:06  olivier

	* : Use a separate implementation from libxfcegui4 for gtk style
	  and event filters, update theme, add new theme 'Moheli'.

2006-05-03 21:15  olivier

	* : Copy gtk style routines from libxfcegui4.

2006-05-03 21:15  olivier

	* : Copy gtk style routines from libxfcegui4.

2006-05-03 21:13  olivier

	* : Copy event filter from libxfcegui4.

2006-05-03 21:13  olivier

	* : Copy event filter from libxfcegui4.

2006-05-02 19:07  olivier

	* : Rework the buttons.

2006-05-02 18:58  olivier

	* : Don't set pict_format if RENDER is not present (Thx to Oliver
	  Lehmann <oliver@FreeBSD.org> for pointing this out)

2006-05-02 16:06  daichi

	* : Removed timestamps so that a translator isn't bothered:
	  "Then, what time is it now in UTC?"

2006-05-02 12:23  daichi

	* : Updated Polish translations by Piotr Malinski
	  <admin@rk.edu.pl>.

2006-05-01 21:56  olivier

	* : Theme tweaking.

2006-05-01 07:04  daichi

	* : Updated.

2006-04-30 16:00  daichi

	* : Updated Polish translations by Piotr Malinski
	  <admin@rk.edu.pl>.

2006-04-30 15:41  olivier

	* : Rephrase the comment/explanation.

2006-04-30 15:34  olivier

	* : Fix the modifier testing, that breaks the Super key as a
	  modifier but it's the only clean way to get something working
	  reliably. Need to send a message to the ML or we shall get
	  flooded with bug reports though...

2006-04-30 09:07  sas

	* : hu trunk: updates

2006-04-30 08:36  daichi

	* : Updated.

2006-04-29 22:12  olivier

	* : Clean-up the modifier mess in shortcut editor, now should be
	  using the same codebase as Terminal.

2006-04-29 12:15  daichi

	* : Updated Polish translations by Piotr Malinski
	  <riklaunim@gmail.com>.

2006-04-29 11:48  daichi

	* : Updated Vietnamese translations by Phan Vinh Thinh
	  <teppi@vnlinux.org>.

2006-04-27 19:29  olivier

	* : Don't bother checking for render speed if the composite
	  extension is not supported/enabled on the screen.

2006-04-26 19:50  olivier

	* : Improve hilights and shadows of the pressed buttons.

2006-04-26 08:38  peetervois

	* :

2006-04-25 16:32  mvd

	* : 2006-04-25 Maxim Dziumanenko <mvd@mylinux.ua>
	  
	  * Updated Ukrainian translation.

2006-04-25 06:10  olivier

	* : Allow any modifier but Shift to end window cycling.

2006-04-24 21:06  olivier

	* : Remove superfluous space left.

2006-04-24 21:03  olivier

	* : Use XLookupKeysym () instead of XKeycodeToKeysym (), might help
	  with bug 1723.

2006-04-24 20:34  olivier

	* : Use negative value to enlarge shadows instead of abs values,
	  should put an end to #666.

2006-04-23 22:08  olivier

	* : Slightly enlarge buttons to increase usability of the default
	  theme.

2006-04-23 22:05  olivier

	* : Give some hint on why a particular pkg-config tests fails.

2006-04-23 21:55  olivier

	* : Some clients don't set their WM_CLIENT_MACHINE property, so we
	  need to check for the string length (Should fix #1711)

2006-04-23 14:14  stavrosg

	* : Greek translation update

2006-04-23 11:56  daichi

	* : Updated Russian translations by Sergey Fedoseev
	  <fedoseev.sergey@gmail.com>.

2006-04-23 09:06  daichi

	* : Updated Japanese translations.

2006-04-23 07:54  jari

	* : Finnish translations updated.

2006-04-23 06:28  daichi

	* : Updated Vietnamese translations by Phan Vinh Thinh
	  <teppi@vnlinux.org>.

2006-04-22 14:07  olivier

	* : Unexpand

2006-04-22 13:59  olivier

	* : Use active text color in buttons so that the symbol stays
	  visible with all color schemes.

2006-04-22 13:40  olivier

	* : Add note to translators as requested.

2006-04-22 06:19  sas

	* : hu trunk: some wm & orage updates

2006-04-21 20:59  olivier

	* : Small tweaking

2006-04-21 00:04  stavrosg

	* : * Greek translation update

2006-04-20 20:57  olivier

	* : Increase render threshold to 0.025 instead of 0.01 sec.

2006-04-20 19:59  olivier

	* : Slightly blur the title bar hilight and shadow.

2006-04-20 19:56  olivier

	* : Same strings, different sources, need to update the po that
	  reference the file and line of the strings.

2006-04-20 19:55  olivier

	* : Optimize the code commited yesterday.

2006-04-20 09:50  sas

	* : hu trunk: wm updated

2006-04-19 22:05  olivier

	* : Add host name on windows running on remote hosts (ala
	  metacity), prevent windows above dock from being off screen, fix
	  restore on move sensitivity.

2006-04-19 17:00  sas

	* : hu trunk: updates

2006-04-19 16:17  benny

	* : Separate translation for the settings manager label. Patch from
	  Adriano Winter Bess. Bug #1669.

2006-04-19 09:47  jari

	* : Finnish translation updated.

2006-04-18 15:03  daichi

	* : Updated Estonian translations by Peeter Vois
	  <Peeter.Vois@proekspert.ee>.

2006-04-16 07:00  sas

	* : hu trunk: panel, wm & mcs-plugins updates

2006-04-16 04:36  daichi

	* : Updated Russian translations by Andrey Fedoseev
	  <andrey.fedoseev@gmail.com>.

2006-04-15 17:44  olivier

	* : Update ChangeLog

2006-04-15 12:10  daichi

	* : Bump, etc.

2006-04-15 09:08  olivier

	* : No need to display the actual results of the XRender test if
	  it's passed.

2006-04-15 03:17  daichi

	* : Updated Japanese translations.

2006-04-15 03:03  daichi

	* : Updated Russian translations by Andrey Fedoseev
	  <andrey.fedoseev@gmail.com>.

2006-04-14 23:58  daichi

	* : Updated Finnish translations by Jari Rahkonen
	  <jari.rahkonen@pp1.inet.fi>.

2006-04-14 21:53  olivier

	* : Change gradient background.

2006-04-14 20:53  olivier

	* : Beuh, the shadows under the panel where gone and nobody
	  complained :(

2006-04-14 19:36  olivier

	* : Add explicit target and measured value of the XRender test.

2006-04-14 09:33  sas

	* : hu trunk: wm & print updates

2006-04-13 21:42  olivier

	* : Add theme data for Katiola.

2006-04-13 21:40  olivier

	* : Add new theme 'Katiola' (as in RCI).

2006-04-13 21:25  olivier

	* : Theme cleanup, remove the red close button

2006-04-13 21:07  olivier

	* : Use currently selected key theme as a template when creating a
	  new key theme.

2006-04-11 21:39  olivier

	* : Fix typo in wmtwkeaks icon name (I thought I applied a patch
	  from Adriano Winter Bess <awbess@gmail.com> some time ago for
	  that but probably missed it as it's still not fixed...)

2006-04-08 20:28  olivier

	* : Update ChangeLog, bump version to 4.3.90.1 (4.4 beta 1)

2006-04-08 15:18  daichi

	* : Updated Finnish translations by Jari Rahkonen
	  <jari.rahkonen@pp1.inet.fi>.

2006-04-07 18:51  olivier

	* : Apply Benny's patch that fixes Xrandr detection if Xrender is
	  present but not Xrandr.

2006-04-06 12:23  daichi

	* : Updated Vietnamese translations by Phan Vinh Thinh
	  <teppi@vnlinux.org>.

2006-04-02 20:32  paurullan

	* : [i18n] catalan
	  little of work on catalan translations

2006-04-02 18:47  olivier

	* : Fix typo in icon name (Adriano Winter Bess <awbess@gmail.com>)

2006-04-02 15:46  daichi

	* : Fixed according to the context.

2006-04-02 15:38  daichi

	* : Updated Japanese translations.

2006-04-02 13:35  olivier

	* : Fix a couple of issues with shaped windows.

2006-04-02 09:00  stavrosg

	* : Really corrected now

2006-04-02 02:32  stavrosg

	* : Greek fuzzy

2006-04-01 21:22  olivier

	* : Fuzzy

2006-04-01 21:18  olivier

	* : /me stupid; when adding context, use a meaningful context...

2006-04-01 21:08  olivier

	* : Use const, it's good for you.

2006-04-01 21:02  olivier

	* : Add context to some translations as suggested by Adriano Winter
	  Bess <awbess@gmail.com> (Fix bug #1629) - Beware, it breaks
	  existing translations :(

2006-04-01 20:38  olivier

	* : Try to improve the XRender benchmark.

2006-04-01 03:37  stavrosg

	* : Greek translations update & polish by Stathis Kamperis
	  <ekamperi@auth.gr>

2006-03-31 21:54  olivier

	* : If no compositor options is passed, check for older X.org
	  versions and also check the XRender implementation before
	  enabling the compositor automatically.

2006-03-30 19:17  olivier

	* : Indentation

2006-03-30 17:34  olivier

	* : Fix a potential memory corruption.

2006-03-30 13:41  daichi

	* : Updated Vietnamese translations by Phan Vinh Thinh
	  <teppi@vnlinux.org>.

2006-03-29 22:04  olivier

	* : Rework the computation of the display of frame shadows.

2006-03-27 20:37  olivier

	* : Fixes (yeah, I know, I'm lame)

2006-03-27 19:31  olivier

	* : Fix value computed not used warning (and bug).

2006-03-27 17:30  olivier

	* : Fix unitialized value.

2006-03-27 14:34  daichi

	* : Added/Updated Russian translations by
	  Andrey Fedoseev <andrey.fedoseev@gmail.com> and
	  Sergey Fedoseev <fedoseev.sergey@gmail.com>.

2006-03-27 05:37  olivier

	* : Fix yet another bug introduced yesterday.

2006-03-26 23:09  olivier

	* : Fix a bug from previous commit.

2006-03-26 22:49  olivier

	* : Various bug and warning fixes.

2006-03-26 14:47  daichi

	* : Updated Japanese translations.

2006-03-26 09:35  olivier

	* : Enable compositor by default (I think it's pretty safe to
	  enable it now, it's a pretty well tested feature that's been
	  there since 4.2) but use no shadow or transparency by default so
	  that it's still nice to cards which don't have render acclerated
	  in hardware. Users can tweak that using the wmtweaks settings,
	  and if they really don't want the compositor to be enabled, they
	  can either disable that in the Xorg.conf or even recompile xfwm4
	  withoug the compositor enabled.

2006-03-26 09:32  olivier

	* : Check path of xfwm4rc and regenerate html version in case.

2006-03-26 00:26  stavrosg

	* : * Greek translation update

2006-03-24 23:02  olivier

	* : Update po

2006-03-24 22:59  olivier

	* : Random text paste removal

2006-03-24 22:55  olivier

	* : Make the modifier for clickand move configurable, and rework
	  the wmtweaks plugin.

2006-03-24 14:46  olivier

	* : Trivial cleanup

2006-03-24 12:26  olivier

	* : Fix desktop names not showing in window menu and other various
	  fixes.

2006-03-20 06:39  olivier

	* : Cannot get ellipisize and centered label to play well together
	  across pango versions (namely 1.10.and 1.12).

2006-03-19 16:54  paurullan

	* : [i18n] catalan
	  seems a lot of work but they all are fuzzy

2006-03-19 02:01  daichi

	* : Updated Japanese translations.

2006-03-18 23:43  piarres

	* : BAsque tarsnaltion litle update

2006-03-18 14:47  paurullan

	* : [i18n] catalan
	  added null translation and some little tweaks to not-parsing ones

2006-03-18 09:15  daichi

	* : Added/Updated Russian translations by
	  Andrey Fedoseev <andrey.fedoseev@gmail.com>,
	  Sergey Fedoseev <fedoseev.sergey@gmail.com>.

2006-03-15 20:35  olivier

	* : In recent gtk/pango versions, it seems that setting the
	  ellipsize property on the label also changes the alignment, so we
	  need to set the justify property also.

2006-03-14 22:37  olivier

	* : Do not force ellipsize if not defined, it breaks the label
	  alignment as it seems.

2006-03-14 22:24  olivier

	* : Base computation of rendering on actual window opacity, take
	  frame opacity into account for shadows.

2006-03-13 22:42  olivier

	* : Add support for semi-transparent window decorations, user
	  configurable through the wmteaks plugin (inspired by Aquila Deus
	  <aquila_deus@yahoo.co.uk> implementation, bug #1103)

2006-03-12 09:13  olivier

	* : Expand tabs

2006-03-12 09:09  olivier

	* : Don't allow resizing in fullscreen mode (fix bug #1567)

2006-03-11 22:14  olivier

	* : Reduce button spacing for Wallis theme.

2006-03-11 22:08  olivier

	* : Use a colored frame for Wallis.

2006-03-11 19:07  gnu_sylvain

	* : Esperanto translations update: corrected two strings, and email
	  address.

2006-03-11 18:59  gnu_sylvain

	* : Esperanto translation update.

2006-03-11 08:26  olivier

	* : The name and bindings did no nmatch in the shortcut plugin.

2006-03-10 23:35  olivier

	* : Force skip taskbar and skip pager property on some known
	  windows types.

2006-03-10 23:20  olivier

	* : Do not place windows of type UTILITY either.

2006-03-10 23:14  olivier

	* : Do not focus windows of type UTILITY, fix bug #1094

2006-03-10 21:41  olivier

	* : Remove xfce4-keys.png, fix bug #1426.

2006-03-10 14:42  olivier

	* : The Alt+Tab shortcut for windows cycling is no more
	  configurable, which helps cleaning up the code.

2006-03-08 21:44  olivier

	* : Update the Wallis theme.

2006-03-08 21:35  olivier

	* : Moving back wallis to xfwm4.

2006-03-08 21:17  olivier

	* : Tweak themes for 4.4

2006-03-08 20:38  olivier

	* : Name the tabwin widget to allow customization.

2006-03-06 22:05  olivier

	* : Mess with svn properties - Time to sleep.

2006-03-06 21:41  olivier

	* : SVN propset

2006-03-06 21:35  olivier

	* : Mispelled SVN keyword

2006-03-06 21:34  olivier

	* : Turn snap resistance to false by default.

2006-03-04 12:07  olivier

	* : Cleanup

2006-03-04 11:54  olivier

	* : Allow focusing windows even when other modifiers are pressed
	  (fix 2nd part of bug #1530) - This is somehow experimental as I'm
	  not sure of the side effects for the apps and may be reverted if
	  too much people complain.

2006-03-04 11:10  daichi

	* : Updated.

2006-03-01 20:22  olivier

	* : Wrong color, dude.

2006-03-01 20:20  olivier

	* : That green, err, nah.

2006-02-27 17:49  olivier

	* : Typo, fix bug #1512

2006-02-26 20:27  olivier

	* : Trivial fix

2006-02-26 17:43  olivier

	* : Add build Configuration and supported features summary

2006-02-26 16:02  olivier

	* : Improve focus management with focus stealing prevention

2006-02-26 16:02  olivier

	* : Fix screen resize with compositor running

2006-02-26 15:08  daichi

	* : Updated Japanese translations.

2006-02-25 09:12  olivier

	* : Disable KDE systray proxy in xfwm4 as KDE now supports standard
	  systray

2006-02-25 07:29  olivier

	* : Revert previous patch as the first implementation was correct,
	  but update the user_time to get an accurate value

2006-02-25 06:00  daichi

	* : Fixed NULL revision string for certain locales.

2006-02-24 21:17  olivier

	* : Fix focus prevention if timestamp is 0 in the WM, fix focus
	  prevention in the plugins so that the windows get focused anyway

2006-02-24 12:41  daichi

	* : Updated Finnish translations by Jari Rahkonen
	  <jari.rahkonen@pp1.inet.fi>.

2006-02-23 06:20  olivier

	* : Woops, yesterdays' algorithm was flawed...

2006-02-22 22:31  olivier

	* : Remove useless initialization.

2006-02-22 22:26  olivier

	* : Use an idle function to recompute the windows layout on screen
	  size changes.

2006-02-22 21:12  stavrosg

	* : Updated/Added Greek translations

2006-02-22 18:30  olivier

	* : Update the Therapy theme for Xfce 4.4

2006-02-21 06:37  olivier

	* : Avoid side effects with the locale

2006-02-20 22:07  olivier

	* : Adjust windows position and maximization on screen resize or
	  when updating struts

2006-02-19 16:35  daichi

	* : Updated German translations by Fabian Nowak
	  <timystery@arcor.de>.

2006-02-18 08:21  olivier

	* : Update copyright date and add properties

2006-02-17 11:51  olivier

	* : Add missing contributor

2006-02-17 11:48  olivier

	* : Seems that the popup displaying window size and/or position is
	  confusing the event management so that a button press followed
	  immediatly by a button release misses the release event, so don't
	  use a gtk_widget_show_now () (Fix bug #1467)

2006-02-16 20:47  olivier

	* : Update po

2006-02-15 21:13  olivier

	* : Merge a patch from Damon Harper <dl+xfce4-dev@usrbin.ca> that
	  implements edge resistance instead of windows snapping

2006-02-15 21:10  olivier

	* : Add contributors

2006-02-15 20:55  olivier

	* : Update ChangeLog

2006-02-15 20:49  olivier

	* : Update ChangeLog

2006-02-13 16:32  olivier

	* : Fix default key shortcuts for desktop navigation (Fix #1450)

2006-02-13 12:28  pollux

	* : updated VI translations

2006-02-12 22:15  olivier

	* : Use smarter maximization that takes partial struts into account
	  even among the same monitor.

2006-02-12 12:29  daichi

	* : Updated Finnish translations by Jari Rahkonen
	  <jari.rahkonen@pp1.inet.fi>.

2006-02-12 12:26  daichi

	* : Updated.

2006-02-12 01:45  stavrosg

	* : Updated Greek translation

2006-02-10 17:52  olivier

	* : Add version string for 'what', don't raise window that w/out
	  focus only when focus stealing prevention is active (might help
	  for bug #1445)

2006-02-07 10:46  olivier

	* : Don't apply a shadow on ARBG windows as they can have arbitrary
	  shapes (Fix bug #1430)

2006-02-05 17:53  yuvaltanny

	* : Update Hebrew translations

2006-02-02 20:43  olivier

	* : String too long in french...

2006-02-02 20:36  olivier

	* : Icon name

2006-02-02 20:33  olivier

	* : Resync

2006-02-02 20:21  olivier

	* : Stay conherent in WM tweaks plugin naming

2006-02-02 20:20  olivier

	* : Stay conherent in WM tweaks plugin naming

2006-02-01 18:39  olivier

	* : Update french locale

2006-01-31 21:50  olivier

	* : Include new default colors for 4.4

2006-01-30 21:10  olivier

	* : Use the correct icon in desktop entry

2006-01-30 21:09  olivier

	* : Update french localization and other pot files

2006-01-30 21:08  olivier

	* : Fix show desktop shortcut

2006-01-29 07:21  daichi

	* : Updated Japanese translations.

2006-01-29 06:52  daichi

	* : * Updated.
	  * Discarded obsolete translations.

2006-01-28 13:57  olivier

	* : Add new icon to WM tweak plugin.

2006-01-27 22:34  olivier

	* : Remove trace.

2006-01-27 22:31  olivier

	* : Remove NET_SHOWING_DESKTOP flag upon window deiconification
	  (fix bug #1385)

2006-01-27 20:28  olivier

	* : Fix shadow remanence after windows shuffling.

2006-01-21 23:41  olivier

	* : Rephase some messages according to Brian's recommendations.
	  Thanks Brian!

2006-01-21 13:35  olivier

	* : Small code cleanup

2006-01-21 11:19  olivier

	* : Fixes to the new WM tweak plugin, fix for the window manager to
	  handle changes in compositing settings in real time, check what
	  window manager is running and disable WM settings if not running
	  xfwm4.

2006-01-20 22:45  olivier

	* : Fix compositing manager not being detected, repaint screen upon
	  shadow changes.

2006-01-20 22:27  olivier

	* : Add the long awaited wm tweaks plugin.

2006-01-18 17:48  daichi

	* : Updated.

2006-01-10 18:47  olivier

	* : Forgot to deal with event timestamp == 0 for NET_ACTIVE_WINDOW.

2006-01-09 22:34  olivier

	* : Improving EWMH activate.

2006-01-08 21:12  paurullan

	* : catalan translation:
	  little heading fixing but in every trunk file
	  Created the xfmedia translation

2006-01-08 13:52  olivier

	* : Take window opacity into account for the shadow.

2006-01-07 17:58  olivier

	* : Some obvious optimizations to speed up MCS startup.

2006-01-07 09:40  daichi

	* : Updated copyright information.

2006-01-05 21:59  olivier

	* : Turn frame shadows on by default.

2006-01-05 21:56  olivier

	* : Enhance lighter frame on buttons.

2006-01-03 20:50  olivier

	* : Fix crash when compiled with enable-debug=full (Fix bug #1305)

2006-01-02 21:44  olivier

	* : Redo differently.

2006-01-02 21:27  olivier

	* : Fix fullscreen for legacy apps

2006-01-01 23:18  daichi

	* : Updated Japanese translations.

2006-01-01 18:12  daichi

	* : Updated.

2005-12-29 14:21  olivier

	* : Make title bar edges look a bit smoother.

2005-12-29 13:50  olivier

	* : Fix grabs when modifier mapping changes.

2005-12-29 10:23  olivier

	* : Code cleanup

2005-12-28 21:42  olivier

	* : Small tweaks on pressed buttons, don't use shadow color on
	  pressed button.

2005-12-28 21:38  olivier

	* : Use relative moves to warp the pointer,
	  improve compositor shadows on shaped windows,
	  truncate window title names as it breaks cairo if the string is
	  too long (Bug #1296)

2005-12-26 18:05  olivier

	* : Incomplete color table causing random colors to be used as
	  inactive shadow/mid color.

2005-12-23 21:56  olivier

	* : Improve workspace wrapping when dragging windows,
	  snap windows on move when using the keyboard too.

2005-12-22 21:26  olivier

	* : Display workspace number only when cycling through workspaces
	  is enabled

2005-12-21 21:22  olivier

	* : Do not save the options when initiating the plugin to save some
	  startup time.

2005-12-20 14:36  daichi

	* : Updated.

2005-12-15 23:14  olivier

	* : Fix NET_WORKAREA not being updated on screen size change (bug
	  #1275),
	  Remove all code related to external command spawning since the
	  separate shortcut manager is now functional, yay\!

2005-12-11 18:37  stavrosg

	* : Updated Greek translations

2005-12-07 10:55  piarres

	* : [i18n] Basque translation update

2005-12-05 21:39  olivier

	* : Fix keyboard shortcut to move the focus window across
	  workspaces (bug #1257).

2005-11-29 21:45  daichi

	* : Fixed mistranslations.
	  Revised some translations.

2005-11-28 15:19  daichi

	* : Updated.

2005-11-25 21:40  olivier

	* : Title too low in title bar.

2005-11-21 17:14  daichi

	* : Updated.

2005-11-21 16:06  daichi

	* : Updated POTFILES.in files.

2005-11-21 06:21  olivier

	* : Forgot to add the new option to the default file.

2005-11-20 21:16  olivier

	* : Add new option, cycle_workspaces, that allow cycling through
	  all workspaces

2005-11-20 17:29  olivier

	* : Seems I son't like rounded corners anymore.

2005-11-20 10:06  olivier

	* : Fix windows disapearing when moved between workspaces before
	  initial mapping (bug #1236)

2005-11-19 17:16  olivier

	* : No need to change color for pressed button, it's filled with
	  the icon.

2005-11-19 16:27  olivier

	* : Larger icon, slicker buttons.

2005-11-13 21:26  olivier

	* : Remove unused older definitions.

2005-11-12 13:49  olivier

	* : Fix stacking vs. focus stealing prevention.

2005-11-12 09:48  olivier

	* : Improve dragging windows overs desktops, improve focus stealing
	  prevention.

2005-11-11 17:16  olivier

	* : Resync

2005-11-11 17:15  olivier

	* : Take example of what Benny did for Thunar to include svn
	  revision.

2005-11-11 16:50  olivier

	* : Add configure.ac.in

2005-11-11 16:44  olivier

	* : Try to add svn id

2005-11-11 16:02  olivier

	* : Use SN timestamp if available.

2005-11-11 15:45  olivier

	* : Prevent shaded window from disapearing if the title is off
	  screen, and set the minimum visible height/width to the title
	  height.

2005-11-11 10:09  olivier

	* : Fixing mime types

2005-11-09 20:24  olivier

	* : Update ChangLog

2005-11-08 19:24  olivier

	* : Application icon now adapts to the button size. This allows
	  different icon sizes in the title menu button between themes.

2005-11-07 22:20  olivier

	* : Resync po

2005-11-07 19:08  olivier

	* : Stacking bug introduced by the fix for transients

2005-11-05 14:59  daichi

	* : Deciphering.

2005-11-05 14:38  daichi

	* : Trimmed and updated.

2005-11-03 21:56  olivier

	* : Don't screw up the stack list when the transient is not on the
	  same layer.

2005-11-03 21:45  olivier

	* : Resync with 4.2 branch

2005-11-03 21:24  olivier

	* : Small stacking issue introduced by previous commit

2005-11-03 21:09  olivier

	* : Be more permissive with above/below states for transients
	  (fixes Bug #1207)

2005-11-03 12:14  olivier

	* : Reduce the width of the menu button and set horizontal title
	  offset to 0

2005-11-02 20:26  olivier

	* : All in all, I prefer the flat look for that theme.

2005-11-01 21:47  olivier

	* : Small change in stoneage theme

2005-11-01 20:10  olivier

	* : Reverting a test/debug code that was not meant to go to SVN.

2005-11-01 18:17  olivier

	* : Fix a leak recently introduced by revision 18118.

2005-11-01 09:40  olivier

	* : Don't keep the icon pixbuf to save a bit of video memory.

2005-11-01 08:46  olivier

	* : Disable shadows by default.

2005-10-31 14:12  olivier

	* : Rearrange init code of pixmaps.

2005-10-31 13:16  olivier

	* : Should fix the crash reported by Brian.

2005-10-31 10:25  olivier

	* : Display options status at the end of configure

2005-10-31 09:02  olivier

	* : Small trivial useless code cleanup.

2005-10-30 22:22  olivier

	* : Theme reorg.

2005-10-30 22:19  olivier

	* : Move "symphony" to separate theme package.

2005-10-30 22:17  olivier

	* : Move "waza" to separate theme package.

2005-10-30 22:17  olivier

	* : Move "opta" to separate theme package.

2005-10-30 22:16  olivier

	* : Move wallis to separate theme package.

2005-10-30 22:12  olivier

	* : Move wildbush to separate theme package.

2005-10-30 15:42  olivier

	* : Change default button layout so that it looks better with
	  application icon in title bar.

2005-10-30 15:41  olivier

	* : Change default theme to make use of application icon.

2005-10-30 15:40  olivier

	* : Add support for application icon in menu button.

2005-10-27 20:32  paurullan

	* : begin process to 4.4 work
	  autotranslation of most of the actual po
	  
	  -- paurullan@bulma.net , ca translator

2005-10-21 16:25  daichi

	* : Updated with the latest POT file.
	  Discarded obsolete translations.

2005-10-21 14:02  alex

	* : Restore correct headers.

2005-10-21 12:25  daichi

	* : Updated with the latest sources.

2005-10-21 12:22  alex

	* : Update Italian translations and add missing accelerator keys.

2005-10-21 12:07  daichi

	* : Updated Japanese translations.

2005-10-21 09:03  daichi

	* : Updated Polish translations by Piotr Malinski
	  <riklaunim@gmail.com>.

2005-10-20 18:35  olivier

	* : Well, I meant the right colors...

2005-10-20 18:23  olivier

	* : Use the right color for the inactive text shadow, that looks
	  better...

2005-10-19 21:40  olivier

	* : Adapt default theme to take advantage of smoother text shadow

2005-10-19 21:31  olivier

	* : Allow configurable shadow color with "active_text_shadow_color"
	  and "inactive_text_shadow_color" (fixes enhancement request #418)

2005-10-19 20:51  daichi

	* : Changed addresses.

2005-10-18 18:20  daichi

	* : Minor updates.

2005-10-17 20:37  daichi

	* : Fixed fatal mistranslations.

2005-10-16 22:19  daichi

	* : Updated.

2005-10-15 12:51  daichi

	* : Updated Japanese translations.

2005-10-15 12:12  kelnos

	* : add "[no-xml]" option to AC_PROG_INTLTOOL to remove dep on
	  XML::Parser as
	  suggested by daichi (bug 964)
	  sorry for the spam, but svn is being annoying and won't let me
	  commit all
	  at once.

2005-10-14 10:02  daichi

	* : Updated Hungarian translations by Szervac Attila <sas@321.hu>.

2005-10-14 05:21  olivier

	* : Resync

2005-10-14 05:10  olivier

	* : Keep fully visible only on resize

2005-10-13 21:39  olivier

	* : Try to keep windows on screen even if they resize themselves

2005-10-13 20:12  olivier

	* : Move misplaced break introduced by previous commit

2005-10-13 20:06  olivier

	* : Check if the requested workspace is within the current limits
	  before switching.

2005-10-13 13:52  daichi

	* : Updated Hungarian translations by Szervac Attila <sas@321.hu>.

2005-10-11 09:53  daichi

	* : Changed an address.

2005-10-10 00:05  daichi

	* : Corrected version at `Project-Id-Version'.

2005-10-09 12:01  daichi

	* : po/xfwm4.pot
	  
	  * Updated.
	  
	  po/*.po
	  
	  * Modified initial header strings using template by "msginit".
	  * Modified initial comment strings using template by "msginit".
	  * Discarded obsolete translations.
	  
	  po/po2tbl.sed.in
	  
	  * Removed.

2005-10-08 19:51  olivier

	* : Resync

2005-10-08 19:44  olivier

	* : Don't leak the region if the window size hasn't changed (leak
	  introduced in the change from yesterday)

2005-10-08 19:38  olivier

	* : Check for version 0.2 instead of 1.0 for xcomposite extension
	  as suggested by bcowan@gentoo.org in bug #1177

2005-10-08 09:39  olivier

	* : Enhance the glass effect on title bar

2005-10-07 20:26  olivier

	* : Add a small lighter frame arround buttons

2005-10-07 20:26  olivier

	* : A couple of fixes in the compositor

2005-10-06 19:57  olivier

	* : * Compositor improvements,
	  * Revert revision 15971 (june 14th) as it breaks apps that update
	  their decorations flags

2005-10-05 19:00  olivier

	* : Set opacity for popup to 100% by default

2005-10-03 19:50  olivier

	* : Resync po

2005-10-03 19:48  olivier

	* : The code is there, add prototype

2005-10-03 19:46  olivier

	* : Add opacity option for popup windows such as tooltips and menus
	  (popup_opacity=<int>)

2005-10-02 20:42  olivier

	* : Resync po

2005-10-02 19:58  olivier

	* : Add a very slight shadow around buttons

2005-10-01 13:17  olivier

	* : Use larger buttons, looks better and slightly improve usability
	  (IMHO)

2005-09-30 18:49  olivier

	* : Fix undecorated windows not being updated (fix bug #1168)

2005-09-29 19:53  olivier

	* : Use bold font as default title font

2005-09-28 19:14  olivier

	* : Add shadow to docks

2005-09-28 16:41  olivier

	* : Fix some windows (like panels) not showing at first run

2005-09-27 21:48  olivier

	* : resync

2005-09-27 21:47  olivier

	* : Fix stacking bug introduced by recent changes

2005-09-27 19:38  olivier

	* : Add 1 pixel to the height of the title bar

2005-09-27 19:35  olivier

	* : Improve stacking with focus stealing

2005-09-26 20:13  olivier

	* : Add support for stacking sibling, do not place windows on top
	  of stack when blocked from stealing focus.

2005-09-25 21:07  olivier

	* : Resync

2005-09-25 21:06  olivier

	* : Indentation

2005-09-25 20:16  olivier

	* : Slightly enhance the glass effect

2005-09-25 20:16  olivier

	* : Remove debug messages

2005-09-25 19:32  olivier

	* : Testing code

2005-09-25 11:11  olivier

	* : Wrong fix.

2005-09-25 11:11  olivier

	* : Wrong fix.

2005-09-25 11:10  olivier

	* : Fixes for ARGB/multiple depth windows.

2005-09-24 13:27  olivier

	* : Cache XRender picture and visual format to improve speed

2005-09-24 07:45  daichi

	* : * Added initial "$Id: ChangeLog 26341 2007-11-17 18:42:54Z kelnos $".
	  
	  * Updated some translations.

2005-09-23 20:09  olivier

	* : Fallback to regular Xlib routins to set window pixmap, fixes
	  bug #1161

2005-09-20 05:17  olivier

	* : No need to grab the keys twice

2005-09-19 20:24  olivier

	* : resync

2005-09-19 20:21  olivier

	* : Take changes in keyboard mapping into account

2005-09-18 15:29  olivier

	* : Fix typo, use COMPOSITING_MANAGER instead of CLIPBOARD_MANAGER,
	  move atom_names array to rodata, use enum instead of defines, all
	  this rightly suggested by Benny.

2005-09-18 14:44  olivier

	* : Fix wrong pointer being passed to clientUpdateAllFrames(), add
	  support to COMPOSITING_MANAGER as discussed on xdg list, rename
	  gnome_win as xfwm4_win since it's really an internal window that
	  has not much to do with gnome support

2005-09-18 13:52  olivier

	* : Add new atom

2005-09-18 09:22  olivier

	* : Properly handle mapping notify

2005-09-17 12:15  olivier

	* : Improve hilight on buttons to enhance the translucent look

2005-09-15 18:43  olivier

	* : resync

2005-09-15 18:41  olivier

	* : Make workspace switch simpler, reduce sidewalks windows to 1
	  pixel

2005-09-15 18:40  olivier

	* : Change theme

2005-09-13 20:53  olivier

	* : resync

2005-09-13 20:41  olivier

	* : resync

2005-09-13 20:41  olivier

	* : Update theme

2005-09-13 20:12  olivier

	* : Be smarter when showing/hiding sidewalk windows, that greatly
	  improves panel autohide feature

2005-09-13 19:49  olivier

	* : Apply patch from Ian Morgan <imorgan@webcon.ca> that improves
	  workspaces edge resistance.

2005-09-11 20:45  olivier

	* : Don't follow NET_CURRENT_DESKTOP event if specified value is
	  out of range (fix bug #1140)

2005-09-09 12:06  daichi

	* : Changed translator's representation in spelling by the request.

2005-09-07 20:26  olivier

	* : Better use of gtk theme colors

2005-09-07 19:40  olivier

	* : resync po

2005-09-07 19:35  olivier

	* : Add a small color frame in increase visibility

2005-09-06 12:24  olivier

	* : resync po

2005-09-06 11:51  olivier

	* : Don't unset the maximize flag unless the actual window size has
	  changed (fix bug #1129)

2005-09-05 21:25  olivier

	* : resync

2005-09-05 21:22  olivier

	* : Do not circlify the list, too hacky...

2005-09-04 20:44  olivier

	* : resync

2005-09-04 20:43  olivier

	* :

2005-09-03 14:32  olivier

	* : Fix crash in tabwin with some gtk engines

2005-09-03 13:56  olivier

	* : Change tabwin layout

2005-09-02 23:23  olivier

	* : Fix critical bugs in tabwin

2005-09-02 22:35  olivier

	* : Resync

2005-09-02 22:33  olivier

	* : Fix pixbuf being leaked in new tabwin code.

2005-09-02 22:18  olivier

	* : code style

2005-09-02 22:15  olivier

	* : trace twice? nah\!

2005-09-02 22:13  olivier

	* : Bug fixes in cycling

2005-09-01 21:12  olivier

	* : resync

2005-09-01 21:11  olivier

	* : Fix mismatch between displayed icon/window and actual hilighted
	  frame

2005-09-01 21:00  olivier

	* : Add class name, rearrange layout of tabwin, fix warnings when
	  app window vanishes

2005-09-01 19:44  olivier

	* : Change the tabwin window a bit

2005-09-01 05:59  olivier

	* : fix configure script

2005-08-31 22:16  olivier

	* : Commit Ori's patch for alt-tab switching

2005-08-29 21:48  daichi

	* : Changed responsible period for previous translator.

2005-08-23 05:47  ankit

	* : Updted Translations

2005-08-19 12:24  daichi

	* : Fixed errors emitted by 'msgfmt -c'.
	  
	  Added fall back address at the 'Language-Team: ', according to
	  the
	  http://www.iro.umontreal.ca/translation/registry.cgi?team=index
	  
	  Modified initial comment strings with template by 'msginit'.

2005-08-18 12:05  daichi

	* : Updated Japanese translations.

2005-08-17 15:03  daichi

	* : Converted local charsets to UTF-8.

2005-08-15 15:12  daichi

	* : Removed executable attribution.

2005-08-13 15:09  stavrosg

	* : * Added initial Greek translations in trunk for
	  xfce-mcs-plugins, xfprint,
	  xfwm4 & xfdesktop.
	  * Corrections & additions for xfce4-panel/trunk/po/el.po

2005-08-13 14:09  daichi

	* : Updated Finnish translations by Jari Rahkonen.

2005-08-08 20:08  olivier

	* : Remove window content region from the shadow in compositor.
	  This change is based on the patch submitted by
	  <aquila_deus@yahoo.co.uk> in bug #1103.
	  
	  M compositor.c

2005-08-04 20:06  olivier

	* :

2005-08-03 20:19  olivier

	* : Enlarge the title height by 2 pix; makes it better to the eyes
	  and easier to use on modern hardware with high resolutions.

2005-07-26 12:23  pollux

	* : add some EO translations

2005-07-09 20:38  olivier

	* : Fix settings not being saved (bug #1069)

2005-07-04 11:47  pollux

	* : update KO translations

2005-07-03 20:34  olivier

	* : Remove stripes

2005-06-29 16:14  pollux

	* : update zh_TW translations

2005-06-27 18:24  olivier

	* : Look

2005-06-26 17:09  pollux

	* : update KO translations

2005-06-25 21:55  olivier

	* : Wrong option

2005-06-25 21:37  olivier

	* : Update snapshot generation

2005-06-25 21:31  olivier

	* : Fix theme list not being updated (bug #1024)

2005-06-25 11:21  benny

	* : Initialize result properly.

2005-06-25 11:17  benny

	* : Don't crash if the MCS plugin is unable to store the settings,
	  a warning
	  telling whats wrong will be emitted by libxfce4util, see bug
	  #1033.

2005-06-22 22:05  olivier

	* : Give a slight 3D look to the frame

2005-06-22 21:57  olivier

	* : Po stuff as always

2005-06-22 21:52  olivier

	* : Trivial fix

2005-06-22 21:50  olivier

	* : Fix startup notification properties not being applied

2005-06-20 20:05  olivier

	* : Update dates

2005-06-20 19:20  olivier

	* : Sync

2005-06-20 18:58  olivier

	* : Remove spurious traces

2005-06-19 21:40  olivier

	* : Po

2005-06-19 21:37  olivier

	* : Add trace for temporary debuging purpose

2005-06-19 21:36  olivier

	* : Don't use shadow on shaped popup windows

2005-06-18 22:09  olivier

	* : Cleanup

2005-06-18 22:02  olivier

	* : New, better way of reporting svn revisions.

2005-06-18 20:56  olivier

	* : Typo

2005-06-18 20:44  olivier

	* : Investigating Xrandr reported problem (bug #1005).

2005-06-18 07:34  olivier

	* : Fix compilation warnings reported by Edscott.

2005-06-18 07:30  olivier

	* : Use configureNotify for screen size changes only if XRandr is
	  not supported by the display.

2005-06-17 19:14  olivier

	* : Improve XRandr support,
	  Check for Render support before using Render primitives.

2005-06-17 18:33  olivier

	* : Fix xrandr support not being compiled in.

2005-06-16 20:30  olivier

	* : REvert to $Rev: 26341 $ because svn may not be availaboe on the build
	  system.

2005-06-16 19:56  olivier

	* : Use svnversion to get the actual working copy revision

2005-06-16 19:31  olivier

	* : sync

2005-06-16 19:10  olivier

	* : Fix frame corners not being properly updated in some case.

2005-06-15 17:36  olivier

	* : Add new option "show_popup_shadow" to enable/disable compositor
	  shadow for popup (override_redirect) windows (bug id #1007)

2005-06-14 20:13  olivier

	* : Auto-maximize improvement,
	  Don't force redraw on MWM hint update.

2005-06-13 20:05  olivier

	* : Add new "make snapshot" and "make snapshot-bz2" targets

2005-06-13 19:49  olivier

	* : Add a new channel "wm_tweaks" - The plan is to add a new WM
	  Tweak plugin for all current "hidden" options.

2005-06-11 12:28  olivier

	* : Add new option "show_frame_shadow" to enable/disable frame
	  shadows.

2005-06-10 20:30  olivier

	* : Add a new option, placement_ratio, that instructs the window
	  manager to place windows either "smartly" (ie using the CPU
	  consuming algorithm) or at the center of the screen based on this
	  ratio between the window size and the actual display area size.

2005-06-09 20:20  olivier

	* : Implement a simpler and faster placement, somehow better from a
	  user point of view :
	  If the windows is larger than 2/3 of the screen, then place it
	  alternatively at each corner of the screen. Otherwise, the window
	  is "smaller", place it at the center of the screen.
	  Add revision number to the version info.

2005-06-08 21:11  olivier

	* : Test

2005-06-08 20:36  olivier

	* : Fix shaped events not being handled properly (bug #987)

2005-06-07 15:02  pollux

	* : update GU translations

2005-06-06 21:40  olivier

	* : Better top corners

2005-05-31 20:31  olivier

	* :

2005-05-31 17:28  pollux

	* : update JA translations

2005-05-29 19:52  olivier

	* : Improve grab passing.

2005-05-27 20:06  olivier

	* : Chase bug reported by Francois

2005-05-25 20:38  olivier

	* : Update TODO

2005-05-21 14:23  olivier

	* : Default theme design update.

2005-05-19 18:55  olivier

	* : Default theme.

2005-05-17 18:50  olivier

	* : Alt+Button3 (easy_click) resizes in a single dimension if not
	  in the corner of the window (Timothy Smith <tim@desert.net>

2005-05-14 19:24  olivier

	* : Update ChangeLog

2005-05-14 19:23  olivier

	* : Update ChangeLog

2005-05-13 21:33  olivier

	* : Mouse buttons where left ungrabbed when focus was transfered to
	  an unmanaged window

2005-05-13 20:18  olivier

	* : Update documentation

2005-05-08 21:18  olivier

	* : Use CurrentTime as timestamp when passing focus on unmap (quite
	  the same as #924)

2005-05-06 19:09  pollux

	* : add bn_IN translations

2005-05-06 18:56  pollux

	* : add MR translations

2005-05-04 20:38  olivier

	* : Update ChangeLog

2005-05-04 20:36  olivier

	* : Update ChangeLog

2005-05-03 19:06  olivier

	* : Fix compile w/out compositor enabled.

2005-05-02 19:41  olivier

	* : Code cleanup

2005-05-02 19:18  olivier

	* : bottom shadow

2005-04-28 10:36  olivier

	* : Change default theme (previous renamed as Wallis)

2005-04-26 21:36  olivier

	* : Trivial fix for focus problem when mapping dialogs (bug #924) -
	  Not sure what is the "correct" behaviour though.

2005-04-19 20:47  olivier

	* : Add 1 pixel to the side borders to improve usability.

2005-04-16 10:36  pollux

	* : remove shortcut edition for app launcher

2005-04-15 19:12  olivier

	* : Rework the restore-on-move patch so that it doesn't flicker and
	  it works is all cases.

2005-04-14 21:46  olivier

	* : [trivial] remove new line

2005-04-14 21:43  olivier

	* : Fix pixmap depth not being properly set (fixes bug id #895)

2005-04-14 20:16  olivier

	* : Do not include modals for group

2005-04-14 20:11  olivier

	* : Fix focus passing, bug id #905

2005-04-14 05:26  olivier

	* : Fixes for the "restore on move" patch

2005-04-12 20:16  olivier

	* : Use thiner borders
	  Add light gradient at bottom

2005-04-10 20:20  olivier

	* : Don't focus the window on top of stack as fallback on workspace
	  switch, fixes #899 (too bad, that was a nice feature)
	  Refresh frame when "skip taskbar" state changes, fixes #898

2005-04-06 07:33  perldude

	* : remove .cvsignore cruft

2005-04-03 19:41  olivier

	* : Smoother top corners

2005-04-03 17:10  olivier

	* : Change the vertical alignment for the title.

2005-04-03 12:13  olivier

	* : Use slight darker gradient on lower outline frame at bottom of
	  window too.

2005-04-02 19:47  olivier

	* : Duh! I commited the wrong data!

2005-04-02 19:43  olivier

	* : *** empty log message ***

2005-04-02 08:08  olivier

	* : Killer xfwm4 default theme, to be used with xfce gtk theme to
	  achive the best results :)

2005-03-31 19:44  olivier

	* : Remove the transparent area arround buttons (makes no
	  difference "visually", it's just better internally :)

2005-03-30 20:41  olivier

	* : Simplification

2005-03-29 21:40  olivier

	* : Disable restore on move when not using opaque move (that breaks
	  the xor logic, a nicer way to handle this would be nice but for
	  now, it's all I found)
	  Merge default theme with 4.2 style of borders and round corners
	  to get the same kind of look as before (kind of identity).

2005-03-28 16:05  olivier

	* : Try to fix Ori's patch

2005-03-28 11:29  jasper

	* : Update French doc

2005-03-27 21:11  olivier

	* : Apply Ori Bernstein <rand_chars@rogers.com> follow up on his
	  patch.

2005-03-27 19:30  olivier

	* : Fix an obvious stupid bug in clientAtPosition() returning the
	  wrong value (fixes bug 869)

2005-03-27 19:20  pollux

	* : code cleaning

2005-03-27 18:30  fleclainche

	* : Updated icons

2005-03-26 20:00  olivier

	* : Apply "restore on move" patch from Ori Bernstein
	  <rand_chars@rogers.com> (Thanks Ori!)

2005-03-26 16:43  olivier

	* : /me is dumb.

2005-03-26 16:29  olivier

	* : Don't ignore Makefile.in.in ?

2005-03-26 15:18  pollux

	* : work in progress, i'll finish it at home

2005-03-26 15:08  olivier

	* : Update default theme for FLC :)

2005-03-26 11:22  pollux

	* : update KO translations

2005-03-22 22:07  olivier

	* : Fix another "grab freeze" case

2005-03-19 22:11  olivier

	* : Rework buttons for Symphony.

2005-03-16 20:36  olivier

	* : Grab management fixes.

2005-03-14 19:49  olivier

	* : Make sure "fullscreen_old_layer" gets properly initialized in
	  all cases.

2005-03-09 11:50  benny

	* : Intltool'ized xfwm4.

2005-03-08 08:17  olivier

	* : Focus window on top of stack on workspace switch if no other
	  window is eligible for focus.

2005-03-07 21:25  olivier

	* : Don't cycle if there is just one window and it's already
	  focused.

2005-03-07 09:07  pollux

	* : update GU translations

2005-03-05 13:03  pollux

	* : update JA translations

2005-03-04 22:26  olivier

	* : Prevent frameless windows to be moved offscreen toward the top.

2005-03-03 22:07  olivier

	* : Be more tolerant with apps moving their windows.

2005-03-02 20:34  olivier

	* : Use "Just4fun" title buttons with "therapy" decoration as
	  default, and remove "therapy" as it's the default now.

2005-02-24 20:58  olivier

	* : Theme highlights/shadows

2005-02-21 08:40  pollux

	* : update JA translations

2005-02-20 14:21  olivier

	* : Force frame redraw when switching back from fullscreen to avoid
	  cache mismatch.

2005-02-19 20:21  olivier

	* : *** empty log message ***

2005-02-19 19:40  olivier

	* : Much better implementation of previous change.

2005-02-19 16:41  olivier

	* : Auto maximize windows larger that screen size.

2005-02-19 14:19  olivier

	* : Update ChangeLog

2005-02-19 14:14  olivier

	* : Use time stamp when focusing windows at first map.

2005-02-19 14:00  olivier

	* : Use time stamp when focusing windows at first map.

2005-02-19 12:50  olivier

	* : 1 pix smaller

2005-02-13 12:39  pollux

	* : update KO translations (with a big delay)

2005-02-12 21:48  olivier

	* : Small implementation cleanup.

2005-02-12 21:12  olivier

	* : Implements our own grab functions.

2005-02-12 09:10  olivier

	* : Don't use a InputOnly window for grabbing mouse when
	  moving/resizing windows.

2005-02-11 20:09  olivier

	* : Small change in theme.

2005-02-11 20:06  olivier

	* : Typo!

2005-02-11 20:04  olivier

	* : Grab mouse button by default on newly created windows;
	  Use current time to focus newly created windows to make sure the
	  windows gets focused.

2005-02-10 22:06  olivier

	* : Check for actual returned value to avoid critical warnings at
	  startup.

2005-02-10 20:25  olivier

	* : Force cache update when refreashing all frames (required
	  because of the new fine grained caching)

2005-02-10 20:09  olivier

	* : Use out internal timer for focus transitions.

2005-02-09 21:03  olivier

	* : Try to avoid colormap issues on Solaris as reported on the ML.

2005-02-09 20:31  olivier

	* : Use internal time counter for grabbing/ungrabbing kbd+mouse
	  when moving/Resizing windows.

2005-02-08 22:47  olivier

	* : Smoother theme.

2005-02-08 22:13  olivier

	* : Don't get through excluded windows when searching windows ata
	  given position.

2005-02-07 22:19  olivier

	* : Playing with theme again.

2005-02-06 21:28  olivier

	* : Theme reorg.

2005-02-05 21:55  olivier

	* : Update cvsignore

2005-02-05 20:53  olivier

	* : reduce border width, change corners.

2005-02-05 20:33  olivier

	* : top corners

2005-02-05 16:06  olivier

	* : Avoid displaying spurious messages

2005-02-05 13:12  olivier

	* : Just for fun theme

2005-02-04 18:23  olivier

	* : Simplify colormap management in pixmap loading.

2005-02-01 23:31  olivier

	* : Even simpler

2005-02-01 23:25  olivier

	* : Actually use the correct default value...

2005-02-01 23:04  olivier

	* : Based on patches submitted by pasi.ov@gmail.com :
	  - Add shortcut for show desktop ()
	  - Add shortcuts upt to 12 for
	  Workspace
	  Move window to workspace
	  Launcher key

2005-02-01 21:04  olivier

	* : Adapt theme for dark colors such as "Xfce-dusk" from James
	  Golden <chibifs@gmail.com>

2005-02-01 20:59  olivier

	* : Update cvsignore for po dir

2005-02-01 11:45  pollux

	* : update zh_CN translations

2005-01-31 22:22  olivier

	* : Fix button not being regrabbed when the focused window is
	  lowered in focus follow mode.

2005-01-30 23:06  olivier

	* : add .cvsignore for generated files

2005-01-30 11:34  olivier

	* : Clear root win on startup.

2005-01-29 13:43  olivier

	* : Internal reorg.

2005-01-29 09:10  olivier

	* : Separate parts that require Render from those who depend on
	  XFixes, XDamage and so.

2005-01-28 22:20  olivier

	* : Again, optimize.

2005-01-28 22:15  olivier

	* : Forgot one line

2005-01-28 22:14  olivier

	* : Port optimizations from 4.2 branch.

2005-01-28 17:40  olivier

	* : Fix issue with themes w/out pixmap mask,
	  Add trivial optimization frame draw.

2005-01-28 06:40  olivier

	* : Use new m4 macros

2005-01-28 05:53  olivier

	* : Remove theme as in 4.2

2005-01-28 05:50  olivier

	* : Remove autogenerated files from CVS.

2005-01-27 23:00  olivier

	* : Add support for ARGB clients.

2005-01-25 22:27  olivier

	* : Sync with 4.2 branch.

2005-01-22 12:22  pollux

	* : update FI translations

2005-01-19 20:35  olivier

	* : Improve previous patch.

2005-01-18 23:17  olivier

	* : Don't focus a randow window whth Alt+Tab when no focusable
	  window is present.

2005-01-18 21:59  olivier

	* : Small optimization to speed up GL apps in windowed mode.

2005-01-18 18:33  olivier

	* : Fix bug #611 (Documentation on command line option to
	  enable/disable xfwm4 compositor)

2005-01-17 21:00  olivier

	* : Fix bug #694: Window not showing when compositor is enabled.

2005-01-17 20:31  olivier

	* : Fix bug #700

2005-01-16 21:27  olivier

	* : Fix modifers not working when caps lock is enabled (bug #689)

2005-01-14 11:36  pollux

	* : detect removed keytheme file

2005-01-14 10:33  pollux

	* : port from xfce_4_2

2005-01-12 17:49  olivier

	* : Focus patch again

2005-01-11 21:57  olivier

	* : Title offset

2005-01-11 21:38  olivier

	* : BEtter default theme

2005-01-11 20:15  olivier

	* : Start 4.3.x

2005-01-11 20:05  olivier

	* : Try to fix the focus not being restored when switching desktop
	  in focus follow mode.

2005-01-11 06:44  olivier

	* : Forgot caps lock mask.

2005-01-10 20:22  olivier

	* : Apply patch from Juho V��h��-Herttua <juhovh@iki.fi> for
	  modifiers.

2005-01-10 20:07  olivier

	* : Change the mofifier computation.

2005-01-09 10:11  olivier

	* : Fix bug #666

2005-01-08 15:04  pollux

	* : update RU translations

2005-01-07 19:59  olivier

	* : Small change in title bar shadow

2005-01-06 20:31  pollux

	* : update UK translations

2005-01-05 21:01  olivier

	* : Put back button on inactive frame (as it's the default theme,
	  it should not be too confusing to users)

2005-01-05 16:01  pollux

	* : update HE translations

2005-01-02 12:51  olivier

	* : Update version and changelog

2005-01-01 19:33  olivier

	* : Original buttons spacing

2005-01-01 14:01  olivier

	* : Re-add RC3 "therapy" as separate theme

2005-01-01 13:41  jasper

	* : Fix some references to bugzilla

2004-12-30 22:08  olivier

	* : Set up a work arround for apps misusing MODAL state (bug #619)

2004-12-30 17:58  olivier

	* : Don't treat utility windows deiiferently,
	  Final touch on theme

2004-12-29 12:35  pollux

	* : fix #624

2004-12-28 11:28  pollux

	* : make the popup menu appears in the correct screen

2004-12-27 19:05  pollux

	* : mcs-plugins now appear on the mouse pointer screen

2004-12-25 20:33  kelnos

	* : fix distcheck-bz2

2004-12-24 00:03  kelnos

	* : add dist-bz2 and distcheck-bz2 targets

2004-12-23 23:34  olivier

	* : Themes and screenshots

2004-12-23 21:24  pollux

	* : update ET translations

2004-12-22 21:19  benny

	* : Update ChangeLog. Fix make distcheck.

2004-12-21 23:50  olivier

	* : Use less space between borders and buttons, and between
	  buttons.

2004-12-21 23:00  olivier

	* : Update ChangeLog

2004-12-21 22:57  olivier

	* : *** empty log message ***

2004-12-21 22:44  olivier

	* : Fix theme row selection on gtk 2.6

2004-12-21 09:04  kelnos

	* : add/update czech translations

2004-12-21 09:02  kelnos

	* : update pt_BR translations

2004-12-20 21:00  jasper

	* : Update versions and ChangeLog

2004-12-20 20:46  olivier

	* : Change look of pressed buttons.

2004-12-19 21:29  olivier

	* : Update ChangeLog

2004-12-19 21:23  olivier

	* : Turn off the button time checking as Moe reported a few missed
	  clicks as it seems.

2004-12-19 20:49  pollux

	* : update KO translations

2004-12-19 13:22  olivier

	* : Update themes and screenshots

2004-12-19 12:41  olivier

	* : Corners

2004-12-18 23:40  olivier

	* : Improve corners

2004-12-18 23:32  olivier

	* : Revert default font

2004-12-18 23:31  olivier

	* : REdo screenshots with the new theme

2004-12-18 22:47  olivier

	* : Re-add "Wildbush" theme (previous default)

2004-12-18 22:42  olivier

	* : Change default theme under hard pressure from the devs on irc.

2004-12-16 23:05  olivier

	* : Update ChangeLog

2004-12-16 23:02  olivier

	* : Wrong trace

2004-12-16 22:53  olivier

	* : compositor stuff,
	  don't use package name in warnings.

2004-12-15 22:53  olivier

	* : Update ChangeLog

2004-12-15 22:50  olivier

	* : *** empty log message ***

2004-12-15 22:46  olivier

	* : Monitor reparenting too.

2004-12-15 21:52  olivier

	* : Don't restack if the sibling is unknown.

2004-12-15 19:16  olivier

	* : Fix bug #577, #596 and #597

2004-12-14 20:33  pollux

	* : add RO translations

2004-12-14 19:30  olivier

	* : Base compositing show/hide on received map/unmap events.

2004-12-14 17:45  olivier

	* : Ungrab keys on on client window when unframing as spotted by
	  Jochen Baier <Jochen.Baier@stud.uni-karlsruhe.de>

2004-12-13 21:36  olivier

	* : Typo

2004-12-13 21:27  olivier

	* : Update version, improve the window creation management in the
	  compositor.

2004-12-13 20:12  olivier

	* : Monitor window creation in compositor to avoid stacking
	  discrepancies (that should greatly improve thing for #552, if not
	  fixing it for good)
	  Add a warning if a stacking discrepancy is detected, so we can
	  tell,
	  Fix a mismatch between compositor header and implemented
	  function.

2004-12-12 11:53  olivier

	* : Stacking

2004-12-12 09:46  olivier

	* : Update ChangeLog

2004-12-12 09:42  olivier

	* : Fix #588 for good

2004-12-12 09:20  olivier

	* : Fix #588
	  Improve stacking mgt in compositor

2004-12-11 17:51  olivier

	* : Various changes and small fixes

2004-12-11 16:54  olivier

	* : Update TODO file

2004-12-11 16:52  olivier

	* : Update ChangeLog

2004-12-11 16:41  olivier

	* : Improve stacking, event monitoring of unmanaged windows in
	  compositor,
	  Remove monitoring of pixmap on root window (to make the WM more
	  solid and faster, it will make no difference in XFce since we use
	  a "fake" root with xfdesktop)

2004-12-10 06:46  olivier

	* : Keep track of all wins to try to fix #552

2004-12-10 05:30  olivier

	* : Include korean update from David Choi
	  <byunghyun.choi@gmail.com>

2004-12-10 05:09  olivier

	* : Fixes and cleanups

2004-12-09 22:44  olivier

	* : Add more internal controls

2004-12-09 22:24  olivier

	* : Fix memory leak in menu code reported by David Agraz
	  <dagraz@gmail.com>,
	  fix "_NET_WM_CONTEXT_HELP", "_XROOTPMAP_ID" and "_XSETROOT_ID"
	  atoms being mispelled

2004-12-08 21:16  olivier

	* : Update ChangeLog

2004-12-08 21:12  olivier

	* : Cancel raise timeout when window is raised by the user.

2004-12-08 21:01  olivier

	* : Fix frame drawing generating spurious shape events

2004-12-08 19:57  olivier

	* : Do not enter daemon mode if connected to a session manager.

2004-12-07 21:33  olivier

	* : Fix a wrong param being passed to setNetWorkarea() causing a
	  lot of problems
	  Fix focus issues

2004-12-06 21:10  olivier

	* : Remove the 'check_button_time()' as I strongly suspect that to
	  be the cause of #568 (the focus part)

2004-12-06 20:59  olivier

	* : Fix #568 (the placement part)

2004-12-06 20:07  olivier

	* : Try to fix bug #573 by reducing the memory buffer usage during
	  repaint.

2004-12-05 23:17  olivier

	* : Code sytle

2004-12-05 23:10  olivier

	* : Reverting useless XSync()

2004-12-05 23:02  olivier

	* : Implement a more solid imechanism for grabbing/ungrabbing mouse
	  buttons.

2004-12-05 21:38  pollux

	* : add nb_NO translations

2004-12-05 21:20  pollux

	* : add en_GB translations

2004-12-05 20:50  pollux

	* : update KO translations and add screenshots in xfprint doc

2004-12-05 18:01  olivier

	* : Fix misinterpretation of standard

2004-12-04 17:42  benny

	* : Updated configure and ChangeLog.

2004-12-03 17:37  olivier

	* : grab pointer on workspace change in all case.

2004-12-02 21:50  olivier

	* : Fix bug #551 (wrap workspace not working when compositor is
	  enabled)

2004-12-02 20:24  olivier

	* : Update client opacity when transset chages the value on the
	  frame (so that opacity gets properly restored after a
	  moved/resize)

2004-11-30 23:26  olivier

	* : Implement the translucent window while moving or resizing
	  through a hidden option.
	  Adjust documentation accordingly.

2004-11-30 17:27  benny

	* : Solaris build fixes.

2004-11-29 21:17  olivier

	* : Try to be a bit smarter when passing that damn focus

2004-11-28 18:01  pollux

	* : update TR translations

2004-11-27 23:14  olivier

	* : Fix focus timing on revert,
	  Fix modifiers mismatch.

2004-11-27 20:44  pollux

	* : deactivate the "remove" button when not writable themes are
	  selected

2004-11-27 20:40  pollux

	* : add "add" and "remove" buttons the shortcuteditor page, close
	  #546

2004-11-27 16:20  olivier

	* : Small tweak.

2004-11-27 09:29  olivier

	* : Fix bug #543

2004-11-26 19:06  pollux

	* : update KO translations

2004-11-24 20:15  olivier

	* : Fix another typo in atom name.

2004-11-24 17:49  olivier

	* : Fix typos in atoms names introduced yesterday (causing various
	  oddities)

2004-11-23 23:57  olivier

	* : Huge rework of the way atoms are managed internally.

2004-11-23 06:38  olivier

	* : Apply patch from Benny regarding WM_WINDOW_ROLE

2004-11-22 19:14  olivier

	* : Remove shadow on "Tyrex" theme to get a real slick theme.

2004-11-22 17:58  olivier

	* : Bug fix.

2004-11-21 21:57  pollux

	* : update HU translations

2004-11-21 11:22  olivier

	* : Small documentation update (missing hidden options, prolly some
	  still missing...)

2004-11-20 23:18  olivier

	* : Use current time when reverting focus

2004-11-20 22:37  olivier

	* : Fix focus oddities (See bug #502)

2004-11-19 06:58  olivier

	* : Update version

2004-11-18 21:51  olivier

	* : Useless stupid small theme tweak.

2004-11-18 18:19  pollux

	* : prevent root to edit Default keytheme

2004-11-18 17:53  pollux

	* : add a third hidden column to the treeview to get rid of
	  strcmp(command, _("some command"))

2004-11-16 07:12  jasper

	* : Update some docs and update to new color scheme at the
	  suggestion of Jeff Franks

2004-11-15 22:39  pollux

	* : use one translation entry instead of nine BTW should fix #495

2004-11-15 22:38  pollux

	* : little translation correction

2004-11-13 18:01  olivier

	* : Update ChangeLog

2004-11-12 23:40  fleclainche

	* : Add missing xfwm4 hidden options.
	  Move all hidden options in a specific section.
	  Olivier, please have a look, thx.

2004-11-11 23:36  olivier

	* : Use my titlebar image instead (was lost because of the merge
	  conflict)

2004-11-11 22:21  olivier

	* : Update screenshots (oops, conflict)

2004-11-11 20:21  jasper

	* : Big screenshot update for the docs

2004-11-11 15:59  olivier

	* : Revert JF's patch and rather test for "Mod4" in xfwm4's
	  keyboard.c

2004-11-11 15:48  pollux

	* : attempting to fix #377

2004-11-11 14:42  pollux

	* : i forgot to move the typedef

2004-11-11 14:41  pollux

	* : don't tell the user the shortcut is already used if it is the
	  shortcut he is editing (thx benny for the idea)

2004-11-08 09:18  pollux

	* : fix #478

2004-11-06 16:25  olivier

	* : Update automake/autoconf/libtool/gettext versions to generate
	  the configure scripts and Makefiles,
	  Update versions of all packages to 4.1.99.1 (ie 4.2 RC1),
	  Update ChangeLogs.

2004-11-06 13:25  olivier

	* : po and ChangeLog updates

2004-11-06 13:04  olivier

	* : Check for the toggle workspace first

2004-11-06 13:02  olivier

	* : Add hidden option "toggle_workspace" to enable/disable the
	  switch back to previous workspace.

2004-11-04 21:51  olivier

	* : Fix bug #463 (newly created workspaces are skipped when draging
	  window),
	  Add "default" case to the switch statements where missing as some
	  (old) compilers require a "default" statement.

2004-11-04 21:17  olivier

	* : Typo

2004-11-03 15:15  olivier

	* : Revert: Treat dialogs that don't set their transient_for as
	  transients for group,
	  Add: Support for NET_FRAME_EXTENTS and NET_REQUEST_FRAME_EXTENTS

2004-11-03 10:52  jasper

	* : Re-add dynamic workspace updating. With g_module_unload()
	  function to disconnect handlers

2004-11-02 09:19  olivier

	* : Raise window on any mouse button click (fixes big #442) - Use
	  the hidden option "raise_with_any_button=true|false" to toggle
	  old behaviour.

2004-11-01 15:50  olivier

	* : Fix bug #434 (xfwm4 segfaults if window menu open and window is
	  unmapped)

2004-10-31 17:16  olivier

	* : Fix bug #423 - Raise on focus.

2004-10-30 19:03  olivier

	* : Global update for 4.1.91 (Xfce 4.2 beta 2)

2004-10-30 14:42  jasper

	* : Update a few nl translations

2004-10-30 14:00  pollux

	* : update LT translations

2004-10-30 12:46  jasper

	* : Fix svg location

2004-10-30 12:03  olivier

	* : Update ChangeLog

2004-10-30 12:00  olivier

	* : Update documentation for the compositing manager

2004-10-28 19:44  olivier

	* : Change default theme and rename previous theme as "Tyrex".

2004-10-28 11:55  pollux

	* : update HE translations

2004-10-27 21:28  olivier

	* : Update ChangeLog

2004-10-27 16:56  olivier

	* : Fix various focus/stacking harmless oddities

2004-10-26 23:18  olivier

	* : Add some depth to the default theme

2004-10-26 23:14  olivier

	* : Honor raise on focus when not using raise on click in client
	  window.

2004-10-26 21:02  olivier

	* : Fix stupid typo that broke focus follow mouse in the previous
	  commit.

2004-10-26 20:42  olivier

	* : Don't give focus to dock type windows unless a
	  net_active_window is sent.

2004-10-26 19:04  olivier

	* : Fix click_raise

2004-10-25 05:45  olivier

	* : Fix focus follow mouse breakage.

2004-10-24 21:55  olivier

	* : Locale fix

2004-10-24 21:48  olivier

	* : Add some logic to the way move/resize/raise windows work.

2004-10-24 14:23  moe

	* : Hehe

2004-10-24 13:32  olivier

	* : Raise windows that manipulate the focus by themselves,
	  Don't translate warning messages

2004-10-23 19:58  olivier

	* : gmo for Moe

2004-10-23 19:53  moe

	* : We hate K�rzels!

2004-10-23 19:45  olivier

	* : gmo file for Moe

2004-10-23 19:43  moe

	* : Finishing German translation. Germs are good to go Sir!

2004-10-23 19:40  olivier

	* : Label mispelled

2004-10-23 17:47  benny

	* : Update-po for moe.

2004-10-23 14:45  olivier

	* : Update ChangeLog

2004-10-23 13:14  olivier

	* : Turn on wrap_layout by default
	  Code cleanup

2004-10-22 20:38  olivier

	* : Updated versions and change logs

2004-10-22 19:33  olivier

	* : Theme fixes
	  update locale [fr] for desktop files

2004-10-22 18:44  olivier

	* : Fix bug #409

2004-10-20 22:05  pollux

	* : update ET translations

2004-10-20 20:49  olivier

	* : glib-2.2 has no G_MAXUINT32,
	  Play with compositor priorities.

2004-10-20 20:30  olivier

	* : Small optimizations

2004-10-20 17:47  olivier

	* : Fix initial placement issue reported on the ML by Brian

2004-10-19 05:42  olivier

	* : autogen for Maarten

2004-10-18 13:19  boekhold

	* : cygwin: add X11 libs to xfwm4_plugin library list

2004-10-17 20:30  pollux

	* : update FI translations

2004-10-17 14:01  olivier

	* : Cleanup

2004-10-17 12:45  olivier

	* : Fix compiler warnings.

2004-10-17 12:12  fleclainche

	* : Small doc update :
	  - xdg basedir spec fix
	  - some words about compositing manager
	  - fix an internal broken link

2004-10-17 11:57  olivier

	* : Do monitor search in one pass.

2004-10-17 08:41  olivier

	* : Replace gdk_screen_get_monitor_at_point () with our own
	  implementation.

2004-10-16 17:15  olivier

	* : Add a timout in case the idle callback occurs too rarely.

2004-10-16 14:27  olivier

	* : Add new hidden option "prevent_focus_stealing" disable by
	  default to fix #400
	  Increase compositor repaint priority

2004-10-15 22:12  olivier

	* : Repaint in an idle function, it seems to be faster on slower hw
	  (like my laptop which has no accelerated xrender)

2004-10-15 06:32  olivier

	* : Update ChangeLog

2004-10-15 06:29  olivier

	* : Forgot to notify the raw channel for command shortcuts

2004-10-14 22:07  olivier

	* : Update ChangeLog

2004-10-14 21:59  olivier

	* : Fix

2004-10-14 21:56  olivier

	* : Code reorg

2004-10-14 08:26  pollux

	* : fix #395

2004-10-14 06:19  olivier

	* : Fix double click time setting not working in xfwm4

2004-10-13 22:52  olivier

	* : Update ChangeLog

2004-10-13 22:48  olivier

	* : *** empty log message ***

2004-10-13 22:47  olivier

	* : Rewrite the "typeOfClick" fn so that there is no delay when
	  using the compositor

2004-10-13 20:50  olivier

	* : Change cmd line options to allow automatic compositor.

2004-10-13 20:12  pollux

	* : fix #394

2004-10-13 14:03  pollux

	* : spelling correction

2004-10-12 22:25  olivier

	* : Various tweaks

2004-10-12 06:50  olivier

	* : Use mcs raw channel to fix bug #342

2004-10-11 16:30  benny

	* : update-po for Moe.

2004-10-10 22:03  olivier

	* : Add a useless function that not used anywhere in the current
	  code but might be useful some day, who knows...

2004-10-10 21:27  olivier

	* : Fix frame vanishing when using transparency

2004-10-10 11:52  pollux

	* : update pt_PT translations

2004-10-10 11:28  pollux

	* : *** empty log message ***

2004-10-10 01:52  edscott

	* : spelling correction

2004-10-09 19:47  pollux

	* : fix typo

2004-10-09 19:24  pollux

	* : i was releasing the keyboard too soon

2004-10-09 19:16  pollux

	* : fix #373

2004-10-09 16:15  olivier

	* : *** empty log message ***

2004-10-09 14:20  pollux

	* : update FA translations

2004-10-09 13:48  pollux

	* : Punjabi translations update from jaswinderlinux@netscape.net

2004-10-09 13:13  olivier

	* : Check for an already running compositing manager,
	  Various optimizations.

2004-10-08 22:42  olivier

	* : Various optilizations in compositor

2004-10-08 20:36  olivier

	* : Fix grab/ungrab when dragging windows between workspaces

2004-10-08 17:21  olivier

	* : Small optimiztion.

2004-10-08 17:06  olivier

	* : Improve handling of transients/modals which aren't tied to a
	  parent window.

2004-10-08 16:43  pollux

	* : fix #377 and #378

2004-10-08 15:45  edscott

	* : update spanish translations.

2004-10-07 21:21  olivier

	* : *** empty log message ***

2004-10-07 20:49  benny

	* : Revert

2004-10-07 20:36  benny

	* : Added --enable-final (-O1 for GNU ld) as per Jaspers request.
	  Added missing
	  m4 files.

2004-10-07 20:20  olivier

	* : Fix typo
	  Actually use optimization in shadow computation

2004-10-06 22:25  olivier

	* : Simplify code in compositor repaint routine

2004-10-06 21:56  olivier

	* : Fix transet removing opacity property
	  expand sources;

2004-10-05 21:37  olivier

	* : Fix XShape bug, now gkrellm and other shaped windows work.

2004-10-05 20:20  pollux

	* : use path instead of selection for popup_menu_del_menuitem
	  activation

2004-10-05 20:13  pollux

	* : add option to remove shortcut, and command dialog shows current
	  command if present

2004-10-05 14:11  jasper

	* : Benedikt tells me session files should be in ~/.cache/.

2004-10-05 11:33  olivier

	* : indent

2004-10-05 11:31  olivier

	* : Still compositing and shape

2004-10-05 06:55  olivier

	* : *** empty log message ***

2004-10-05 06:49  olivier

	* : *** empty log message ***

2004-10-05 06:23  olivier

	* : Improve handling of shaped windows.

2004-10-04 21:27  olivier

	* : Reorg to save useless notifications

2004-10-04 21:10  olivier

	* : Wrong fn name in header.

2004-10-04 21:01  olivier

	* : There is a refresh problem with XShaped windows, but xcompmgr
	  suffer the same so I'm not sure it's really a compositor problem.

2004-10-03 21:08  olivier

	* : Better support for transparency property.

2004-10-03 16:14  pollux

	* : Punjabi translations (PA) from jaswinderlinux@netscape.net

2004-10-03 15:43  pollux

	* : zh_TW translations of desktop files from Ambrose Li
	  <acli@ada.dhs.org>

2004-10-02 12:36  olivier

	* : Update ChangeLog

2004-10-02 12:31  olivier

	* : Add support for expose on root event

2004-10-02 11:50  pollux

	* : fix #345

2004-10-02 11:45  olivier

	* : Damage window on shape events.

2004-10-02 11:33  olivier

	* : Damage client on XShape event

2004-10-02 10:33  olivier

	* : Add support for shadow_delta_* params for adjusting shadow size
	  and position for specific themes.

2004-10-02 08:59  olivier

	* : Slightly enlarge shadow in compositor,
	  Enable optional compositor build in rpm (depends on option
	  "--enable-compositor" being passed to the configure script),
	  Various gcc warning fixes in compositor.

2004-10-01 20:17  olivier

	* : Update ChangeLog

2004-10-01 20:15  olivier

	* : Last touch

2004-10-01 20:09  olivier

	* : Redo the checks,
	  Fix a potential leak.

2004-10-01 17:15  olivier

	* : Be paranoid about returned values in compositor

2004-09-30 20:26  olivier

	* : Jump to the next win instead of the previous if the current win
	  vanishes during the alt-tab cycling,
	  Adding (an old) theme "breeze" simply because it looks great with
	  the compositor!

2004-09-30 15:48  pollux

	* : updated Italian translations from Luca Marrocco
	  <buildup@libero.it>

2004-09-29 22:31  olivier

	* : *** empty log message ***

2004-09-29 21:52  olivier

	* : Updating ChangeLog

2004-09-29 21:46  fleclainche

	* : Change tabwin icon.

2004-09-29 21:18  olivier

	* : Don't paint offscreen windows as done in xcompmgr.

2004-09-29 17:05  olivier

	* : Add little white frame arround the black frame so it stays
	  visible even on dark background,
	  handle the one single hidden app in cycling.

2004-09-29 08:22  pollux

	* : updated zh_TW translations from Ambrose Li <acli@ada.dhs.org>

2004-09-29 07:59  pollux

	* : updated zh_CN translations from yongtao yang
	  <yongtao.yang@gmail.com>

2004-09-28 22:10  olivier

	* : Update ChangeLog

2004-09-28 22:07  olivier

	* : Improve windows refresh when using compositor.

2004-09-28 21:55  olivier

	* : Don't grab the server when cycling windows (but still show the
	  frame shadow),
	  Add a "--help" usage message.

2004-09-28 19:56  olivier

	* : Fix window vanishing when being unmapped with compositor
	  enabled.

2004-09-27 21:10  olivier

	* : Various compositor fixes/improvements,
	  Add new cmd line option "--disable-compositor" to disable
	  compositor even if it's supported by both xfwm4 and the X server.

2004-09-26 22:11  olivier

	* : Update ChangeLog

2004-09-26 22:07  olivier

	* : Various tweaking

2004-09-26 21:22  olivier

	* : Fix a crash when window XRender visual can't be determined

2004-09-26 18:01  olivier

	* : Port latest changes from xcompmgr,
	  Fix bug when unmapping override redirects

2004-09-26 12:27  olivier

	* : Reduce drop threshold for mouse wheel events and fix a couple
	  of compilation warnings.

2004-09-26 12:12  olivier

	* : Add wrap_cyle option enabled by default for Brian and Francois.

2004-09-26 10:30  jasper

	* : autogen for jean-francois

2004-09-26 10:18  pollux

	* : bump version in libxfce4util to 4.1.17 and make xfwm4 depends
	  on it

2004-09-26 09:56  jasper

	* : Fix html target for docs. Not build by default.

2004-09-26 09:03  olivier

	* : fn shouldn't be declared "extern"

2004-09-26 09:02  olivier

	* : Fix [Bug 336] New: Moving hidden buttons in settings changes
	  button layout of all windows

2004-09-25 21:49  olivier

	* : Add compositor.

2004-09-25 15:56  pollux

	* : deactivate the del entry in the popup menu when a not
	  user_writable
	  entry is selected

2004-09-25 15:32  pollux

	* : fix shortcut editor, Default is no more editable, user can
	  create his
	  own themes

2004-09-24 16:34  benny

	* : Simplify writable test.

2004-09-24 14:03  pollux

	* : commit things before going back home for the w-e

2004-09-24 06:49  pollux

	* : temporaly fix the shortcuteditor

2004-09-24 06:19  kelnos

	* : fix first-time edit if $prefix != /usr

2004-09-23 21:37  pollux

	* : add Gujarati translations (GU) from Ankit Patel
	  <ankit@redhat.com>

2004-09-23 17:15  olivier

	* : Fix bugs from the sidewalk stacking

2004-09-23 13:43  pollux

	* : minor fixes

2004-09-23 09:09  jasper

	* : Better translation

2004-09-23 08:22  jasper

	* : Add nl translations

2004-09-23 06:29  olivier

	* : Update ChangeLog

2004-09-23 06:26  olivier

	* : Fix missing parts from Param's patch regarding "sidewalks"

2004-09-23 05:59  olivier

	* : Apply patch from Paramjit Oberoi <param@cs.wisc.edu> to handle
	  worskswitch with reaching screen edges

2004-09-23 05:22  olivier

	* : Improve window resize within partial struts

2004-09-22 22:39  olivier

	* : ??

2004-09-22 22:37  olivier

	* : Mispaced parenthesis

2004-09-22 22:35  olivier

	* : Misplaced parenthesis

2004-09-22 20:06  olivier

	* : Be smarter with dragging windows across workspaces,
	  Apply patch from Nils Rennebarth <Nils.Rennebarth@web.de> to
	  optionnaly prevent
	  cycling desktops with the mouse scroll wheel.

2004-09-22 03:18  kelnos

	* : add GenericName tags to settings .desktop files

2004-09-21 20:13  jasper

	* : Prevent crash when keyval without name is pressed

2004-09-21 19:27  olivier

	* : Merge custom keytheme wit hsystem default to avoid missing
	  shortcuts that prevent the WM to start.

2004-09-21 11:51  jasper

	* : Run make update-po at Moe's request.

2004-09-21 06:40  olivier

	* : Include patch for 2D desktop layout support from Paramjit
	  Oberoi <param@cs.wisc.edu>

2004-09-20 22:22  olivier

	* : Update all ChangeLogs

2004-09-19 20:16  olivier

	* : Remove compositor for now.

2004-09-19 19:58  olivier

	* : Fix the typo in the added comments (!)

2004-09-19 19:55  olivier

	* : Add comments for clarity

2004-09-19 19:50  olivier

	* : Fix urgency flashes switching apps automatically when cycling
	  with alt+tab.

2004-09-19 10:14  jasper

	* : Update nl translations

2004-09-18 20:50  jasper

	* : Fix translations for mcs plugins

2004-09-18 18:43  dannym

	* : save_channel -> ws_save_channel

2004-09-18 18:28  jasper

	* : autogen for Maarten + basedir tweaks

2004-09-18 16:41  pollux

	* : update EU translations

2004-09-18 16:34  jasper

	* : try to avoid some namespace clashes found by Danny

2004-09-16 22:10  pollux

	* : add BE translations from Ales Nyakhaychyk <nab@mail.by>

2004-09-16 20:30  olivier

	* : Slightly smoother

2004-09-14 20:32  jasper

	* : Cygwin patches by Maarten Boekhold.

2004-09-12 21:49  olivier

	* : WIP

2004-09-10 20:49  pollux

	* : HE translations update from Yuval Tanny <tanai@int.gov.il>

2004-09-09 22:54  olivier

	* : Prepare compositor (not here yet though)

2004-09-09 18:51  pollux

	* : update VI translations

2004-09-08 15:59  olivier

	* : Include Sami Samhuri <sami@no-eff-eks.com> patch for
	  "cycle_hidden" option,
	  Update the default boring theme.

2004-09-07 22:12  olivier

	* : Remove outdated example.xfwm4rc

2004-09-07 21:52  olivier

	* : Promote a derivative of "Tyrex" new default theme and rename
	  current default to "Symphony"

2004-09-06 21:30  olivier

	* : *** empty log message ***

2004-09-06 14:08  pollux

	* : ET translations from Peeter Vois <Peeter.Vois@proekspert.ee>

2004-09-06 05:52  olivier

	* : Fix spec file

2004-09-05 20:57  olivier

	* : Code cleanup, improve default WM theme.

2004-08-29 16:03  pollux

	* : AZ translations update from Metin Amiroff <metin@karegen.com>

2004-08-29 13:02  olivier

	* : Optimize blinking.

2004-08-28 23:24  olivier

	* : Cleanup, remove previous booleans replaced by bit flags.

2004-08-28 23:10  olivier

	* : Reorg internal flags,
	  Add support to NET_WM_STATE_DEMANDS_ATTENTION (I couldn't find
	  any documentation on this state, but both kwin and metacity
	  support it!),
	  Reactivate code to prevent focus stealing (been #if 0'ed for a
	  while)

2004-08-28 19:21  pollux

	* : add Slovak translations from Juraj Brosz <Juraj.Brosz@pobox.sk>

2004-08-28 06:46  olivier

	* : Tabs cleanup

2004-08-27 21:18  olivier

	* : Add support for Urgency flag.

2004-08-27 08:26  pollux

	* : FI translations update from Ilkka Ollakka
	  <ilkka.j.ollakka@students.oamk.fi>

2004-08-25 21:50  olivier

	* : Smarter resize with partial struts.

2004-08-25 18:34  jasper

	* : Update dutch translations, only po files for now

2004-08-24 10:30  olivier

	* : Revert removal of HIDDEN state

2004-08-24 10:04  pollux

	* : RU translations update from Anthony Ivanoff <a-i@bk.ru>

2004-08-24 05:58  olivier

	* : Try to stick to the standard.

2004-08-23 21:09  olivier

	* : Version 4.1.7

2004-08-23 21:01  olivier

	* : Fix NET_WM_STATE bug with SM.

2004-08-22 22:18  olivier

	* : Add CVS Id, like Jasper does with the panel.

2004-08-22 22:14  olivier

	* : Id

2004-08-20 19:25  olivier

	* : Improve compat with GNOME's metacity by using the same colors
	  from GTK themes for window decorations.

2004-08-20 11:27  olivier

	* : Change default theme again (sorry for any incovenience that
	  might cause)

2004-08-19 11:18  olivier

	* : nicer title bar.

2004-08-17 19:48  olivier

	* : Fix remaining theme bugs,
	  Improve passing focus when lowering a window.

2004-08-17 11:32  olivier

	* : Theme update (flc, I'm sorry!)

2004-08-16 20:31  olivier

	* : Rework (read simplify) focus passing,
	  Update focus when lowering a window (as per user request)

2004-08-16 20:09  olivier

	* : Don't check for actual visibility status of a window when
	  receiving an ICCCM unmap request as the could be the cause of
	  #0000276 and #0000293

2004-08-15 21:31  olivier

	* : Referencing a local working file in potfiles...

2004-08-15 19:39  olivier

	* : Resync with repository, most notably:
	  - libxfcegui4 fixes with gtk 2.2
	  - xfwm4 updates
	  - Present panel plugins in alphabetical order
	  - Fix add plugin dialog being placed over the panel when using SM
	  - French po updates
	  - Other various small bug fixes

2004-08-14 19:47  pollux

	* : Hebrew translations from Yuval Tanny <tanai@int.gov.il>

2004-08-08 14:06  benny

	* : Updated documentation, thanks to Francois.

2004-08-04 22:52  olivier

	* : Add support for TRANSIENT_FOR update (with cautious checks for
	  cyclic transient relationship) - That should fix the issue with
	  gtranslator (bug #273)

2004-08-04 17:10  olivier

	* : Fix bug #0000273

2004-08-04 16:53  olivier

	* : Update translations

2004-08-04 15:22  olivier

	* : Change default theme.

2004-08-03 16:39  olivier

	* : Use default theme when no valid theme is found,
	  Don't show the title bar buttons when space is missing,
	  Various bug fixes.

2004-08-03 16:37  olivier

	* : Write a new widget making heavy use of DnD for button layout,
	  Update license preamble,
	  Give credit where credit is due.

2004-07-28 21:33  benny

	* : Rerun autogen.sh after depends.m4 update.

2004-07-28 21:22  benny

	* : Fixed (module)_FOUND bug reported by brian. Hopefully nothing
	  else broke
	  this time.

2004-07-27 19:57  benny

	* : Added icons from Francois.

2004-07-24 18:52  benny

	* : Readded XFCE_MCS_PLUGIN() again, dunno how I manage to remove
	  it everytime
	  I edit depends.m4!

2004-07-24 17:30  benny

	* : XFCE_PANEL_PLUGIN had wrong panel version for the threaded
	  test.

2004-07-24 17:28  benny

	* : Extended the XFCE_PANEL_PLUGIN macro to include some magic for
	  threaded panels.

2004-07-24 12:57  benny

	* : Made icons themable. Fix compile error in events.c with
	  --enable-debug=full.

2004-07-24 12:43  benny

	* : The mcs plugin is still using a GtkOptionMenu, so remove
	  GTK_DISABLE_DEPRECATED
	  here for now.

2004-07-21 23:00  benny

	* : Readded the XFCE_MCS_PLUGIN macro. I didn't ment to remove it,
	  tho.

2004-07-21 17:07  olivier

	* : Final touch on defaults

2004-07-21 11:18  olivier

	* : Change default theme again, adopt a simple, slick and colorfull
	  theme

2004-07-20 21:21  olivier

	* : Change default theme

2004-07-20 20:58  benny

	* : Modifed panel plugin check, so one (the installer) can choose
	  to install
	  into a different plugin dir.

2004-07-18 21:26  olivier

	* : Remove shadow, looks smoother

2004-07-17 09:20  olivier

	* : Fix bug in frame rendering (new??)
	  Change hilights of default theme titles, so it looks more
	  "translucid"

2004-07-16 20:51  olivier

	* : Forgot the themerc!

2004-07-16 20:06  olivier

	* : Change theme, allow different buttons size between active and
	  inactive frames.

2004-07-16 14:18  pollux

	* : unused variable

2004-07-16 14:12  pollux

	* : - fix #256
	  - change some hardcoded .xfce4 to xfce_get_userdir

2004-07-15 08:50  pollux

	* : fix #219 in shortcut editor

2004-07-14 20:56  jasper

	* : get rid of moongroup references

2004-07-12 18:49  olivier

	* : Update the "Waza" theme

2004-07-11 19:52  olivier

	* : Cleanup

2004-07-11 13:28  pollux

	* : splitting of xfwm4_plugin.c

2004-07-09 21:06  pollux

	* : more italian doc translation from Sascha Ales

2004-07-08 16:57  olivier

	* : Add defaults file to package

2004-07-07 20:01  olivier

	* : Change default font for title bar to "Sans Bold 8"

2004-07-07 19:18  olivier

	* : Remove useless generation of default file.

2004-07-06 22:22  olivier

	* : Expand sources

2004-07-06 22:18  olivier

	* : Remove win_layer on unmap

2004-07-06 20:02  olivier

	* : Apply Vebjorn Ljosa's patch for workspace toggle,
	  Don't cycle workspaces with using keyboard (I found this too
	  confusing when used with Vebjorn's patch),
	  Update po.

2004-07-05 20:45  olivier

	* : Try to be even a bit smarter.

2004-07-05 20:36  olivier

	* : Try to be a bit more permissive with missing key

2004-07-05 20:21  olivier

	* : Fix base width/height not being initialized with zero value.

2004-07-02 11:19  olivier

	* : Use regular font as default title font

2004-07-02 10:27  olivier

	* : Title vertical offset for the default theme

2004-07-02 06:22  olivier

	* : Remove useless comment (with a typo!)

2004-07-02 05:43  olivier

	* : Improve window placement for some broken apps (no, I won't name
	  them)

2004-07-01 21:10  olivier

	* : Fix mapping/unmapping issues (again)

2004-06-30 21:48  olivier

	* : Potfile update

2004-06-30 21:42  olivier

	* : Fix frame update when an app changes its own state to modal

2004-06-30 16:51  olivier

	* : Fix app window being remaped after a quick map request/unmap
	  notify
	  Allow static gravity wins to place thenselves anywhere (for
	  broken apps trying to get a fullscreen window this way)

2004-06-30 04:50  olivier

	* : Connect to SM once we're all done (patch from benny)

2004-06-29 21:54  olivier

	* : Raise window before showing so it gets properly stacked

2004-06-29 19:47  olivier

	* : Check for apps that set their group leader to themselves.

2004-06-28 20:24  olivier

	* : Grab server earlier when managing new windows, trying to fix
	  #0000184 and other random issues reported with Java on the ML

2004-06-27 13:33  olivier

	* : Disable wrap workspace as it's not suitable to confine the
	  pointer when not dragging a window.

2004-06-27 13:23  olivier

	* : Reduce title height for default theme

2004-06-27 13:12  olivier

	* : Confine pointer to current root window for multiscreen

2004-06-26 21:20  olivier

	* : Sync

2004-06-26 17:29  olivier

	* : Map/unmap issues fixed

2004-06-26 08:30  olivier

	* : Some various unsane changes.

2004-06-25 17:44  olivier

	* : Improve fullscreen toggle

2004-06-25 11:20  olivier

	* : Try to improve stacking transition with fullscreen windows

2004-06-24 22:05  olivier

	* : Focus related stuff - Still need works

2004-06-24 20:11  olivier

	* : Add a key shortcut to toggle fullscreen; Default key is
	  "Alt+F11"

2004-06-23 19:20  olivier

	* : Use light border for inactive windows to emphasis the focused
	  window.

2004-06-23 18:42  olivier

	* : Typo

2004-06-22 19:43  olivier

	* : Change to flat depressed buttons

2004-06-22 16:40  pollux

	* : shortcut editor uses xfce_file_chooser now

2004-06-22 10:50  olivier

	* : Add key-icon.h so that make dist actually works,
	  Fix placement issue,
	  Update po

2004-06-21 20:43  olivier

	* : Fix focus transition problem when unmapping last visible
	  regular window, as reported by Bernhard Walle

2004-06-21 20:18  olivier

	* : 1) compute bottom and right sides first, then adjust on top and
	  left to keep window visible
	  2) Plug yet another possible cause of segfault (need to double
	  check with xfce_4_0 branch because there is a good chance that
	  one is in the stable branch too)

2004-06-20 21:07  pollux

	* : Add icon from Fran�ois and change text formatting in the
	  command shortcut key dialog

2004-06-20 20:42  pollux

	* : Add icon from Fran�ois and change text formatting in the
	  shortcut key chooser dialog

2004-06-20 10:12  olivier

	* : Plug the mem leak as reported by Eduard and fixed as per
	  Brian's description.

2004-06-19 16:53  olivier

	* : Cleanup

2004-06-19 16:39  olivier

	* : Ignore ICCCM resize increments in fullscreen mode.

2004-06-19 14:37  olivier

	* : Use proper pango fn call to free the allocated pango font
	  description,
	  Port a fix from 4.0 branch.

2004-06-19 14:23  olivier

	* : Play with focus transition for bug 0000218

2004-06-19 14:06  pollux

	* : fix identation

2004-06-19 14:00  pollux

	* : browse button works now

2004-06-19 10:17  olivier

	* : Update po
	  Update French localization

2004-06-19 07:34  olivier

	* : Last change caused a segfault

2004-06-19 07:30  olivier

	* : Cleanup.

2004-06-19 07:17  olivier

	* : Fix a typo causing an error with gcc 2.9x

2004-06-18 05:42  olivier

	* : Update-po

2004-06-18 05:38  olivier

	* : Remove an harmless false warning

2004-06-17 17:25  olivier

	* : Change internals,
	  Plug another segfault.

2004-06-17 06:15  olivier

	* : Apply Jean-Francois Wauthy <pollux@xfce.org> patch for keyboard
	  shortcut editing.

2004-06-16 20:16  olivier

	* : Increase max line length to 255 chars instead of 80 (to close
	  #0000228)

2004-06-16 16:41  olivier

	* : Fix at least 2 causes of segfaults,
	  Apply patch submitted by Jens Luedicke <perldude@xfce.org> for
	  the margins plugin

2004-06-15 22:57  olivier

	* : Fix packaging issues.

2004-06-15 22:42  olivier

	* : Typo fix.

2004-06-15 22:11  olivier

	* : Add new sources (part of the new multiscreen implementation)

2004-06-15 22:09  olivier

	* : Add multiscreen support.

2004-06-13 21:18  pollux

	* : Updated lt translations from Mantas Zapolskas

2004-06-13 09:40  pollux

	* : .gmo files updated

2004-06-11 19:59  pollux

	* : Update zh_CN translations

2004-06-10 19:12  olivier

	* : Fix compile with non C99 compilers

2004-06-06 06:58  olivier

	* : Set up back windows when exiting.

2004-06-05 12:13  benny

	* : Fix Xrandr.h check.

2004-06-05 08:56  olivier

	* : Put back signals for int, hup, usr1 and term,
	  Place tabwin and poswin on correct screen

2004-06-04 22:21  olivier

	* : Forgot to add a new file, and fix a merge conflict.

2004-06-04 22:08  olivier

	* : Change internals to prepare multi-screen (not quite there yet)

2004-06-04 14:11  olivier

	* : Use "res_class" instead of "res_name" to guess the application
	  name while cycling with Alt+Tab.

2004-06-03 19:04  olivier

	* : Add icon and application class to the Alt+tab dialog (that's
	  been asked quite a few times),
	  Unplug a couple of small memory leaks.

2004-05-31 21:06  olivier

	* : Fix potential memleak in libxfcegui4
	  Improve internals of png composition in xfwm4
	  Prepare support for icons in xfwm4 (not quite there yet)

2004-05-31 10:27  olivier

	* : Change namespace to xfce_* and put back older deprecated fns
	  for backward compat.

2004-05-30 23:18  olivier

	* : - Change gtktoxevent API to be GdkScreen and therefore
	  multiscreen compliant
	  - Modify xfwm4 to be compatible with the gtktoxevent API change
	  (make sure you update both libxfcegui4 *and* xfwm4 at the same
	  time!)
	  - Code cleanup in xfwm4; move global variables in a dynamically
	  allocated structure.

2004-05-25 20:00  olivier

	* : Sync

2004-05-20 07:14  olivier

	* : Don't stick/unstick borderless windows using kbd shortcut

2004-05-19 15:10  olivier

	* : Apply Benny's patch: Set display env variable so that apps
	  spawn by xfwm4 show on the right screen.

2004-05-18 22:25  olivier

	* : Forgot to remove an include for xinerama.h

2004-05-18 19:16  olivier

	* : explicit dep in mcs modules

2004-05-18 17:25  olivier

	* : Smoother corners

2004-05-16 21:41  olivier

	* : Add trace

2004-05-15 15:31  olivier

	* : Use timestamp to avoid race cond when switching focus too
	  quickly.

2004-05-14 22:04  olivier

	* : Change serial testing for transients

2004-05-14 22:00  olivier

	* : Indentation

2004-05-14 21:52  olivier

	* : Fix for Opera improper use of modals

2004-05-14 21:15  olivier

	* : Fix some compiler warnings and get rid of a bunch of deprecated
	  calls

2004-05-14 19:44  olivier

	* : Fix size computation in Xinerama

2004-05-13 21:43  olivier

	* : Get rid of out own Xinerama impl. and use GdkScreen routines
	  instead (that fixes at least two issues I can see ,the
	  requirement to have Xienrama enabled in libxfcegui4 to get
	  support for in in xfwm4, and as a side effect, xfwm4 is now
	  compatible with SUN Xinerama which is slightly different from
	  XFree Xinierama)
	  Add a new theme, from my numerous attempts to deign a default
	  xfwm4 theme for 4.2
	  Remove the theme "synthetic" that sould be moved to xfwm4-themes
	  package

2004-05-12 20:06  olivier

	* : Change revert to RevertToPointerRoot in XSetInputFocus()

2004-05-12 08:33  olivier

	* : Prevent moving windows under top struts

2004-05-12 07:16  olivier

	* : Change the initial placement computation based on partial
	  struts to make it simpler.

2004-05-11 20:49  olivier

	* : Now with focus transition

2004-05-11 20:14  olivier

	* : Add support for standard NET_SHOWING_DESKTOP.

2004-05-11 16:44  olivier

	* : Missing include

2004-05-10 21:25  olivier

	* : Remove draft fn name

2004-05-10 21:22  olivier

	* : Deal with partial struts when placing windows

2004-05-09 22:07  olivier

	* : Potfiles

2004-05-09 21:59  olivier

	* : Huge code reorg., add preliminary support for partial struts;
	  it still needs work but it safer to commit to SCM now than
	  loosing the code later, heh!

2004-05-05 17:53  olivier

	* : Display actual size instead of win size

2004-05-04 21:49  olivier

	* : Code cleanup, standardize fn names in hints.[ch]

2004-05-04 21:41  olivier

	* : Remove our internal time event tracking and use
	  GDK_CURRENT_TIME instead

2004-05-04 20:36  olivier

	* : Fix small error in documentation reported by Michaela Susan
	  Buesing.

2004-05-03 21:45  olivier

	* : Update zh_TW translations from umm <umm@pchome.com.tw>

2004-05-03 19:55  olivier

	* : Fix missing .desktop files, fix bug #0000185

2004-05-02 21:53  olivier

	* : Add preliminary support to net_wm_user_time to avoid focus
	  stealing, I don't if that's exactly what we want, though.

2004-04-30 04:27  kelnos

	* : xfwm4 and workspaces settings .desktop files

2004-04-26 20:44  olivier

	* : Got tired of the thread about pax on the ML, reverting.

2004-04-24 21:08  olivier

	* : Provide an URL to download pax if missing

2004-04-24 12:27  olivier

	* : Use pax instead of tar as suggested by Benny - Makes thing a
	  lot simpler

2004-04-24 06:37  olivier

	* : Improve theme install

2004-04-24 06:28  olivier

	* : Put back events once event filter is set in move/resize

2004-04-23 22:11  olivier

	* : Try to speed up install by using tar to copy the files

2004-04-23 20:05  olivier

	* : Fixed infinite loop when using kbd + postion popup, thus safely
	  restauring popup on kbd action.

2004-04-23 18:10  olivier

	* : Don't show position popup when using kbd because it freezes the
	  WM.

2004-04-22 21:16  olivier

	* : Theme fix

2004-04-22 20:49  olivier

	* : Forgot to commit a file

2004-04-22 20:34  olivier

	* : Add a technique (from Metacity) to limit the number of resize
	  operations per second to prevent the app from lagging when using
	  opaque resize.

2004-04-22 19:27  olivier

	* : Show only the size of windows, not position, only during
	  resize, only for windows that have a size increment set (where
	  the actual size matters, like terminals or editors)

2004-04-22 17:57  olivier

	* : Add Xutil.h for SUN header

2004-04-21 20:59  olivier

	* : Remove leftovers from Josh's original patch as reported by
	  Scott Barron <scott@elitists.net>

2004-04-21 16:56  olivier

	* : Display postion/size during move ops too.

2004-04-20 22:25  olivier

	* : Add window size/position during resize (based on a patch
	  submitted by Joshua Blanton <jblanton@irg.cs.ohiou.edu>)

2004-04-16 16:57  olivier

	* : Don't honor stack request when sibling is specified as we don't
	  honor it,
	  Add inactive png image missing from install.

2004-04-15 20:47  olivier

	* : Change version message

2004-04-15 10:45  olivier

	* : Fix bug introduced when simplying kbd shortcuts

2004-04-14 21:42  olivier

	* : Add a --version|-V option

2004-04-14 17:15  olivier

	* : horiz offset wasn't set

2004-04-14 17:04  olivier

	* : Fix focus transition from fullscreen as reported by
	  Jean-Francois Wauthy <pollux@xfce.org>

2004-04-14 06:16  olivier

	* : zh_TW po update by Ambrose Li <a.c.li@ieee.org>

2004-04-14 05:22  olivier

	* : Simplify key shortcut routine

2004-04-13 19:18  olivier

	* : Fix #0000171

2004-04-12 20:07  olivier

	* : Change theme

2004-04-12 13:47  dannym

	* : Updated catalan translations by Carles Mu��oz Gorriz

2004-04-08 19:46  olivier

	* : Grab the pointer instead of flushing all EnterEvent on
	  workspace switch

2004-04-08 19:32  olivier

	* : Update ChangeLog

2004-04-08 17:44  olivier

	* : Fix warnings

2004-04-08 17:07  olivier

	* : Fix bug #138

2004-04-08 10:31  olivier

	* : Be a bit less verbose.

2004-04-07 20:48  olivier

	* : The theme "Opta" now makes use of the new alpha channel

2004-04-06 19:12  olivier

	* : Various cleanups and play with the alpha channel in themes

2004-04-06 11:19  olivier

	* : Add support for alpha compose using optional PNG images
	  Add PNG to default theme as a proof of concept

2004-04-02 22:26  olivier

	* : Remove the 2pix black frame as noone but me seems to like it :(

2004-04-02 21:52  olivier

	* : Use separate "prefered" and "highest" clients when selecting
	  top most focusable

2004-04-01 20:52  olivier

	* : Fix #0000165 a much better way

2004-03-30 22:12  olivier

	* : Fix bug #0000165

2004-03-29 20:23  olivier

	* : Small changes, make the title smaller, reduce button spacing.

2004-03-29 20:12  olivier

	* : Use the same window selection algorithm in pass focus as in
	  window cycling

2004-03-28 20:56  olivier

	* : Fix focus problem with rox as reported by Francois.

2004-03-28 14:20  olivier

	* : Simplify focus transition

2004-03-27 23:17  olivier

	* : Focus passing

2004-03-25 21:59  olivier

	* : Bug fix and small usability improvement in focus transition

2004-03-24 21:09  olivier

	* : Change focus transition routine

2004-03-23 20:49  olivier

	* : Change stipples

2004-03-23 12:10  olivier

	* : Add stipples

2004-03-22 22:27  olivier

	* : Add a "pending_focus" variable that helps with XSetInputFocus()
	  transitions

2004-03-22 20:03  olivier

	* : Compilation warnings

2004-03-22 19:41  olivier

	* : Apply patch for SUN Forte compiler

2004-03-22 06:49  olivier

	* : Change the paranoids

2004-03-21 21:47  olivier

	* : The workspace plugin failed to set a value for the number of
	  workspaces if it can't load its config file (ie first run on a
	  fresh install)

2004-03-20 10:53  olivier

	* : Add some paranoid checks

2004-03-18 20:37  olivier

	* : Don't decorate shaped windows
	  Bug fix due to missing init (HEAD only, xfce_4_0 branch not
	  impacted)

2004-03-18 18:20  olivier

	* : Focus transition bug fix.

2004-03-17 22:45  olivier

	* : Fix key w/out modifier requiring "+"

2004-03-17 18:05  olivier

	* : Still bug fix in new focus code

2004-03-16 21:15  olivier

	* : This is the only theme I liked; so I put it back as default.

2004-03-16 20:45  olivier

	* : Fix a bunch of focus problems with new focus mgt code.

2004-03-15 07:36  olivier

	* : Add/update i18n for:
	  Bulgarian from Miroslav Yordanov <miordanov@i-space.org> and
	  Peter Slavov <peshka@i-space.org>
	  Italian from Alex Dupre <ale@FreeBSD.org>
	  Arabic from Saleh Hathal <hathalsal@hotmail.com>

2004-03-14 21:23  olivier

	* : Improve focus transition
	  Fix a couple of compilation warnings

2004-03-12 22:17  olivier

	* : Treat focus change events while checking for dbl click.

2004-03-12 22:04  olivier

	* : Put back a small optimization

2004-03-12 21:31  olivier

	* : HAndle focus ransition they way it should be. I know that the
	  dbl click detection *will* introduce some lags, but that's the
	  proper way.

2004-03-12 21:07  olivier

	* : Fix for client not accepting focus

2004-03-10 21:17  olivier

	* : tweaking to save title space when using few buttons

2004-03-09 20:36  olivier

	* : Do nothing on BottomIf and TopIf

2004-03-09 20:33  olivier

	* : The final touch!

2004-03-08 19:53  olivier

	* : Smaller buttons

2004-03-07 21:15  olivier

	* : Add a light frame around the window

2004-03-07 17:29  olivier

	* : Reduce title height

2004-03-07 14:02  olivier

	* : Include patch for desktop names from Aurelien Foret
	  <orelien@chez.com>

2004-03-07 09:06  olivier

	* : Fix a bug reported by danny last night regarding default
	  placement of non-transient dialogs

2004-03-06 23:30  olivier

	* : hide buttons

2004-03-06 23:17  olivier

	* : Theme change

2004-03-05 20:03  olivier

	* : Remove the black frame around windows, looks smoother

2004-03-04 23:58  olivier

	* : Keep the offset, but reduce the title height by 2 pixels

2004-03-04 23:38  olivier

	* : increase title height by 1 pix, allows to set title and buttons
	  with a slight offset (looks a bit nicer IMO)

2004-03-04 23:13  olivier

	* : No XSync() needed

2004-03-04 23:12  olivier

	* : Partial fix for #0000128

2004-03-03 18:13  olivier

	* : Fix the circular linked list bug

2004-03-02 22:53  olivier

	* : Enforce layer on modals as it breaks xfwm4 internal logics
	  otherwise

2004-03-02 19:00  olivier

	* : Defaut theme change

2004-03-01 22:20  olivier

	* : Prolly one of the most simplistic themes

2004-03-01 21:09  benny

	* : Added --enable-gcov to compile xfce with support for coverage
	  tests. Very
	  useful.

2004-02-28 14:56  olivier

	* : Fix for apps using cascading modals

2004-02-27 21:31  olivier

	* : Use standard location for xfwm4 themes (breaking backward
	  compat, older themes won't show anymore)

2004-02-25 23:36  olivier

	* : Reorg xfwm4 theme by moving most theme from xfwm4 base package
	  to xfwm4-themes

2004-02-25 19:03  olivier

	* : Daily theme change

2004-02-24 21:13  olivier

	* : Daily theme change

2004-02-24 07:31  olivier

	* : New theme

2004-02-19 21:10  olivier

	* : Use odd height for title

2004-02-19 19:15  olivier

	* : Daily theme cron job :)

2004-02-18 20:08  olivier

	* : Tweaking

2004-02-18 18:14  olivier

	* : Reduce title height, give more space to the top corners, use
	  square corners at bottom.

2004-02-18 06:59  olivier

	* : Use a serial number instead of a timestamp for transient
	  property check

2004-02-17 22:38  olivier

	* : New default theme

2004-02-17 22:36  olivier

	* : Resync with xfce_4_0 branch:
	  Keep track of window creation timestamp for "transient for group"
	  management,
	  Simplify code a bit, should be handled with care.

2004-02-17 19:36  jasper

	* : Update Malay translations

2004-02-16 21:43  olivier

	* : Drop the 2 pix black frame

2004-02-15 23:09  dannym

	* : fix oliver's typo ;)

2004-02-15 21:26  olivier

	* : Place (non transients) modals at a normal layer, or on top of
	  its parent window if on a upper layer,
	  Restore windows on current workspace as default (bug id #0000115
	  and #0000116)

2004-02-13 17:26  olivier

	* : Theme change

2004-02-12 22:29  olivier

	* : Add inner frame

2004-02-12 21:34  olivier

	* : Daily theme change

2004-02-11 20:44  jasper

	* : Add Basque (eu) translations

2004-02-10 20:14  olivier

	* : Theme

2004-02-09 22:13  olivier

	* : Experimental fix for windows not being withdrawn when unmap
	  occurs before fist map.

2004-02-09 19:46  olivier

	* : pixmaps

2004-02-09 06:50  olivier

	* : Make sure we grab buttons when passing focus

2004-02-08 22:30  olivier

	* : Bug fix in getTopMostFocusable()
	  Pass focus in clientUnmap()

2004-02-07 23:05  olivier

	* : Dark frame arround active buttons

2004-02-07 22:52  olivier

	* : Smooth button frame

2004-02-07 16:41  olivier

	* : *** empty log message ***

2004-02-05 19:34  olivier

	* : Change default theme (last change, promise:)

2004-02-04 21:06  olivier

	* : Change default theme for xfwm4

2004-02-03 21:29  olivier

	* : Change default

2004-02-02 22:11  olivier

	* : Back to previous

2004-01-30 11:56  olivier

	* : ic the light now

2004-01-29 21:01  olivier

	* : Rework the patch from yesterday to handle FocusIn on the root
	  win (ie more general case)

2004-01-29 20:33  olivier

	* : Smaller title

2004-01-29 15:51  jasper

	* : Update Persian translations

2004-01-28 22:50  olivier

	* : Use bit based flag param for clientSetFocus instead of a bunch
	  of gbooleans
	  Add FOCUS_FORCE to clientSetFocus
	  Handle FocusOut from Motif combo menu nicely and force focus back
	  to dialog

2004-01-27 20:15  olivier

	* : Improve grab/ungrab of Button1
	  Change default theme

2004-01-26 22:38  olivier

	* : corners

2004-01-25 15:03  olivier

	* : Add shadow to active title text

2004-01-25 14:38  olivier

	* : Smoother shadow on active buttons

2004-01-25 14:09  olivier

	* : Rearrange grab/ungrab of button1

2004-01-25 00:08  olivier

	* : Update libtool and other automake, autoconf and gettext
	  packages

2004-01-24 16:50  olivier

	* : Try to fix bug #92 by properly ungrabbing buttons when needed.
	  Beware, this is fairly sensitive changes and might be still a bit
	  rough on the edges.
	  Try to fix bug #82 by selecting a more appropriate visual.

2004-01-22 20:46  olivier

	* : Shadows

2004-01-22 20:36  olivier

	* : Small changes in default theme

2004-01-21 13:44  jasper

	* : Translations added/updated for spanish, persian, japanese,
	  korean, brasilian and chinese

2004-01-20 21:57  olivier

	* : Redo corners

2004-01-19 20:47  olivier

	* : Change default theme to something really different!

2004-01-17 11:09  olivier

	* : Change default theme

2004-01-14 21:41  olivier

	* : Very slick, flat, default theme

2004-01-13 22:06  olivier

	* : Put back a return with value spotted by Benny.

2004-01-13 21:37  olivier

	* : Revert Benny change that breaks the WM behaviour

2004-01-13 20:55  olivier

	* : Change default theme

2004-01-13 20:13  benny

	* : Various fixes to get the beast compiled with gcc 3.3.x and
	  -Wall -Werror.
	  We have to take special care about new ISO C aliasing rules.

2004-01-13 20:11  olivier

	* : Pixmap for buttons were actually larger than advertised.

2004-01-10 23:33  olivier

	* : Play with themes again, rename previous defaut as "synthetic",
	  and use a much simpler default theme

2004-01-10 21:25  olivier

	* : Resync with xfce_4_0 branch:
	  Focus management issues as reported in
	  http://bugs.xfce.org/view_bug_page.php?f_id=0000070

2004-01-10 17:05  olivier

	* : Late commit to resync with 4.0.3

2004-01-07 23:14  moe

	* : Can't stop me now!

2004-01-06 18:50  olivier

	* : Update default theme

2004-01-04 23:31  olivier

	* : Fix for gcc 2.x

2004-01-03 23:05  olivier

	* : Fix C++ comment in Bernhard's patch
	  Implement experimental support for KDE systray protocol (xfwm4
	  acting like a proxy between KDE systray protocol and Freedesktop
	  systray protocol)

2004-01-03 21:21  olivier

	* : Integrate Bernhard Walle <bernhard@bwalle.de> patch to add
	  support for KDE contect help.

2004-01-03 20:23  olivier

	* : Update Polish translation from Daniel Mr��z <beorn@alpha.pl>

2004-01-02 17:47  olivier

	* : Change internals to allow more than 32 flags.

2003-12-30 23:25  olivier

	* : Don't delete properties on restart

2003-12-29 10:56  jasper

	* : Update Norwegian and Turkish translations

2003-12-28 21:17  olivier

	* : Build fix in case

2003-12-28 16:51  olivier

	* : We leaked!!

2003-12-27 19:46  jasper

	* : Update Polish translations

2003-12-23 22:04  moe

	* : Rather large update. Forgot about the moved margin/workspaces
	  plugin.

2003-12-23 19:46  olivier

	* : Fix a mistake that was preventing Above and Below flag to work

2003-12-22 22:49  olivier

	* : Use xfwm4 built-in functions to toggle "always on top" (better,
	  cleaner)
	  Rearrange internals
	  Send wm_takefocus client message on focus change

2003-12-21 21:53  olivier

	* : Update po

2003-12-21 21:31  olivier

	* : Apply Eduard Roccatello <xfce@roccatello.it> for "always on
	  top"

2003-12-17 21:50  olivier

	* : Prevent focus change on move/resize in focus follow mouse mode

2003-12-16 20:41  olivier

	* : Use square corners for bottom

2003-12-15 22:15  olivier

	* : Fix crash in workspace MCS plugin
	  Include a patch from Patrick Bores <p@trickbores.com> that allows
	  pop3 email checking from mailcheck panel plugin (use
	  pop3://username:password@host for the mailbox)
	  Small tweaks to default xfwm4 and gtk themes

2003-12-15 20:56  jasper

	* : Add Azerbaijani translations

2003-12-13 09:33  olivier

	* : Add (on Jasper's request) previous default theme now named
	  "opta"

2003-12-12 20:33  olivier

	* : Improve default theme look

2003-12-12 00:04  olivier

	* : Reduce color bleeding

2003-12-11 23:43  olivier

	* : New design for the default theme

2003-12-10 20:55  olivier

	* : Enlarge side width

2003-12-09 22:08  olivier

	* : Shift title 1 pix down

2003-12-07 10:55  olivier

	* : Change dialog placement

2003-12-07 00:26  olivier

	* : Implement a workarround for a bug in recent GNOME regarding
	  window placement

2003-12-05 21:54  olivier

	* : Remove grad title for inactive window

2003-12-03 22:55  olivier

	* : ignore slight move between dbl click
	  Include new default theme for 4.2

2003-12-03 17:44  olivier

	* : Theme

2003-12-02 23:11  olivier

	* : Fix send event not being emited when maximize occured on a
	  window with its size to the maximized size
	  Themes

2003-11-25 20:03  olivier

	* : Commit updated configure script

2003-11-25 17:46  olivier

	* : Theme stuff

2003-11-24 22:22  olivier

	* : Add "prune" and "tubular" themes

2003-11-24 17:44  olivier

	* : Themes

2003-11-23 21:56  olivier

	* : Themes
	  Flush X after setting focus explicitely

2003-11-23 13:57  moe

	* : Rather huge update to the german translation

2003-11-22 23:03  olivier

	* : Themes
	  Merges from xfce_4_0

2003-11-21 22:28  olivier

	* : Themes

2003-11-21 21:11  olivier

	* : Themes

2003-11-21 20:43  olivier

	* : Themes

2003-11-20 20:42  olivier

	* : Theme

2003-11-19 22:27  olivier

	* : Themes

2003-11-18 23:04  olivier

	* : Change corners

2003-11-17 21:46  olivier

	* : Add some additional controls to libxfcegui4
	  Change default 4.2 xfwm4 default theme

2003-11-16 21:49  olivier

	* : Fix 64bit/endianess problem

2003-11-14 20:58  olivier

	* : *** empty log message ***

2003-11-14 17:35  moe

	* : Updating translation

2003-11-13 18:07  olivier

	* : *** empty log message ***

2003-11-12 22:42  olivier

	* : Theme stuff

2003-11-12 18:34  olivier

	* : Missed 1 button

2003-11-12 18:29  olivier

	* : Redude title height

2003-11-11 11:19  olivier

	* : *** empty log message ***

2003-11-11 09:10  olivier

	* : Theme stuff

2003-11-11 08:22  olivier

	* : *** empty log message ***

2003-11-10 17:50  olivier

	* : Theme stuff

2003-11-10 17:10  olivier

	* : On key/mouse grab fail, use "CurrentTime" instead of last event
	  time for ungrab

2003-11-10 16:59  olivier

	* : Theme

2003-11-09 21:26  olivier

	* : *** empty log message ***

2003-11-09 19:22  jasper

	* : Add Check translations

2003-11-09 11:10  olivier

	* : Theme stuff

2003-11-08 23:52  olivier

	* : Duh!

2003-11-08 22:52  olivier

	* : Fix a bug added recently and change back theme

2003-11-08 22:28  olivier

	* : Theme changes

2003-11-08 16:28  jasper

	* : French documentation updates (final?)

2003-11-07 18:42  jasper

	* : Update French documentation

2003-11-07 12:49  jasper

	* : Add French documentation. Rather large commit.

2003-11-06 21:52  olivier

	* : Reduce title height by 1 pix

2003-11-03 18:06  jasper

	* : Add Ukranian translations

2003-11-03 13:36  jasper

	* : Documentation update by Francois

2003-11-02 09:14  olivier

	* : Change back to a previous test, seems I really can't make up my
	  mind...

2003-11-02 08:22  olivier

	* : Add hi.po

2003-11-01 21:00  olivier

	* : Theme

2003-11-01 12:28  olivier

	* : Theme changes

2003-11-01 12:16  olivier

	* : Theme tweaking

2003-10-31 21:30  benny

	* : Use daemon(3) when available.

2003-10-31 18:22  olivier

	* : *** empty log message ***

2003-10-30 22:13  olivier

	* : Enlarging CVS history file :)

2003-10-29 22:14  olivier

	* : *** empty log message ***

2003-10-29 21:41  olivier

	* : theme, apply Dan Compton <gtg786g@mail.gatech.edu> patch for
	  reverse cycling on shift press

2003-10-29 06:58  olivier

	* : *** empty log message ***

2003-10-28 21:18  olivier

	* : *** empty log message ***

2003-10-28 21:14  olivier

	* : *** empty log message ***

2003-10-27 21:46  olivier

	* : Fix removal of CR in non UTF8 strings

2003-10-26 20:52  olivier

	* : Change unmapNotify handler to add smarter support for
	  reparenting
	  Change default theme

2003-10-24 22:20  jasper

	* : Add vietnamese translations by Lam Vinh Nien <nienvl@yahoo.ca>.

2003-10-24 19:43  olivier

	* : Very slick & smooth default theme

2003-10-22 21:34  olivier

	* : This one looks okay.

2003-10-20 18:51  olivier

	* : *** empty log message ***

2003-10-19 21:18  olivier

	* : A much more optimistic theme, flat and smooth, without any
	  sharp edge.

2003-10-19 20:38  olivier

	* : *** empty log message ***

2003-10-19 18:05  olivier

	* : Change default theme

2003-10-18 23:16  olivier

	* : *** empty log message ***

2003-10-18 16:40  olivier

	* : Reduce title height

2003-10-18 13:40  olivier

	* : Change default theme

2003-10-18 10:34  olivier

	* : Enlarge title height

2003-10-18 10:22  olivier

	* : Remove shadow

2003-10-18 10:04  olivier

	* : Change default theme

2003-10-17 16:38  olivier

	* : Change default theme

2003-10-17 15:37  jasper

	* : Add/update swedish translations

2003-10-16 21:53  olivier

	* : Improve and make resize internals simpler
	  Add inner black frame to default theme

2003-10-14 22:47  olivier

	* : Rename existing default to default-4.0 and update default theme

2003-10-14 22:33  olivier

	* : Prevent other shortcuts when performing Alt+move/resize

2003-10-14 22:19  olivier

	* : Make sure we use event time for grab/ungrab in
	  resize/move/cycle,
	  Grab keybd when moving/resizing even when using just the mouse,
	  Use closest corner for resize using Alt+right click resizing.
	  Wrong offset in bbs vertical title align

2003-10-13 22:06  olivier

	* : Sync with my local tree

2003-10-13 18:51  jasper

	* : Update ChangeLog's after syncing with SF. Everything should now
	  be up-to-date.

2003-10-13 16:21  jasper

	* : Huge commit to bring new repository in sync with SF. We are
	  losing some
	  CVS history here, but for completeness sake I'm including the
	  ChangeLog
	  entries here:
	  
	  +++
	  
	  2003-10-11 00:08 edscott
	  
	  * xffm/src/: add_folder.c, add_node_contents.c, callbacks.c,
	  keybindings.c, main.c, treeview.c: do second letter search if
	  first
	  letter is / -- DONE autohide diagnostics on click or
	  keypress--DONE
	  compare dates between mime file and dbh file before updating
	  applications -- DONE scroll by keyboard debugged and enhanced
	  --DONE g_strchug() crash on openwith by menu... --FIXED on go_up
	  do
	  not place in history, nor back nor forward --DONE
	  
	  2003-10-11 00:05 edscott
	  
	  * xffm/: libs/apps.c, libs/bookmarks.c, libs/constants.h,
	  libs/cpy.c, libs/dnd.c, libs/dummies.c, libs/duplicate.c,
	  libs/entry.c, libs/goto.c, libs/goto.h, libs/icons.c,
	  libs/menu.c,
	  libs/menu_callbacks.c, libs/misc.c, libs/misc.h, libs/monitor.c,
	  libs/new_win.c, libs/pasteboard.c, libs/print.c, libs/refresh.c,
	  libs/reg.c, libs/remove.c, libs/rename.c, libs/run.c, libs/run.h,
	  libs/scramble.c, libs/symlink.c, libs/terminal.c, libs/touch.c,
	  libs/trash.c, libs/xfdiff.c, smb/smb_download.c, smb/smb_list.c:
	  do
	  second letter search if first letter is / -- DONE autohide
	  diagnostics on click or keypress--DONE compare dates between mime
	  file and dbh file before updating applications -- DONE scroll by
	  keyboard debugged and enhanced --DONE g_strchug() crash on
	  openwith
	  by menu... --FIXED on go_up do not place in history, nor back nor
	  forward --DONE
	  
	  2003-10-10 23:19 xfce
	  
	  * xfce-utils/scripts/xinitrc: Don't use cpp in xrdb so that DPI
	  settings load even on workstations w/out cpp
	  
	  2003-10-10 22:17 xfce
	  
	  * libxfcegui4/libxfcegui4/netk-pager.c, xfwm4/configure,
	  xfwm4/configure.ac, xfwm4/themes/Makefile.am,
	  xfwm4/themes/Makefile.in, xfwm4/themes/default/bottom-active.xpm,
	  xfwm4/themes/default/bottom-inactive.xpm,
	  xfwm4/themes/default/bottom-left-active.xpm,
	  xfwm4/themes/default/bottom-left-inactive.xpm,
	  xfwm4/themes/default/bottom-right-active.xpm,
	  xfwm4/themes/default/bottom-right-inactive.xpm,
	  xfwm4/themes/default/close-active.xpm,
	  xfwm4/themes/default/close-inactive.xpm,
	  xfwm4/themes/default/close-pressed.xpm,
	  xfwm4/themes/default/hide-active.xpm,
	  xfwm4/themes/default/hide-inactive.xpm,
	  xfwm4/themes/default/hide-pressed.xpm,
	  xfwm4/themes/default/left-active.xpm,
	  xfwm4/themes/default/left-inactive.xpm,
	  xfwm4/themes/default/maximize-active.xpm,
	  xfwm4/themes/default/maximize-inactive.xpm,
	  xfwm4/themes/default/maximize-pressed.xpm,
	  xfwm4/themes/default/maximize-toggled-active.xpm,
	  xfwm4/themes/default/maximize-toggled-inactive.xpm,
	  xfwm4/themes/default/maximize-toggled-pressed.xpm,
	  xfwm4/themes/default/menu-active.xpm,
	  xfwm4/themes/default/menu-inactive.xpm,
	  xfwm4/themes/default/menu-pressed.xpm,
	  xfwm4/themes/default/right-active.xpm,
	  xfwm4/themes/default/right-inactive.xpm,
	  xfwm4/themes/default/shade-active.xpm,
	  xfwm4/themes/default/shade-inactive.xpm,
	  xfwm4/themes/default/shade-pressed.xpm,
	  xfwm4/themes/default/shade-toggled-active.xpm,
	  xfwm4/themes/default/shade-toggled-inactive.xpm,
	  xfwm4/themes/default/shade-toggled-pressed.xpm,
	  xfwm4/themes/default/stick-active.xpm,
	  xfwm4/themes/default/stick-inactive.xpm,
	  xfwm4/themes/default/stick-pressed.xpm,
	  xfwm4/themes/default/stick-toggled-active.xpm,
	  xfwm4/themes/default/stick-toggled-inactive.xpm,
	  xfwm4/themes/default/stick-toggled-pressed.xpm,
	  xfwm4/themes/default/themerc,
	  xfwm4/themes/default/title-1-active.xpm,
	  xfwm4/themes/default/title-1-inactive.xpm,
	  xfwm4/themes/default/title-2-active.xpm,
	  xfwm4/themes/default/title-2-inactive.xpm,
	  xfwm4/themes/default/title-3-active.xpm,
	  xfwm4/themes/default/title-3-inactive.xpm,
	  xfwm4/themes/default/title-4-active.xpm,
	  xfwm4/themes/default/title-4-inactive.xpm,
	  xfwm4/themes/default/title-5-active.xpm,
	  xfwm4/themes/default/title-5-inactive.xpm,
	  xfwm4/themes/default/top-left-active.xpm,
	  xfwm4/themes/default/top-left-inactive.xpm,
	  xfwm4/themes/default/top-right-active.xpm,
	  xfwm4/themes/default/top-right-inactive.xpm: Revert xfwm4 default
	  theme to the one found in pre-release as it looked better Fix a
	  very small thing in netk-pager
	  
	  2003-10-10 19:21 huysmans
	  
	  * xfce4/plugins/pager/pager.c: Fix resizing bug
	  
	  2003-10-09 23:41 huysmans
	  
	  * xfwm4/: mcs-plugin/workspaces.c, src/settings.c: Move workspace
	  names settings into settings plugin. Rename count to
	  Xfwm/WorkspaceCount for consistency.
	  
	  2003-10-09 23:03 xfce
	  
	  * libxfcegui4/: configure, configure.ac: Increase version number
	  
	  2003-10-09 22:13 xfce
	  
	  * xfwm4/themes/default/: close-active.xpm, close-inactive.xpm,
	  close-pressed.xpm, hide-active.xpm, hide-inactive.xpm,
	  hide-pressed.xpm, maximize-active.xpm, maximize-inactive.xpm,
	  maximize-pressed.xpm, maximize-toggled-active.xpm,
	  maximize-toggled-inactive.xpm, maximize-toggled-pressed.xpm,
	  menu-active.xpm, menu-inactive.xpm, menu-pressed.xpm,
	  shade-active.xpm, shade-inactive.xpm, shade-pressed.xpm,
	  shade-toggled-active.xpm, shade-toggled-inactive.xpm,
	  shade-toggled-pressed.xpm, stick-active.xpm, stick-inactive.xpm,
	  stick-pressed.xpm, stick-toggled-active.xpm,
	  stick-toggled-inactive.xpm, stick-toggled-pressed.xpm, themerc,
	  title-2-active.xpm, title-2-inactive.xpm, title-3-active.xpm,
	  title-3-inactive.xpm, title-4-active.xpm, title-4-inactive.xpm:
	  Change default theme for 4.2
	  
	  2003-10-09 15:19 edscott
	  
	  * xffm/: glade_intl, src/glade_callbacks.h, src/glade_gui.c.bak,
	  src/glade_gui.h: remove obsolete files
	  
	  2003-10-09 07:04 edscott
	  
	  * xffm/src/: Makefile.am, Makefile.in, callbacks.c,
	  keybindings.c,
	  keybindings.h, treeview.c, treeview.h: scroll by keyboard is now
	  case insensitive, if shift is pressed, scroll search w ill
	  proceed
	  backwards. Backward scroll-search will not wrap. Forward
	  scroll-sear ch will wrap (as before).
	  
	  2003-10-09 04:14 edscott
	  
	  * xffm/: glade/xffm_main.glade, libs/apps.c, libs/bookmarks.c,
	  libs/combo.c, libs/cpy.c, libs/dummies.c, libs/duplicate.c,
	  libs/entry.c, libs/filter.c, libs/find.h, libs/goto.c,
	  libs/goto.h,
	  libs/icons.c, libs/input.c, libs/menu.c, libs/menu_callbacks.c,
	  libs/misc.c, libs/monitor.c, libs/options.c, libs/options.h,
	  libs/print.h, libs/refresh.c, libs/reg.c, libs/reg.h,
	  libs/remove.c, libs/remove.h, libs/rename.c, libs/run.c,
	  libs/run.h, libs/symlink.c, libs/touch.c, libs/trash.c,
	  smb/smb_download.c, smb/smb_list.c, src/glade_main_gui.c,
	  src/main.c, src/treeview.c, src/widgets.c: eliminate all warnings
	  when compiling with --enable-debug
	  
	  2003-10-09 01:46 edscott
	  
	  * xffm/: xffm.glade, xffm.gladep, glade/xffm_find.glade,
	  glade/xffm_find.gladep, glade/xffm_main.glade,
	  glade/xffm_main.gladep, glade/xffm_remove.glade,
	  glade/xffm_remove.gladep, libs/Makefile.am, libs/Makefile.in,
	  libs/apps.c, libs/bookmarks.c, libs/combo.c, libs/combo.h,
	  libs/cpy.c, libs/dnd.c, libs/duplicate.c, libs/entry.c,
	  libs/filter.c, libs/filter.h, libs/find.c, libs/fstab.c,
	  libs/goto.c, libs/help.c, libs/input.c, libs/input.h,
	  libs/menu_callbacks.c, libs/menu_callbacks.h, libs/misc.c,
	  libs/monitor.c, libs/new.c, libs/options.c, libs/pasteboard.c,
	  libs/print.c, libs/refresh.c, libs/reg.c, libs/remove.c,
	  libs/rename.c, libs/run.c, libs/scramble.c, libs/settings.c,
	  libs/symlink.c, libs/terminal.c, libs/touch.c, libs/trash.c,
	  libs/tubo.c, libs/xfdiff.c, libs/zoom.c, smb/smb_list.c,
	  src/Makefile.am, src/Makefile.in, src/add_file.c,
	  src/add_folder.c,
	  src/add_node_contents.c, src/aux.c, src/callbacks.c,
	  src/glade_callbacks.c, src/glade_find_callbacks.c,
	  src/glade_find_callbacks.h, src/glade_find_gui.c,
	  src/glade_find_gui.h, src/glade_gui.c,
	  src/glade_main_callbacks.c,
	  src/glade_main_callbacks.h, src/glade_main_gui.c,
	  src/glade_main_gui.h, src/glade_remove_callbacks.c,
	  src/glade_remove_callbacks.h, src/glade_remove_gui.c,
	  src/glade_remove_gui.h, src/main.c, src/mcs-manager.c,
	  src/treeview.c, src/widgets.c: broke glade files into three parts
	  
	  2003-10-08 23:43 xfce
	  
	  * xfwm4/src/: client.c, events.c, settings.c: [no log message]
	  
	  2003-10-08 22:29 xfce
	  
	  * xfwm4/themes/default.keys/keythemerc: Change raise/lower key
	  
	  2003-10-08 22:24 xfce
	  
	  * xfwm4/: src/settings.c, themes/default.keys/keythemerc: Fix
	  raise/lower key shortcut patch
	  
	  2003-10-08 22:12 xfce
	  
	  * xfwm4/: configure, configure.ac, themes/Makefile.am,
	  themes/Makefile.in, themes/default/title-2-active.xpm,
	  themes/default/title-2-inactive.xpm,
	  themes/default/title-4-active.xpm,
	  themes/default/title-4-inactive.xpm,
	  themes/default/top-right-active.xpm,
	  themes/default/top-right-inactive.xpm: Add missing files
	  
	  2003-10-08 10:20 huysmans
	  
	  * xfdesktop/doc/C/xfdesktop.html, xfdesktop/doc/C/xfdesktop.xml,
	  xfdesktop/doc/C/images/Makefile.am,
	  xfdesktop/doc/C/images/Makefile.in,
	  xfdesktop/doc/C/images/xfdesktop-workspace.png,
	  xfdesktop/settings/Makefile.am, xfdesktop/settings/Makefile.in,
	  xfdesktop/settings/backdrop-icon.h, xfdesktop/src/Makefile.am,
	  xfdesktop/src/Makefile.in, xfdesktop/src/menu.c,
	  xfdesktop/src/settings.c, xfwm4/configure, xfwm4/configure.ac,
	  xfwm4/doc/C/xfwm4.html, xfwm4/doc/C/xfwm4.xml,
	  xfwm4/doc/C/images/Makefile.am, xfwm4/doc/C/images/Makefile.in,
	  xfwm4/doc/C/images/xfwm_workspaces.png,
	  xfwm4/mcs-plugin/Makefile.am, xfwm4/mcs-plugin/Makefile.in,
	  xfwm4/mcs-plugin/margins.c, xfwm4/mcs-plugin/margins.h,
	  xfwm4/mcs-plugin/margins_plugin.c, xfwm4/mcs-plugin/plugin.c,
	  xfwm4/mcs-plugin/plugin.h, xfwm4/mcs-plugin/workspaces-icon.h,
	  xfwm4/mcs-plugin/workspaces.c, xfwm4/mcs-plugin/workspaces.h,
	  xfwm4/mcs-plugin/workspaces.png, xfwm4/src/settings.c,
	  xfwm4/themes/Makefile.am, xfwm4/themes/Makefile.in: Largish
	  update:
	  merge workspaces dialog from xfdesktop with workspace margins
	  dialog from xfwm4. The new dialog is part of xfwm4.
	  
	  2003-10-07 22:44 xfce
	  
	  * libxfcegui4/libxfcegui4/: Makefile.am, Makefile.in,
	  netk-class-group.c, netk-class-group.h, netk-private.h,
	  netk-screen.c, netk-screen.h, netk-tasklist.c, netk-window.c,
	  netk-window.h, netk-xutils.c, netk-xutils.h: Backport changes
	  from
	  libwnck HEAD cvs
	  
	  2003-10-07 22:40 xfce
	  
	  * xffm/libs/: input.c, run.c: Include Edscott patches
	  
	  2003-10-07 22:31 xfce
	  
	  * xfwm4/: configure, configure.ac, src/client.c, src/events.c,
	  themes/Makefile.am, themes/Makefile.in,
	  themes/default/bottom-active.xpm,
	  themes/default/bottom-inactive.xpm,
	  themes/default/bottom-left-active.xpm,
	  themes/default/bottom-left-inactive.xpm,
	  themes/default/bottom-right-active.xpm,
	  themes/default/bottom-right-inactive.xpm,
	  themes/default/left-active.xpm, themes/default/left-inactive.xpm,
	  themes/default/right-active.xpm,
	  themes/default/right-inactive.xpm,
	  themes/default/themerc, themes/default/title-1-active.xpm,
	  themes/default/title-1-inactive.xpm,
	  themes/default/title-2-active.xpm,
	  themes/default/title-2-inactive.xpm,
	  themes/default/title-3-active.xpm,
	  themes/default/title-3-inactive.xpm,
	  themes/default/title-4-active.xpm,
	  themes/default/title-4-inactive.xpm,
	  themes/default/title-5-active.xpm,
	  themes/default/title-5-inactive.xpm,
	  themes/default/top-left-active.xpm,
	  themes/default/top-left-inactive.xpm,
	  themes/default/top-right-active.xpm,
	  themes/default/top-right-inactive.xpm,
	  themes/tgc-large/Makefile.am, themes/tgc-large/Makefile.in,
	  themes/tgc-large/README, themes/tgc-large/bottom-active.xpm,
	  themes/tgc-large/bottom-inactive.xpm,
	  themes/tgc-large/bottom-left-active.xpm,
	  themes/tgc-large/bottom-left-inactive.xpm,
	  themes/tgc-large/bottom-right-active.xpm,
	  themes/tgc-large/bottom-right-inactive.xpm,
	  themes/tgc-large/close-active.xpm,
	  themes/tgc-large/close-inactive.xpm,
	  themes/tgc-large/close-pressed.xpm,
	  themes/tgc-large/hide-active.xpm,
	  themes/tgc-large/hide-inactive.xpm,
	  themes/tgc-large/hide-pressed.xpm,
	  themes/tgc-large/left-active.xpm,
	  themes/tgc-large/left-inactive.xpm,
	  themes/tgc-large/maximize-active.xpm,
	  themes/tgc-large/maximize-inactive.xpm,
	  themes/tgc-large/maximize-pressed.xpm,
	  themes/tgc-large/maximize-toggled-active.xpm,
	  themes/tgc-large/maximize-toggled-inactive.xpm,
	  themes/tgc-large/maximize-toggled-pressed.xpm,
	  themes/tgc-large/menu-active.xpm,
	  themes/tgc-large/menu-inactive.xpm,
	  themes/tgc-large/menu-pressed.xpm,
	  themes/tgc-large/right-active.xpm,
	  themes/tgc-large/right-inactive.xpm,
	  themes/tgc-large/shade-active.xpm,
	  themes/tgc-large/shade-inactive.xpm,
	  themes/tgc-large/shade-pressed.xpm,
	  themes/tgc-large/shade-toggled-active.xpm,
	  themes/tgc-large/shade-toggled-inactive.xpm,
	  themes/tgc-large/shade-toggled-pressed.xpm,
	  themes/tgc-large/stick-active.xpm,
	  themes/tgc-large/stick-inactive.xpm,
	  themes/tgc-large/stick-pressed.xpm,
	  themes/tgc-large/stick-toggled-active.xpm,
	  themes/tgc-large/stick-toggled-inactive.xpm,
	  themes/tgc-large/stick-toggled-pressed.xpm,
	  themes/tgc-large/themerc, themes/tgc-large/title-1-active.xpm,
	  themes/tgc-large/title-1-inactive.xpm,
	  themes/tgc-large/title-2-active.xpm,
	  themes/tgc-large/title-2-inactive.xpm,
	  themes/tgc-large/title-3-active.xpm,
	  themes/tgc-large/title-3-inactive.xpm,
	  themes/tgc-large/title-4-active.xpm,
	  themes/tgc-large/title-4-inactive.xpm,
	  themes/tgc-large/title-5-active.xpm,
	  themes/tgc-large/title-5-inactive.xpm,
	  themes/tgc-large/top-left-active.xpm,
	  themes/tgc-large/top-left-inactive.xpm,
	  themes/tgc-large/top-right-active.xpm,
	  themes/tgc-large/top-right-inactive.xpm: Change default theme,
	  keep
	  old 4.0 theme as default-4.0 and add tgc-large theme Include
	  improvements for fullscreen mode for gst from Arwed von Merkatz
	  <v.merkatz@gmx.net>
	  
	  +++

2003-09-30 00:43  edscott

	* : apply patch for raise and lower windows by keyboard

2003-09-27 12:38  huysmans

	* : Update tamil translation

2003-09-22 20:52  huysmans

	* : Update ChangeLogs

2003-09-22 20:33  huysmans

	* : Update version numbers and po files for release

2003-09-21 22:19  xfce

	* : Update version number to 4.0.0
	  Improve focus change for modal dialogs in xfwm4

2003-09-21 09:12  xfce

	* : Reduce corner width

2003-09-20 12:32  xfce

	* : Reduce size of decorations for default theme

2003-09-19 21:11  xfce

	* : Change default background color to #336699 and update screen
	  captures for doc (default WM decorations are rounded)

2003-09-16 17:51  xfce

	* : Don't remove EWMH hints when restarting, so that the other WM
	  can pick previous state.

2003-09-15 20:55  huysmans

	* : Big portugese translation update

2003-09-14 22:07  xfce

	* : Update ChangeLog

2003-09-14 12:20  huysmans

	* : Documentation updates

2003-09-13 23:13  xfce

	* : Update ChangeLog

2003-09-13 22:51  xfce

	* : Use the same technique for real EWMH fullscreen windows as for
	  legacy emulated fullscreen

2003-09-13 15:34  xfce

	* : Update ChangeLog

2003-09-13 15:32  xfce

	* : Add check for non-EWMH compliance before applying fullscreen
	  for legacy apps.

2003-09-13 13:55  huysmans

	* : Update by francois

2003-09-12 23:54  xfce

	* : Cleanup EWMH properties on unframed windows

2003-09-12 21:40  xfce

	* : Bunch of small fixes:
	  - Automatically above/normal layer switch added for older legacy
	  apps trying to achieve fullscreen mode.
	  - Focus won't go to windows from another desktop on MapRequest
	  event
	  - Fix very rare freeze under high load when double clicking on
	  menu button
	  - Support update of wm_protocol properties for apps that set it
	  after window mapping.

2003-09-11 22:29  xfce

	* : Don't kill the client application (ala xkill) when right
	  clicking on the close [X] button anymore (ie read "I remove that
	  hidden feature" as it's too dangerous, the application has no
	  chance to recover or prompt the user for unsaved data for
	  example)

2003-09-11 21:52  xfce

	* : Don't test WM_PROTOCOLS_DELETE_WINDOW when closing client (as
	  some client don't set this flag, they get killed while they do
	  support "wm_delete_window" message.

2003-09-10 07:54  huysmans

	* : Update ChangeLogs

2003-09-10 07:39  huysmans

	* : Update version numbers and po files for release

2003-09-08 07:27  huysmans

	* : Update xfwm doc

2003-09-08 06:25  huysmans

	* : Update russian translations

2003-09-07 13:00  xfce

	* : Fix typo

2003-09-05 06:36  xfce

	* : Flush X buffer before and after grabbing mouse in double click
	  detection

2003-09-02 06:48  huysmans

	* : Update malaysian translations

2003-09-01 21:09  xfce

	* : More 64bit + endianess fixes

2003-08-31 22:46  xfce

	* : Use "int" where "int" is to be used instead of CARD32 (for
	  portability)

2003-08-31 22:27  xfce

	* : Code cleanup (for portability)

2003-08-31 21:03  xfce

	* : Use "unsigned long" instead of CARD32 for MWM hints as CARD32
	  seems to cause trouble on Alpha.

2003-08-30 16:19  xfce

	* : Remove auto unhide feature because it causes problems with some
	  apps (Lotus Notes R5 under Wine being an example)

2003-08-30 12:49  huysmans

	* : Rename zh_TW.Big5 -> zh_TW

2003-08-30 08:58  huysmans

	* : Add traditional chinese translations

2003-08-29 23:34  xfce

	* : Add traces.

2003-08-29 22:59  xfce

	* : Blender sets only 4 elements in MWM hints intead of 5 as
	  defined, as we ignore the fifth element anyway, read only 4
	  elements and make blender happy...

2003-08-26 07:38  huysmans

	* : Update changelogs

2003-08-26 07:12  huysmans

	* : Update version numbers and po files for release

2003-08-25 21:38  xfce

	* : Smoothen frame shadow on default theme

2003-08-25 05:22  xfce

	* : Remove the "stashEventTime()" and "getEventTime()" functions as
	  it causes more trouble than it fixes.

2003-08-24 20:44  xfce

	* : Fix focus on transients not being restored on w/s switch

2003-08-24 18:49  xfce

	* : Fix focus on desktop switch

2003-08-24 16:46  xfce

	* : Fix focus problem with Motif/Lesstif apps

2003-08-24 13:49  xfce

	* : Reimplement MapRequest handling in a cleaner way.

2003-08-17 11:36  huysmans

	* : Add lithuanian translations

2003-08-14 18:15  xfce

	* : Simplify the mapping/unmapping management and bug fixes

2003-08-14 00:09  xfce

	* : Update

2003-08-14 00:06  xfce

	* : Even more changes and fixes (I hope)

2003-08-13 05:39  xfce

	* : Code reorg.

2003-08-12 23:17  xfce

	* : Unset CLIENT_FLAG_MAPPED when iconifying (and only then)

2003-08-12 22:49  xfce

	* : Adopt a MapRequest/MapNotify/UnmapNotify scheme that is similar
	  to xfwm3 that was rock solid...

2003-08-12 11:14  xfce

	* : Send configure notify after resizing

2003-08-12 05:42  xfce

	* : Remove some XSync() calls that were introduced in the debug
	  process lately.

2003-08-11 22:04  xfce

	* : A deseperate attempt to fix remaining bugs in xfwm4

2003-08-10 19:54  huysmans

	* : Update chinese translations

2003-08-08 05:57  xfce

	* : Bug fixes in MapNotify handler

2003-08-07 23:09  xfce

	* : Revert to an old (and probably safer) way of framing new
	  windows.

2003-08-07 22:09  huysmans

	* : Update catalan translations

2003-08-07 20:24  huysmans

	* : Revert changes

2003-08-06 21:06  xfce

	* : Small optimization

2003-08-06 21:02  xfce

	* : Try to address the reparent bug...

2003-08-04 18:17  xfce

	* : Add Korean translation from ByungHyun Choi
	  <byunghyunchoi@hotmail.com>

2003-08-03 18:45  bmeurer

	* : Updated ChangeLogs

2003-08-03 18:37  bmeurer

	* : grep -q does not work with Solaris grep, fixed it.

2003-08-01 16:49  xfce

	* : Use dbl linked list instead of single linked list internally
	  Other optimizations

2003-08-01 06:29  xfce

	* : Various small fixes and improvements

2003-07-31 22:43  xfce

	* : Rework modal management

2003-07-31 19:44  huysmans

	* : Catch SIGUSR1 as well

2003-07-31 08:03  huysmans

	* : Fix compiler warnings

2003-07-30 22:19  xfce

	* : Update ChangeLog

2003-07-30 22:15  xfce

	* : Add proper modality management
	  Small bug fixes
	  Improve legacy apps fullscreen mgmt

2003-07-30 11:31  huysmans

	* : Update changlogs

2003-07-30 08:05  huysmans

	* : Update version numbers and po files for release

2003-07-30 06:41  xfce

	* : Code cleanup

2003-07-30 05:40  xfce

	* : Use the same default layer for modal dialogs as some apps just
	  set modal and open other windows that show underneath the
	  modal...

2003-07-29 16:50  xfce

	* : *** empty log message ***

2003-07-29 15:04  huysmans

	* : Update documentation to latest versions

2003-07-29 12:24  huysmans

	* : Update all images to new defaults

2003-07-29 06:28  huysmans

	* : Update russian translations

2003-07-28 22:09  xfce

	* : *** empty log message ***

2003-07-28 19:02  xfce

	* : Update ChangeLog

2003-07-28 18:59  xfce

	* : Fix smart placement wasting pixels on right and bottom side of
	  the screen.

2003-07-27 22:29  xfce

	* : Update ChangeLog

2003-07-27 22:28  xfce

	* : Change version to 3.99.3 (rc3)

2003-07-27 22:16  xfce

	* : Add (missing) aspect ratio support

2003-07-27 00:29  xfce

	* : Add fullscreen autodetect for older legacy apps

2003-07-26 15:58  xfce

	* : Update ChangeLog

2003-07-26 14:32  xfce

	* : Send ConfigureNotify at first map (for Tk apps)

2003-07-25 21:33  xfce

	* : Fall back to default keytheme if user specified keytheme is not
	  found, rather than just exiting...

2003-07-25 05:48  xfce

	* : Revert another change in frameWindow()

2003-07-24 22:50  xfce

	* : Change the getMotifHints() -It's the last thing that changed in
	  xfwm4 before rc2-
	  (New impl should be bullet proof :)

2003-07-24 09:21  huysmans

	* : Remove debian dirs on Martin's request

2003-07-24 06:27  huysmans

	* : Update finnish translations

2003-07-21 19:38  bmeurer

	* : This should finally fix the solaris -lXext issue

2003-07-20 17:11  xfce

	* : Adjust motif hints, to avoid a bug on some system where the
	  motif hint is smaller that the expected size.

2003-07-19 09:30  huysmans

	* : Update ChangeLogs

2003-07-19 08:59  huysmans

	* : Update version numbers and po files for release

2003-07-18 10:57  huysmans

	* : Update hungarian translations

2003-07-18 07:46  huysmans

	* : Update turkish translations

2003-07-16 20:02  xfce

	* : Cleanup: Remove #if 0/#endif as it seems to work

2003-07-16 09:57  huysmans

	* : Add hungarian translations

2003-07-16 08:22  huysmans

	* : Update catalan translations

2003-07-15 21:43  xfce

	* : Fix Reparent with UnmapNotify/MapNotify for good this time (I
	  think)

2003-07-15 20:02  xfce

	* : Still the Reparent issue with UnmapNotify/MapNotify

2003-07-14 13:11  xfce

	* : Add some comment to the code - just for the record

2003-07-14 12:46  xfce

	* : Fix strings not being translated in drop-down menus of xfwm4
	  mcs plugin

2003-07-14 08:52  xfce

	* : Set version to 3.99.2 (rc2)

2003-07-13 22:53  xfce

	* : Forgot to remove traces

2003-07-13 22:52  xfce

	* : More tweaks

2003-07-13 22:37  xfce

	* : Tweak map_state and reparenting

2003-07-13 08:43  huysmans

	* : Update ChangeLogs for release

2003-07-11 07:33  huysmans

	* : Update ChangeLog's for release

2003-07-11 06:55  huysmans

	* : Update Chinese translations

2003-07-10 09:56  huysmans

	* : Update ChangeLog's for release

2003-07-10 09:24  huysmans

	* : Bump version numbers for release and update po files

2003-07-09 18:15  xfce

	* : Update de.po from Moe.

2003-07-08 20:53  xfce

	* : Don't perform an update-po on make dist as it causes far too
	  much trouble

2003-07-07 22:40  xfce

	* : Fix compiler warning

2003-07-07 22:26  xfce

	* : Update ltmain.sh with patched version

2003-07-07 21:18  huysmans

	* : Update catalan translations

2003-07-06 19:45  huysmans

	* : Updating ChangeLogs

2003-07-05 12:31  xfce

	* : Remove ltconfig script as it is generated

2003-07-04 23:37  xfce

	* : libttol update and all

2003-07-03 21:26  xfce

	* : Flush pointer motion events after wrapping workspaces

2003-07-03 19:59  xfce

	* : Store session in .xfce4/sessions/ and use session_id in saved
	  session name

2003-07-03 18:16  edscott

	* : spanish tranlation updates for 4.0 release.

2003-07-01 20:57  xfce

	* : Make use of the new utf8 function added ti libxfce4util.
	  Add explicit dependency on libxfce4util

2003-06-30 22:24  xfce

	* : Improve Xrandr support
	  Hide sidewalks off screen when wrap workspace is turned off

2003-06-30 18:11  huysmans

	* : Doc update by Francois

2003-06-28 09:46  xfce

	* : Update to libtool-1.5
	  Use proper complete CURRENT:REVISION:AGE scheme for lib
	  versionning

2003-06-26 22:41  xfce

	* : Add Xrandr support

2003-06-26 20:32  xfce

	* : Remov ethe workarround for gtk bug because KDE apps place
	  themselves at a predefined position :(

2003-06-25 20:22  bmeurer

	* : Fixed -lXext on Solaris.

2003-06-25 20:19  xfce

	* : Improve ICCCM compliance for configure events

2003-06-24 06:36  xfce

	* : Sync

2003-06-22 22:09  xfce

	* : Use small input only window located on screen edges to detect
	  mouse move on the screen edge.

2003-06-21 20:41  xfce

	* : Chnage clientPassFocus() to not fallback on tp most window if
	  nothing else has been found in click to focus mode.

2003-06-21 18:31  bmeurer

	* : Fixes.

2003-06-21 12:15  xfce

	* : Update po

2003-06-20 23:26  xfce

	* : Apply NET state fullscreen after actually configuring the
	  window in fullscreen mode.

2003-06-20 22:56  xfce

	* : Protect against newlines and other crazyness in window titles

2003-06-20 06:26  xfce

	* : Move xfwm4rc from $HOME to $HOME/.xfce4/

2003-06-19 22:01  xfce

	* : Prevent Alt+F8 to hide windows that should not be hidden

2003-06-19 21:12  xfce

	* : Fix a major bug introduced when adding the loop to flush the
	  event queue (very bad idea).

2003-06-19 17:53  xfce

	* : Add Alt+middle mouse button to lower window

2003-06-19 17:36  xfce

	* : Test for initial (x,y) values to work arround a gtk bug that
	  doesn't set PPosition flag sometimes (to center windows, for
	  example)

2003-06-18 22:24  bmeurer

	* : Updated images. Thanks to Francois.

2003-06-18 20:33  xfce

	* : Improve clientFrame()
	  Call gtk_window_set_position () as late at possible as it seems
	  there is a race cond in gtk+

2003-06-18 19:57  xfce

	* : Make sure we align on increment vales when resizing using kbd.

2003-06-18 06:37  xfce

	* : Exclude panel from cycling by default

2003-06-17 23:28  xfce

	* : Improve updates of NormalWMHints

2003-06-17 21:19  xfce

	* : Grab server earlier in clientFrame()

2003-06-15 22:32  xfce

	* : Switch to version 3.91.0

2003-06-14 22:56  xfce

	* : A lot of improvements on Xinerama support

2003-06-14 21:53  bmeurer

	* : Introduced xfce_textdomain()

2003-06-14 15:59  xfce

	* : Improve restacking

2003-06-14 00:28  xfce

	* : Try to find a better wayof managing restacking

2003-06-13 23:51  xfce

	* : apply Benny's patch for mcs plugins

2003-06-13 22:58  xfce

	* : Include Thomas Leonard <tal00r@ecs.soton.ac.uk> patch to
	  workarround
	  flickering during restack of windows.

2003-06-13 22:35  bmeurer

	* : Fixed bind_textdomain_codeset() problem on linux.

2003-06-11 21:22  xfce

	* : Add some debug messages

2003-06-11 19:34  xfce

	* : Don't raise top stack window when reorg. the stack list.

2003-06-10 22:08  xfce

	* : Various updates

2003-06-09 23:39  xfce

	* : Add new widget xfce_framebox to unify look across UI
	  Migrate all plugins to this new widget

2003-06-09 17:18  xfce

	* : Redesign UI

2003-06-08 22:58  xfce

	* : Fix compile warning

2003-06-08 22:37  xfce

	* : Implement (some of) Eugenia's advise on UI design

2003-06-08 14:29  huysmans

	* : Add russian translation and fix xfdesktop not reading a new
	  local menu

2003-06-08 11:12  bmeurer

	* : Added daemon(3) TODO item

2003-06-06 21:37  xfce

	* : Versionning scheme

2003-06-05 21:49  huysmans

	* : Doc fixes assorti

2003-06-05 07:28  huysmans

	* : Updated translations and multiple file drop on backdrop list
	  manager

2003-06-04 16:58  xfce

	* : Remove last change regarding last client raised,
	  Add an XFlush just after restacking windows.

2003-06-03 12:28  huysmans

	* : Use properly compressed images

2003-06-02 21:35  xfce

	* : Don't assume that the latest mapped window is raised

2003-06-02 20:09  xfce

	* : Add a hidden option to disable Alt+Click action
	  Add easy_click=false to ~/.xfwm4rc to disable Alt+Click =>
	  move/resize

2003-06-01 17:25  huysmans

	* : po file tweaks

2003-06-01 12:06  huysmans

	* : Updated images by Francois

2003-05-31 12:19  huysmans

	* : Doc updates by Francois

2003-05-30 20:36  huysmans

	* : Add malayan translations

2003-05-30 08:51  huysmans

	* : Small tweaks to build files

2003-05-29 18:19  huysmans

	* : updating spec files

2003-05-29 12:53  huysmans

	* : improve stylesheet import

2003-05-29 09:59  huysmans

	* : Translations update

2003-05-28 14:16  huysmans

	* : Doc update by Francois

2003-05-27 21:35  xfce

	* : Update Finnish translation by Ilkka Ollakka (ilkka dot j dot
	  ollakka at students dot oamk dot fi)

2003-05-27 21:30  xfce

	* : Add Japanese translation by Zhao-Ji <zhao-ji at awz dot ne dot
	  jp>

2003-05-27 19:20  huysmans

	* : Add documentation by Francois

2003-05-26 21:18  xfce

	* : Fix submenu item selection when munu was opened with right
	  mouse button

2003-05-25 21:35  xfce

	* : Set Xft.dpi to 96, and use "Sans 8" as default font and "Sans
	  Bold 10" as window title font

2003-05-24 19:17  xfce

	* : Merging po

2003-05-23 21:37  xfce

	* : Rework the window menu
	  Add send to... workspace # sub menu

2003-05-22 22:31  xfce

	* : Disconnect wrap workspaces and wrap windows options
	  Reorganize mcs-plugin a bit
	  Rerun indent and fix some wrong indent behaviour toward _()
	  Changs "Misc." label to "Advanced" in xfwm4 mcs-plugin

2003-05-21 21:43  huysmans

	* : Add Turkish translations

2003-05-21 21:30  xfce

	* : Turn off wrap workspace by default

2003-05-16 20:43  xfce

	* : Update ChangeLog

2003-05-16 19:34  xfce

	* : Bump version to 3.90 for beta release (coming soon... etc.)

2003-05-16 19:20  xfce

	* : Various small cleanups, rerun indent with new settings.

2003-05-16 18:24  huysmans

	* : Add tamil translations

2003-05-15 22:06  xfce

	* : Fix a problem with focus not being restored on transients when
	  switching workspaces

2003-05-15 20:55  xfce

	* : Various minor fixes

2003-05-15 18:11  huysmans

	* : Forgot to add the doc directory to Makefile.am

2003-05-15 11:03  huysmans

	* : Mass update of ChangeLogs

2003-05-15 06:37  xfce

	* : Various fixes and small improvements

2003-05-14 21:54  xfce

	* : Fix edge resistance scale not being updated, set minimum edge
	  resistance to 1 instead of 5 as before.

2003-05-14 20:51  xfce

	* : Improve focus management in focus-follow-mode

2003-05-14 14:06  huysmans

	* : Update finnish translations

2003-05-14 04:39  xfce

	* : New flag clearance missing in frameDraw

2003-05-13 19:44  xfce

	* : Code cleanup; make window type dock w/out border

2003-05-13 17:59  huysmans

	* : Add catalan translations and skeleton documentation

2003-05-13 07:08  huysmans

	* : spec file tweaks

2003-05-11 22:37  xfce

	* : Small typo

2003-05-11 22:27  xfce

	* : Add wrap workspace even when not moving windows, add edge
	  resistance, update mcs plugin, and huge code cleaup in mcs
	  plugin.
	  Update french i18n

2003-05-10 22:43  xfce

	* : Try to improve things with mutiple screen w/out breaking
	  existing proven code.

2003-05-10 21:05  xfce

	* : Just small code cleanup.

2003-05-10 15:47  xfce

	* : Add a hook to unfocus active window when leaving the root win
	  (for multi-screen configs)

2003-05-10 12:56  xfce

	* : Change sequence so that the timeout for dbl click is not
	  perceived by the user.
	  It "feels" faster, although I doubt it is :)

2003-05-07 17:35  xfce

	* : Change the default theme (who said "again" ??)

2003-05-06 20:45  xfce

	* : Slightly change the default theme to make it a bit simpler

2003-05-04 21:47  xfce

	* : Move most themes to xfce4-extras/xfwm4-themes/

2003-05-04 21:38  xfce

	* : Move most themes to xfce4-extras/xfwm4-themes/

2003-05-04 18:21  huysmans

	* : Fix rpm target and some distcheck stuff. distcheck still fails

2003-05-03 22:02  xfce

	* : Various fixes, added french translation, fixed desktop
	  switching in xfwm4

2003-05-03 18:10  bmeurer

	* : Fixed wrong margins plugin path.

2003-05-03 09:46  huysmans

	* : Update chinese translations

2003-05-02 17:13  bmeurer

	* : Several changes. See
	  http://www.home.unix-ag.org/bmeurer/xfce/index.html#20030502
	  for details.

2003-05-01 10:43  bmeurer

	* : Added i18n functions to libxfce4util.

2003-04-30 21:26  xfce

	* : Allow use of keyboard shortcuts without modifiers
	  Modify default theme

2003-04-29 21:29  xfce

	* : Add the "Alt+right-click = resize window" as requested

2003-04-29 21:05  xfce

	* : Fix an issue with transients not being placed on the ssame
	  layer as their ancestor (this was a regression introduced
	  recently, with the implementation of transients for group)

2003-04-28 19:07  xfce

	* : Change default theme a bit, make it somehow "smoother"

2003-04-27 21:08  xfce

	* : Put back workspace wrap when reaching the first or last
	  workspace
	  Make workspace switch with wheel mouse "smoother" by dropping
	  outnumbered events

2003-04-27 20:10  bmeurer

	* : Updated polish translations.

2003-04-26 21:16  bmeurer

	* : Updated BM_DEPEND_CHECK.

2003-04-26 20:01  xfce

	* : A few more fixes

2003-04-26 15:14  xfce

	* : Wrap workspace with mouse wheel natovely (ie even w/out
	  xfdesktop, that's for ROX :)
	  Don't cycle workspace when reaching the first/last workspace

2003-04-26 11:53  bmeurer

	* : Fixed a stupid typo.

2003-04-26 09:03  xfce

	* : Improve net allowed actions

2003-04-25 22:56  xfce

	* : Yay! Another bunch of fixes!

2003-04-25 21:34  xfce

	* : Usual bunch of fixes, including a much better handling of old
	  gnome win_state properties.

2003-04-25 18:57  bmeurer

	* : xfce-mcs-manager version was changed.

2003-04-25 17:47  huysmans

	* : Update finnish translations

2003-04-25 09:53  bmeurer

	* : Updated depends.m4 and added macro for use with panel plugins.
	  Updated
	  libxfce4util to install the common m4 files into
	  $(datadir)/xfce4/m4.

2003-04-24 20:14  xfce

	* : Bunch of small fixes and improved default theme

2003-04-23 22:06  xfce

	* : *** empty log message ***

2003-04-23 21:26  xfce

	* : Very small... well, nothing, really

2003-04-23 20:42  xfce

	* : Fix net wm property for "occupy all workspaces" stuff. There
	  was some kind of confusion between "stickyness" and "on all
	  workspaces" as xfwm4 treat them both the same way

2003-04-22 19:26  xfce

	* : Add an inner border to the default theme, looks better with
	  some apps

2003-04-21 17:47  bmeurer

	* : Remove rpath stuff (up to the package maintainer to take care
	  of this).

2003-04-21 09:56  xfce

	* : Grab server and draw frame shadows during Alt+Tab ops

2003-04-18 20:53  xfce

	* : Enlarge title height for default theme

2003-04-17 17:36  xfce

	* : Various improvements in transient for group management.

2003-04-16 22:58  xfce

	* : Fix a bug with struts as seen on rox list
	  Improve group transient management
	  Don't focus on raise from a configureRequest

2003-04-15 21:14  xfce

	* : Implement a smarter "transient for group" management
	  Rearrange general transients management
	  Add a slightly enhanced version of "perl" theme from Tobias Henle
	  <null@page23.de>

2003-04-14 22:04  xfce

	* : Don't set windows transient for root on top

2003-04-12 22:28  xfce

	* : Fix small and harmless focus bug.

2003-04-10 22:10  xfce

	* : *** empty log message ***

2003-04-09 22:20  xfce

	* : Add new theme "triviality", switch to automake-1.7.3

2003-04-09 21:46  xfce

	* : Add a small shadow under title buttons

2003-04-09 20:44  bmeurer

	* : Improved debug.m4:
	  
	  1) --disable-debug no longer disables assert()'s
	  2) --enable-profiling now enables profiling code
	  3) --disable-asserts allows disabling of assert()'s

2003-04-09 05:58  xfce

	* : *** empty log message ***

2003-04-08 21:37  xfce

	* : Rounf bottom corners

2003-04-08 21:30  xfce

	* : Use XFlush() in place of gdk_flush()

2003-04-08 20:37  xfce

	* : Change shadows to get better 3D look

2003-04-07 20:26  xfce

	* : Use round bottom corners and shadowed active title

2003-04-06 12:08  xfce

	* : Show decorations on "utility" windows

2003-04-05 22:03  xfce

	* : Add slight stripes ala "microdeck" to title bar

2003-04-05 21:41  xfce

	* : Revert back to an older version of redmondxp theme

2003-04-05 13:32  xfce

	* : Add support for apps that set their transient_for field to
	  "None"

2003-04-05 13:21  xfce

	* : Treat window with transient_for set to root as "on top", sticky
	  windows

2003-04-05 12:29  xfce

	* : Allow any kind of window to be modal (not just dialogs)

2003-04-05 12:25  xfce

	* : Make modal dialogs sticky

2003-04-05 08:53  xfce

	* : Default theme: use black frame arround inactive windows

2003-04-05 00:10  xfce

	* : Revert last change in debug.h, use "??" instead of ((__const
	  char *)0)
	  Replace DBG() statements with TRACE() in libxfcegui4 and xfwm4
	  because it was generating far too much logs in simple debug mode
	  (use --enable-debug=full to get full traces)
	  Add params to TRACE() (just like in DBG())
	  Remove trailing CR in log messages

2003-04-04 21:27  xfce

	* : Bug hunting, (small) speedups and improvements

2003-04-03 22:22  xfce

	* : Fix transients not showing with their "master" window (as
	  before)

2003-04-03 22:08  bmeurer

	* : Updated BM_DEPEND_CHECK to make it possible to disable the test

2003-04-03 21:36  bmeurer

	* : Fixed BM_DEPEND_CHECK

2003-04-03 20:28  xfce

	* : Fix a small bug with window snapping

2003-04-03 20:14  xfce

	* : Fix a small redrw problem when sticking/unsticking with the
	  menu

2003-04-02 21:18  xfce

	* : Update ChangeLog

2003-04-02 20:35  bmeurer

	* : Debugging stuff now provided by libxfce4util. As a result of
	  this change
	  libxfcegui4 now depends on libxfce4util.
	  Some other updates.
	  added a hint to the libxfcegui4 README for Xinerama problems with
	  XFree86.

2003-04-02 17:33  bmeurer

	* : left-over autostuff for libxfce*, xfcs-mcs-* and xfce4

2003-04-02 16:03  bmeurer

	* : Updated i18n stuff (libxfce4util now provides a i18n.h).
	  updated X11.m4
	  updated xfwm4 to compile well with -Werror -Wall
	  updated xfce-mcs-plugins and added a hint to the README for
	  XFree86 users

2003-04-01 21:33  xfce

	* : Initialize early i18n in mcs plugins
	  Add Etria theme

2003-03-31 21:44  xfce

	* : Fix pixmap.c -> mypixmap.c in POTFILES.in

2003-03-31 19:46  xfce

	* : 1 pixel change :)

2003-03-31 19:08  xfce

	* : Smooth bottom corners

2003-03-30 21:41  xfce

	* : Use square and bigger bottom corners for default theme.

2003-03-30 21:28  xfce

	* : Fix dependecy loop in mcs Makefile
	  Revert to use spin instead of adjustment as callback object in
	  margins plugin

2003-03-30 20:52  xfce

	* : Improve focus passing on unmap/destroy events

2003-03-30 14:37  xfce

	* : Fix bug in original impl. of spin button for margin plugin.

2003-03-30 14:04  xfce

	* : Don't show windows in not on same workspace or sticky (as
	  before)

2003-03-30 13:46  xfce

	* : Small tweaking

2003-03-30 12:17  xfce

	* : Small code reorganization

2003-03-29 22:06  xfce

	* : Change focus management (huge change in the core of the window
	  manager!)

2003-03-29 15:19  huysmans

	* : Update german translations

2003-03-27 21:37  xfce

	* : Prefer gdk_screen[width|height] instead of
	  XDisplay[Width|Height]

2003-03-27 20:32  xfce

	* : Update ChangeLog

2003-03-27 19:46  xfce

	* : Fix a bug in focus management as shown when using OO 1.1-beta

2003-03-25 23:04  xfce

	* : Very small optimization that makes code cleaner anyway,
	  Apparetly, yet another default theme change...

2003-03-25 19:55  xfce

	* : *** empty log message ***

2003-03-24 18:18  xfce

	* : Test gtk version to use deprecated gdk pixbuf render functions,
	  update default theme.

2003-03-23 23:39  xfce

	* : Remove soon to be deprecated gtk functions :
	  gtk_timeout_add()
	  gtk_timeout_remove()
	  gdk_pixbuf_render_to_drawable()
	  gdk_pixbuf_render_to_drawable_alpha()

2003-03-23 21:26  xfce

	* : microdeck2 theme was broken (dunno why though...)

2003-03-23 21:17  xfce

	* : Update ChangeLog

2003-03-23 20:47  xfce

	* : *** empty log message ***

2003-03-23 12:52  xfce

	* : Update Finnish translation from Ilkka Ollakka
	  (ilkka.j.ollakka@students.oamk.fi)

2003-03-23 10:03  xfce

	* : Use gdk_screen[width|height]

2003-03-23 09:33  xfce

	* : *** empty log message ***

2003-03-23 09:33  xfce

	* : *** empty log message ***

2003-03-22 20:10  xfce

	* : Change default theme (sigh!)

2003-03-20 19:56  xfce

	* : Forgot to change default theme in mcs plugin....

2003-03-20 19:49  xfce

	* : Add a default theme and fix several others

2003-03-19 07:12  huysmans

	* : Only add extra autogen parameters when none are given

2003-03-18 22:39  xfce

	* : *** empty log message ***

2003-03-18 22:34  xfce

	* : Update ChangeLog
	  Update build scripts (ie rerun autogen.sh)
	  Update xfwm4's microdeck theme
	  Remove 1 pix border arround xffm menu bar

2003-03-17 22:37  xfce

	* : Make sure configure script is in line with Benny's latest
	  changes

2003-03-17 21:59  xfce

	* : Update ChangeLog

2003-03-17 21:52  xfce

	* : Missing bits, messed up cvs update

2003-03-17 20:29  xfce

	* : Update default (microdeck) theme and improve toggle buttons
	  management

2003-03-17 18:52  bmeurer

	* : Forgot to add.

2003-03-17 18:44  bmeurer

	* : Major autostuff update.

2003-03-16 22:51  xfce

	* : Missing bits.

2003-03-16 22:46  xfce

	* : Apply a modified version of the patch submitted by Jens Guballa
	  <J.Guballa@t-online.de> for toggled buttons.

2003-03-16 14:26  xfce

	* : Reformat code usign astyle, redesign microdeck theme, include
	  nestu's Spanish translation

2003-03-16 13:43  xfce

	* : Add nestu's Spanish translation

2003-03-16 13:41  xfce

	* : *** empty log message ***

2003-03-16 13:38  xfce

	* : Redesign title bar of microdeck theme (default theme)

2003-03-16 09:16  xfce

	* : Fix "button2 on maximize button = maximize horiz"

2003-03-13 20:39  xfce

	* : Update Changelogs

2003-03-13 07:19  xfce

	* : Add a flag to avoid double desktop wrapping in
	  clientMove_event_filter()
	  iRemove shadow under title text in micordeck theme

2003-03-11 21:35  xfce

	* : Redesign default "microdeck" theme

2003-03-11 20:29  xfce

	* : Forgot to apply net_client_list_stacking atom so that the pager
	  was not displaying correct stack

2003-03-10 23:16  xfce

	* : Fix some compiler warnings, make code slightly simpler in
	  clientSnapPosition()

2003-03-10 23:08  xfce

	* : Rearranged the code a bit, made a separate inline function for
	  snapping
	  Added a separate option for snapping between windows.
	  XFwm4 mcs plugin is updated too so the gui reflect these changes.

2003-03-09 22:11  xfce

	* : Committed patch for window snapping (Jens Guballa
	  <J.Guballa@t-online.de>)

2003-03-09 19:37  xfce

	* : Fix a raising problem

2003-03-09 16:37  xfce

	* : Some more optimizations based on latest changes

2003-03-09 14:47  xfce

	* : Major rework of stacking management.
	  Removal of all recursive procedures.
	  Update of (c) mention in .c/.h files.

2003-03-06 19:23  xfce

	* : Revert last change, there is no such Button6 and Button7 in X.h

2003-03-06 19:17  xfce

	* : Include scroll left and right buttons for shade/unshade

2003-03-06 19:00  xfce

	* : Increase line width for outline move/resize

2003-03-05 22:44  xfce

	* : Improve move/resize of windows under heavy system load.

2003-03-05 19:43  xfce

	* : Add very light horiz stripes to title bar for microdeck theme.

2003-03-04 21:01  xfce

	* : Optimize desktop swtching

2003-03-04 19:29  xfce

	* : Adjust themes and colors.

2003-03-03 22:07  xfce

	* : Adjust horiz/vert offset

2003-03-03 22:02  xfce

	* : Add a DBG statement to tell the XID of the event window

2003-03-03 19:47  xfce

	* : Apply initial net props even if app is session managed

2003-03-03 06:38  xfce

	* : Apply initial net state only when not session managed

2003-03-02 22:16  xfce

	* : Fix an issue with app that set their initial net state to
	  either maximized or fullscreen as seen with mozilla/gtk2
	  Change default theme to microdeck (different version, uses less
	  colors)
	  Rename microdeck to microdeck3

2003-03-02 17:11  xfce

	* : Rearrange button events handler in xfwm4
	  Update french translation for xfce4 panel

2003-02-28 23:10  xfce

	* : Fix initial placement
	  Fix deprecated gtk_widget_set_usize()

2003-02-28 18:43  xfce

	* : Fix xfce-mcs-manager API/ABI versionning
	  Update configure/libtool to use libtool 1.4.3

2003-02-28 10:59  bmeurer

	* : Fixes xfce-mcs-manager issue.

2003-02-28 06:41  xfce

	* : Add window shade/unshade with mouse wheel on title bar

2003-02-27 21:51  xfce

	* : Updates (I'm sure you wouldn't have guessed)

2003-02-27 21:02  xfce

	* : Update default kbd shortcut to call xfhelp4 and xflock4 instead
	  of their xfce 3 counter parts

2003-02-27 20:14  xfce

	* : Improve window move/resize and expand sources

2003-02-26 21:30  xfce

	* : Fine tuning and small optimizations

2003-02-26 12:03  huysmans

	* : Unref icon after last use, not before

2003-02-26 07:18  xfce

	* : Apply Benedikt Meurer <Benedikt.Meurer@unix-ag.uni-siegen.de>
	  patch
	  Replace all occurences of g_getenv("HOME") with g_get_home_dir()
	  Regenerate all Makefiles.on and configure scripts

2003-02-25 22:46  xfce

	* : Remove an unecessary test in clientConstraintPos() that was
	  preventing clientInitPosition() to do its job correctly.

2003-02-25 22:16  huysmans

	* : autotool cleanup

2003-02-25 21:44  xfce

	* : Fix margins from mcs not being taken in account at startup
	  Change margin plugin GUI
	  Update xtions.

2003-02-25 21:21  huysmans

	* : Fix proper use of AC_PROG_LIBTOOL

2003-02-25 09:59  huysmans

	* : Add frame to margins dialog. Add space to wm dialog.

2003-02-25 07:20  xfce

	* : Tweaking

2003-02-24 23:23  xfce

	* : Implement internal borders

2003-02-24 22:23  xfce

	* : Add margin plugin

2003-02-23 21:59  xfce

	* : Revert the message about unidentified client message, turn it
	  into a debug message

2003-02-23 17:13  xfce

	* : Add a message when an unidentified client message is received
	  by the WM

2003-02-23 14:11  xfce

	* : Add a comment on why/how constraintPos() routine works

2003-02-23 10:35  xfce

	* : Add test for apps that try to manipulate the WM frame (bad idea
	  anyway)

2003-02-23 10:06  xfce

	* : Some more fine tweaking (plus totem theme update :)

2003-02-22 23:22  xfce

	* : Lot of changes in constraintPos and other related areas
	  Add totem theme

2003-02-22 00:23  xfce

	* : Various stacking and placement tweaking

2003-02-21 18:21  xfce

	* : Take the frame into account when receiving a XConfigureRequest
	  for apps that try to manipulate the WM frame
	  Rearrange headers

2003-02-20 23:27  xfce

	* : EWMH detection

2003-02-20 22:26  xfce

	* : Avoid using "__" for defines in headers as it could be reserved
	  for the compiler

2003-02-19 21:06  xfce

	* : Make sure the CLIENT_FLAG_HAS_BORDER is reset on Mwm hint event
	  Add a call to configure when such an event happen
	  Update some of kde theme pixmaps

2003-02-18 22:33  xfce

	* : Unframe all client first of all when calling cleanup()

2003-02-18 22:31  xfce

	* : Use g_error to cause an abort() on SIGSEGV signal

2003-02-17 21:39  xfce

	* : *** empty log message ***

2003-02-16 21:33  xfce

	* : Install sig handlers later in startup sequence

2003-02-13 19:13  xfce

	* : Update ChangeLog
	  Revert change in debug.h

2003-02-13 15:19  xfce

	* : Fix a bug introduced by recent optimizations...

2003-02-13 14:22  xfce

	* : Okay, promise, I'll stop with optimizations :)

2003-02-13 14:11  xfce

	* : Fix a small glitch with shaped windows

2003-02-13 14:03  xfce

	* : even more optimizations!

2003-02-13 10:13  xfce

	* : Ran indent on sources

2003-02-13 10:08  xfce

	* : ...even more optimizations

2003-02-13 09:49  xfce

	* : Add optimizations

2003-02-12 13:50  xfce

	* : Unmap window sides when shaded

2003-02-11 19:48  xfce

	* : Update ChangeLog

2003-02-11 19:45  xfce

	* : Add additional sanity checks to satrtup notification code.

2003-02-11 15:59  xfce

	* : Add pixmap caching for frame components

2003-02-11 11:58  xfce

	* : Fix typo.

2003-02-11 11:20  xfce

	* : Update ChangeLog

2003-02-11 11:14  xfce

	* : Check for CLIENT_FLAG_HAS_STICKY in keyboard shortcut

2003-02-11 11:05  xfce

	* : Use ONTOP layer for modal dialogs only (regular dialogs belong
	  to NORMAL layer now)
	  Add new internal flag "CLIENT_FLAG_HAS_STICKY"
	  Do not disable menu button for various window types.

2003-02-10 20:47  xfce

	* : Remove g_error (that causes and abort() and thus a core dump)
	  where not necessary.

2003-02-10 12:16  xfce

	* : Increase startup notification timeout to 30 seconds

2003-02-10 12:03  xfce

	* : Use #define SN_API_NOT_YET_FROZEN instead of
	  -DSN_API_NOT_YET_FROZEN=1 in command line

2003-02-10 09:21  xfce

	* : Add neat spinning cursor for startup notification

2003-02-09 22:30  xfce

	* : Add startup notification support (from freedesktop.org
	  standard)

2003-02-08 16:12  xfce

	* : Reduce the buffer from 512 to 80 bytes.

2003-02-08 16:06  xfce

	* : mcs-plugin: Make button grayed out when a theme for values
	  xfwm4: show menu button in dialogs.

2003-02-08 08:40  xfce

	* : Use g_free() for g_malloc()/g_new() allocated memory

2003-02-06 21:05  xfce

	* : *** empty log message ***

2003-02-06 21:02  xfce

	* : Improve session load/save

2003-02-06 16:22  xfce

	* : Add missing bits for full session management

2003-02-06 08:46  xfce

	* : Ensure resizability of windows

2003-02-05 22:41  xfce

	* : Use fixed gradient for active title

2003-02-05 22:21  xfce

	* : Align with rawhide original theme

2003-02-05 18:27  xfce

	* : *** empty log message ***

2003-02-05 15:24  xfce

	* : Cleanup/simplification

2003-02-04 10:35  xfce

	* : *** empty log message ***

2003-02-03 22:28  xfce

	* : Cleanup: remove dead external references in workspaces.h

2003-02-03 11:39  xfce

	* : title vertical offset increased by 1 pixel.

2003-02-03 10:44  xfce

	* : Fix problem introduced last night with focus notification

2003-02-02 22:17  xfce

	* : Add a check to avoid setting focus to an already focused window
	  (see that as an optimization)

2003-02-02 21:56  xfce

	* : De-iconify window on raise events

2003-02-02 10:31  xfce

	* : Enforce mapping inside top and left margin

2003-02-01 09:44  huysmans

	* : Update finnish translations

2003-01-31 21:15  xfce

	* : Switch to GNU gettext 0.11.5

2003-01-31 20:34  xfce

	* : Update Arabic translation by Nabil Ben Khalifa
	  <nabil_benkhalifa@yahoo.fr>

2003-01-31 18:38  xfce

	* : *** empty log message ***

2003-01-31 18:33  xfce

	* : Change title style

2003-01-30 16:29  xfce

	* : Add Ctr+Alt+Delete = lock screen

2003-01-29 21:25  xfce

	* : Fix small memory leak when spawning a command fails

2003-01-28 14:00  xfce

	* : Improve keyboard shortcuts internals.

2003-01-28 13:42  huysmans

	* : Also update configure ...

2003-01-28 13:40  huysmans

	* : Add polish translations by Pablo

2003-01-28 12:48  xfce

	* : Add keyboard shortcuts support (managed by key themes)

2003-01-28 10:47  xfce

	* : Add arabic translation from Nabil. Thanks a lot, Nabil :)

2003-01-28 09:42  xfce

	* : *** empty log message ***

2003-01-28 09:41  xfce

	* : *** empty log message ***

2003-01-27 21:05  xfce

	* : Change title gradient

2003-01-27 14:06  xfce

	* : *** empty log message ***

2003-01-27 13:47  xfce

	* : *** empty log message ***

2003-01-27 10:28  xfce

	* : Update Makefiles

2003-01-26 11:06  xfce

	* : Update Finnish translation

2003-01-25 23:04  xfce

	* : Add Finnish translation by Ilkka Ollakka
	  (ilkka.j.ollakka.oamk.fi)

2003-01-25 18:56  xfce

	* : Hide/Show all transients along with a window.

2003-01-25 16:55  xfce

	* : Add shadow to keramik active title

2003-01-25 14:35  xfce

	* : Small bugfix: click_to_raise wasn't correctly set at first run
	  (ie when no config file was found)

2003-01-25 11:08  xfce

	* : Add German translation from MisterMoe
	  <MisterMoe@hackerboard.de> and Michael Jakl <mj@int-x.org>

2003-01-24 14:25  edscott

	* : added mexican spanish files

2003-01-24 13:06  huysmans

	* : Add Dutch translations

2003-01-24 10:07  xfce

	* : Rename po/zh_CN.GB2312.* to po/zh_CN.*

2003-01-24 09:00  xfce

	* : Add Chinese translation by Yongtao Yang
	  <yongtao.yang@telia.com>

2003-01-23 22:59  xfce

	* : Add spanish translation. Thanks nestu!

2003-01-23 20:32  xfce

	* : Small optimizations

2003-01-23 14:22  xfce

	* : Mix tweakings

2003-01-23 10:58  xfce

	* : Update auto* stuff

2003-01-23 09:15  xfce

	* : Use AM_DISABLE_STATIC instead of AC_DISABLE_STATIC

2003-01-23 09:12  xfce

	* : Replace AC_PROG_LIBTOOL with AM_PROG_LIBTOOL
	  Remove gtk_set_locale() from plugin init.

2003-01-22 22:26  xfce

	* : Small stuff

2003-01-22 21:54  xfce

	* : Update autogen.sh script,
	  Add internationalization support
	  Add french locale
	  Add dependency on libxfcegui4 v .14
	  Other stuff I don't remember :)

2003-01-21 23:45  xfce

	* : Fix a typo.

2003-01-21 22:09  xfce

	* : *** empty log message ***

2003-01-21 16:59  xfce

	* : bug fixes

2003-01-21 15:30  xfce

	* : Prepare i18n

2003-01-20 21:14  xfce

	* : Update microcurve theme

2003-01-20 13:54  xfce

	* : Small improvements in workspace init

2003-01-20 12:54  xfce

	* : Fix an issue with old gnome hints

2003-01-20 10:17  xfce

	* : Avoid forcing number of desktops if already set...

2003-01-18 22:04  xfce

	* : * Exclude spalshscreen and desktop type windows from window
	  cycling.
	  * Add new theme microcurve.

2003-01-18 17:09  xfce

	* : *** empty log message ***

2003-01-18 16:33  xfce

	* : Update to autoconf-2.57, automake-1.7.2 and libtool-1.4.3

2003-01-17 23:37  xfce

	* : Huge code cleanup, various optimizations and reorg.

2003-01-17 10:16  xfce

	* : *** empty log message ***

2003-01-16 21:29  xfce

	* : *** empty log message ***

2003-01-16 17:47  xfce

	* : Change settings save/load to $HOME/.xfce4/settings/

2003-01-16 14:09  xfce

	* : *** empty log message ***

2003-01-16 11:58  xfce

	* : Constraint client pos only for NORMAL, DIALOG and MODAL_DIALOG
	  windows

2003-01-14 21:42  xfce

	* : Fix a small leak

2003-01-14 14:24  xfce

	* : Update ChangeLog and credits in AUTHORS

2003-01-14 14:20  xfce

	* : Add a more "civilized" task switcher when pressing Alt+Tab

2003-01-13 09:48  xfce

	* : Configure stuff

2003-01-13 05:57  xfce

	* : Update ChangeLog

2003-01-13 05:52  xfce

	* : Optimize initial startup time by ignoring channel add

2003-01-12 20:46  xfce

	* : *** empty log message ***

2003-01-12 20:28  xfce

	* : *** empty log message ***

2003-01-12 14:53  xfce

	* : Update to take advantage of libxfcegui4 0.0.12

2003-01-12 13:47  xfce

	* : Add font selection for title bar

2003-01-11 21:26  xfce

	* : Make sure "make rpm" works.

2003-01-11 15:34  xfce

	* : Update to libxfce4mcs 0.0.3

2003-01-11 10:39  xfce

	* : Fix detection of mcs manager when started afterwards.

2003-01-11 08:57  xfce

	* : Add some traces when mcs init goes wrong

2003-01-10 23:18  xfce

	* : Both design and speed optimizations

2003-01-10 14:21  xfce

	* : Center dialog on screen by default.

2003-01-10 10:55  xfce

	* : BEWARE: Changed the default mode to *not* fork at startup. Use
	  "xfwm --daemon" to get the daemon mode (this is because usually,
	  window managers aren't supposed to turn themselves into daemon
	  and that cause problems to some)

2003-01-10 09:28  xfce

	* : Add an implementation of g_str_has_suffix() when using glib-2 <
	  2.2

2003-01-09 23:13  xfce

	* : Update libxfce4mcs and libxfcegui4 dependencies

2003-01-09 21:23  xfce

	* : Lot of udpdates and bug fixes, and added MCS support along with
	  plugin for xfwm4 preferences.

2003-01-01 10:12  xfce

	* : Add more checkings to keyboard shortcut handlers to avoid
	  iconizing taskbar and stuff like that.

2002-12-30 22:04  xfce

	* : Update ChangeLog

2002-12-30 21:59  xfce

	* : Add theme "meenee" derived from Michael Graf theme

2002-12-30 21:48  xfce

	* : Include SKIP_PAGER and SKIP_TASKBAR flagged windows in ALT-TAB
	  window cycling
	  Fix a focus oddity when switching desks in focus-follow-mouse
	  mode

2002-12-30 14:55  xfce

	* : Apply Thomas Leonard patch :
	  Changes are:
	  
	  - If raise_on_click is off, clicking the titlebar buttons doesn't
	  raise
	  the window.
	  
	  - Button-3 drag on the titlebar moves without raising (previously
	  it did
	  nothing)
	  
	  - Button-3 drag on the frame resizes without raising (previously
	  did
	  nothing).
	  
	  - Button-2 drag on the frame moves without raising (previously
	  did
	  nothing).
	  
	  Button-2 clicks on the frame still do send-to-back.

2002-12-28 23:49  xfce

	* : Change active colors for microdeck2

2002-12-28 10:27  xfce

	* : Cleanup.

2002-12-27 23:02  xfce

	* : A lot of huge and critical internal changes regarding windows
	  stacking. Handle with care, but so far, the changes look good.

2002-12-27 15:30  xfce

	* : Stack list

2002-12-27 10:29  xfce

	* : Apply Thomas Leonard's patch for raise_on-click option
	  Fix a problem with stacking order for EWMH

2002-12-22 14:30  xfce

	* : Add shadow on active title text for "g2" and "tabs" themes

2002-12-21 22:58  xfce

	* : Revert recent changes on microdeck2 theme

2002-12-21 22:27  xfce

	* : *** empty log message ***

2002-12-20 22:07  xfce

	* : *** empty log message ***

2002-12-20 12:05  xfce

	* : Change startup behaviour so that xfwm4 turns into a deamon once
	  initialization is performed.
	  *Beware* requires libxfcegui4 >= 0.0.9

2002-12-19 09:52  xfce

	* : Add optional title_shadow_active and title_shadow_inactive
	  options to themes,
	  Add koynacity theme ported from David Spencer Wysinger's
	  "Koynacity-Blue" theme for Metacity,
	  Modify redmondxp, microdeck2 and curve themes to use the
	  title_shadow_(in)active new option.

2002-12-18 15:59  xfce

	* : Allow negative values for title_horizontal_offset when not in
	  'title_full_width" mode

2002-12-12 21:44  xfce

	* : Even better fix...

2002-12-12 21:34  xfce

	* : Fix value not initialized for state above/below (fix a bug
	  reported by Jasper)

2002-12-12 16:28  xfce

	* : *** empty log message ***

2002-12-12 16:00  xfce

	* : Allow shade button even for frames that specify no menu button
	  (mainly for OpenOffice643)

2002-12-12 14:51  xfce

	* : *** empty log message ***

2002-12-11 22:11  xfce

	* : *** empty log message ***

2002-12-11 17:47  xfce

	* : *** empty log message ***

2002-12-11 17:13  xfce

	* : *** empty log message ***

2002-12-11 17:08  xfce

	* : Use a nice new design for microdeck title bar

2002-12-11 13:50  xfce

	* : *** empty log message ***

2002-12-11 13:32  xfce

	* : *** empty log message ***

2002-12-09 23:03  xfce

	* : Use less relief for buttons

2002-12-09 20:41  xfce

	* : *** empty log message ***

2002-12-09 13:53  xfce

	* : *** empty log message ***

2002-12-09 13:41  xfce

	* : *** empty log message ***

2002-12-07 13:52  xfce

	* : *** empty log message ***

2002-12-07 11:15  xfce

	* : Fix (for good this time, I think) the race cond when dragging
	  windows from one desk to another.

2002-12-06 21:53  xfce

	* : Add info about GTK version used at runtime.

2002-12-06 21:20  xfce

	* : *** empty log message ***

2002-12-06 20:37  xfce

	* : Change inactive title color and stipple.

2002-12-05 21:55  xfce

	* : *** empty log message ***

2002-12-05 21:42  xfce

	* : *** empty log message ***

2002-12-05 19:43  xfce

	* : Use curve colors for active title and corners

2002-12-05 19:36  xfce

	* : *** empty log message ***

2002-12-05 13:01  xfce

	* : *** empty log message ***

2002-12-05 12:57  xfce

	* : Use original color sheme for active title gradient.

2002-12-05 11:28  xfce

	* : Redo gradients

2002-12-04 22:26  xfce

	* : *** empty log message ***

2002-12-04 22:16  xfce

	* : Boom! Redesign completely yhe title bar, nah!

2002-12-04 21:35  xfce

	* : *** empty log message ***

2002-12-04 13:47  xfce

	* : *** empty log message ***

2002-12-04 13:41  xfce

	* : *** empty log message ***

2002-12-04 13:39  xfce

	* : *** empty log message ***

2002-12-04 10:05  xfce

	* : Apply same title as curve theme to microdeck2

2002-12-04 09:47  xfce

	* : Reduce title height by 2 pixels for microdeck2 theme

2002-12-03 21:15  xfce

	* : *** empty log message ***

2002-12-03 16:47  xfce

	* : *** empty log message ***

2002-12-03 09:13  xfce

	* : *** empty log message ***

2002-12-03 07:19  xfce

	* : *** empty log message ***

2002-12-02 14:36  xfce

	* : *** empty log message ***

2002-12-02 14:13  xfce

	* : *** empty log message ***

2002-12-02 13:27  xfce

	* : *** empty log message ***

2002-12-02 09:22  xfce

	* : *** empty log message ***

2002-12-02 09:14  xfce

	* : *** empty log message ***

2002-12-01 21:43  xfce

	* : Revert some changes in "microdeck" and "microdeck2"

2002-12-01 14:43  xfce

	* : Remove unecessary left title alignment in themerc

2002-12-01 11:57  xfce

	* : *** empty log message ***

2002-12-01 11:41  xfce

	* : Reduce title height for theme "redmondxp" (I always thought
	  that Redmond XP has a way to bug title bar!)

2002-11-29 21:55  xfce

	* : *** empty log message ***

2002-11-29 17:29  xfce

	* : Simplify window move routine

2002-11-29 14:13  xfce

	* : *** empty log message ***

2002-11-29 12:11  xfce

	* : Change colo

2002-11-29 10:52  xfce

	* : *** empty log message ***

2002-11-29 10:43  xfce

	* : *** empty log message ***

2002-11-28 20:55  madkiss

	* : Update to debian/-subdir included in xfce4_20021127-1.

2002-11-28 11:24  xfce

	* : Window focus bug when switching desktops.

2002-11-27 16:18  xfce

	* : *** empty log message ***

2002-11-27 14:45  xfce

	* : Put back colored bottom corners

2002-11-27 11:36  xfce

	* : *** empty log message ***

2002-11-26 21:08  xfce

	* : *** empty log message ***

2002-11-26 20:48  xfce

	* : *** empty log message ***

2002-11-26 20:20  xfce

	* : Themes stuff...

2002-11-25 22:22  xfce

	* : *** empty log message ***

2002-11-25 22:13  xfce

	* : Add microdeck2, a small variation on microdeck theme.

2002-11-25 21:45  xfce

	* : *** empty log message ***

2002-11-25 11:37  xfce

	* : Add tiny engraved dots to show corners.

2002-11-23 17:36  xfce

	* : Update for libxfcegui4 new include base dir.

2002-11-22 14:53  xfce

	* : Remove xinerama code to move it to libxfcegui4 (xfwm4 now
	  requires libxfcegui4 >= 0.0.8)

2002-11-22 09:17  xfce

	* : Improve "smoothness"

2002-11-21 14:41  xfce

	* : Add new theme "keramik" from KDE 3.0.3
	  Change "title_vertical_offset" themerc option to
	  "title_vertical_offset_active" and
	  "title_vertical_offset_inactive"
	  Update existing themerc files to reflect this change

2002-11-20 11:13  xfce

	* : mall cleanup.

2002-11-20 09:02  xfce

	* : Color assigns in this themes were messed up...

2002-11-19 17:05  xfce

	* : Add more bound checking when resize/move window.

2002-11-18 13:52  xfce

	* : *** empty log message ***

2002-11-18 11:57  xfce

	* : *** empty log message ***

2002-11-18 07:15  xfce

	* : Allow move of windows when maximized

2002-11-14 20:46  xfce

	* : *** empty log message ***

2002-11-14 16:21  xfce

	* : *** empty log message ***

2002-11-14 13:33  xfce

	* : *** empty log message ***

2002-11-13 16:36  xfce

	* : *** empty log message ***

2002-11-13 15:00  xfce

	* : *** empty log message ***

2002-11-13 14:40  xfce

	* : *** empty log message ***

2002-11-13 13:42  xfce

	* : Remove colored corners to get a slick frame.

2002-11-12 16:26  xfce

	* : *** empty log message ***

2002-11-12 15:00  xfce

	* : anti aliasing for menu/shade buttons

2002-11-12 09:35  xfce

	* : *** empty log message ***

2002-11-10 23:09  xfce

	* : Add support for xinerama, and optimize window move (unrelated,
	  but I just came across an easy optimization while reviewing the
	  code :)

2002-11-10 14:04  xfce

	* : Update ChangeLog.

2002-11-10 10:07  madkiss

	* : Initial revision

2002-11-10 09:21  xfce

	* : *** empty log message ***

2002-11-09 21:25  xfce

	* : Change title

2002-11-09 20:52  xfce

	* : Improve AA on stick and close buttons

2002-11-09 20:00  xfce

	* : *** empty log message ***

2002-11-09 19:49  xfce

	* : *** empty log message ***

2002-11-09 19:47  xfce

	* : *** empty log message ***

2002-11-09 11:38  xfce

	* : Remove the black frame arround title

2002-11-09 10:39  xfce

	* : *** empty log message ***

2002-11-09 10:34  xfce

	* : Reduce the external black border from 2 pixels to 1 pixel.

2002-11-08 22:09  xfce

	* : make sure required libs for build/rpm are listed, with versions
	  and keep the minimum version required at only one place
	  (configure.in)

2002-11-08 14:25  xfce

	* : Add NET_WM_STATE_ABOVE and NET_WM_STATE_BELOW hints support
	  (EWMH 1.2)

2002-11-08 10:43  xfce

	* : Take into account implementation note on EWMH 1.2 regarding
	  NET_STATE_HIDDEN

2002-11-08 10:15  xfce

	* : *** empty log message ***

2002-11-08 09:42  xfce

	* : *** empty log message ***

2002-11-07 22:45  xfce

	* : Change initial theme to "microdeck" (default fallback remains
	  "bbs")

2002-11-07 22:21  xfce

	* : *** empty log message ***

2002-11-07 22:15  xfce

	* : Add theme "microdeck" that I find fairly nice for a theme that
	  uses only gtk colors.

2002-11-07 15:02  xfce

	* : *** empty log message ***

2002-11-06 20:35  xfce

	* : *** empty log message ***

2002-11-06 15:48  xfce

	* : *** empty log message ***

2002-11-06 15:40  xfce

	* : *** empty log message ***

2002-11-06 10:59  xfce

	* : Spec file.

2002-11-05 21:41  xfce

	* : *** empty log message ***

2002-11-05 16:11  xfce

	* : *** empty log message ***

2002-11-05 11:22  xfce

	* : Add "fbx" theme.

2002-11-04 14:27  xfce

	* : *** empty log message ***

2002-11-03 21:41  xfce

	* : *** empty log message ***

2002-11-03 21:21  xfce

	* : *** empty log message ***

2002-11-03 21:06  xfce

	* : *** empty log message ***

2002-11-03 20:56  xfce

	* : Add theme "quiet-purple" ported/adapted from metacity.

2002-11-02 21:46  xfce

	* : *** empty log message ***

2002-11-02 21:23  xfce

	* : *** empty log message ***

2002-11-02 16:55  xfce

	* : Add theme tgc and remove Makefiles added by mistake for themes
	  beastie and tux

2002-11-02 10:56  xfce

	* : Add theme "atlanta" ported from metacity

2002-11-01 19:51  huysmans

	* : Updated beastie. Give a bit more space to title

2002-11-01 19:33  huysmans

	* : And the final two updates

2002-11-01 19:29  huysmans

	* : Now I promis I won't touch anything anymore today. This should
	  fix the mess I created.

2002-11-01 19:10  huysmans

	* : Still not right ...

2002-11-01 19:04  huysmans

	* : Forgot to update configure.in

2002-11-01 18:57  huysmans

	* : Add two themes by twj: beastie and tux. Tux was made just to
	  avoid flaming ;-)

2002-11-01 14:02  xfce

	* : Port theme "elberg" from Sawfish

2002-11-01 09:26  xfce

	* : *** empty log message ***

2002-10-31 14:54  xfce

	* : Add theme "biz"

2002-10-30 18:58  xfce

	* : Change title height of "variation" theme

2002-10-30 17:42  xfce

	* : *** empty log message ***

2002-10-29 21:24  xfce

	* : *** empty log message ***

2002-10-29 21:20  xfce

	* : Change theme variation a bit.

2002-10-29 11:44  xfce

	* : *** empty log message ***

2002-10-28 22:04  xfce

	* : Add variation theme, a very simplistic theme with large borders
	  and buttons.

2002-10-28 10:58  xfce

	* : *** empty log message ***

2002-10-28 10:47  xfce

	* : *** empty log message ***

2002-10-27 22:16  xfce

	* : Ooops! Never make a change in the code just before going...

2002-10-27 16:31  xfce

	* : Fix memory leak in key parsing as spotted by Thomas Leonard
	  <tal00r@ecs.soton.ac.uk>

2002-10-27 10:18  xfce

	* : Slightly change the hide button for bbs theme.

2002-10-27 10:11  xfce

	* : Change autogen.sh script to use env vars if available.

2002-10-26 15:09  xfce

	* : Get rid of XGrabServer and use gdk similar implementation

2002-10-25 21:58  xfce

	* : Increase priority to 30

2002-10-24 21:09  xfce

	* : Rearrange some part of the code.

2002-10-24 09:03  xfce

	* : Use save_phase_2 callback instead of save_yourself callback

2002-10-22 13:31  xfce

	* : *** empty log message ***

2002-10-21 22:28  xfce

	* : *** empty log message ***

2002-10-21 21:08  xfce

	* : *** empty log message ***

2002-10-21 20:07  xfce

	* : dd initial support to session management.

2002-10-18 09:56  xfce

	* : Change maximize/hide buttons

2002-10-18 09:42  xfce

	* : Change spec file to required libxfcegui4 and libxfcegui4-devel
	  for build.

2002-10-18 09:21  xfce

	* : Move some routines out of xfwm4 to libxfwmgui4, make xfwm4
	  depend on libxfcegui4

2002-10-17 20:17  xfce

	* : Add new option "title_horizontal_offset" for themerc

2002-10-17 12:04  xfce

	* : button spacing and offset.

2002-10-17 11:58  xfce

	* : Add theme "silverado"

2002-10-16 08:44  xfce

	* : Unroll loops in frameDraw to make it faster, change bottom
	  pixmap for curve theme.

2002-10-15 12:49  xfce

	* : *** empty log message ***

2002-10-15 12:02  xfce

	* : *** empty log message ***

2002-10-14 12:12  xfce

	* : *** empty log message ***

2002-10-14 09:20  xfce

	* : *** empty log message ***

2002-10-12 14:36  xfce

	* : Add missing buttons (shade/stick) to the theme, allow free
	  placement of buttons, remove colored bottom corners.

2002-10-12 12:53  xfce

	* : Remove transparent pixel on each border to avoid using XShape
	  on default theme.

2002-10-11 14:30  xfce

	* : *** empty log message ***

2002-10-11 09:35  xfce

	* : *** empty log message ***

2002-10-11 08:59  xfce

	* : *** empty log message ***

2002-10-11 08:49  xfce

	* : *** empty log message ***

2002-10-11 08:13  xfce

	* : *** empty log message ***

2002-10-10 21:30  xfce

	* : Change bbs buttons

2002-10-10 21:17  xfce

	* : Change bbs buttons

2002-10-10 08:37  xfce

	* : *** empty log message ***

2002-10-09 22:15  xfce

	* : Fix a bug in double click time computation (actually I'm
	  surprised this ever worked before...)

2002-10-04 14:49  xfce

	* : *** empty log message ***

2002-10-04 14:23  xfce

	* : *** empty log message ***

2002-10-04 12:32  xfce

	* : Turn inactive pixmaps to pure greyscale.

2002-10-03 20:35  xfce

	* : *** empty log message ***

2002-10-03 19:49  xfce

	* : Change the design of buttons (slick theme)

2002-10-03 15:19  xfce

	* : *** empty log message ***

2002-10-03 15:07  xfce

	* : *** empty log message ***

2002-10-03 13:01  xfce

	* : *** empty log message ***

2002-10-01 22:16  xfce

	* : Fix a bug in redrawing frame when un-minimizing a window from
	  an external program (such as gnome panel)
	  Some minor optimizations.

2002-10-01 21:22  xfce

	* : *** empty log message ***

2002-10-01 20:08  xfce

	* : Add "metabox" theme, a theme from Metacity ported to xfwm4.

2002-09-30 15:11  xfce

	* : *** empty log message ***

2002-09-30 13:23  xfce

	* : *** empty log message ***

2002-09-29 17:14  xfce

	* : Put back the "fleur" cursor for moving using keyboard. Don't
	  change cursor when move is performed using the mouse.

2002-09-29 12:41  xfce

	* : Replace "fleur" cursor with standard arrow cursor for moving
	  windows.

2002-09-29 12:10  xfce

	* : Smaller is better (tm)

2002-09-28 21:33  xfce

	* : *** empty log message ***

2002-09-28 13:41  xfce

	* : Add removal of autom4te.cache dir at distclean.

2002-09-28 13:27  xfce

	* : Chnage theme "slick", add round corner, change buttons.

2002-09-28 12:10  xfce

	* : Change bottom

2002-09-27 21:45  xfce

	* : *** empty log message ***

2002-09-27 21:42  xfce

	* : Add new theme "gnububble"

2002-09-26 15:49  xfce

	* : Improve readability.

2002-09-25 12:37  xfce

	* : Reduce title height by 2 pixels for theme "slick".

2002-09-24 09:56  xfce

	* : Remove "destroy" from frame menu.

2002-09-23 13:26  xfce

	* : Include Thomas' patch

2002-09-22 20:57  xfce

	* : active corners.

2002-09-22 19:10  xfce

	* : title_vertical_offset = 2 pixel.

2002-09-22 19:06  xfce

	* : Slightly modify corners and borders.

2002-09-22 17:10  xfce

	* : Smooth top corners.

2002-09-22 13:51  xfce

	* : Add new theme "pills"

2002-09-22 09:50  xfce

	* : Change policy on hiding windows.

2002-09-20 21:33  xfce

	* : Change buttons and active text color.

2002-09-20 20:24  xfce

	* : Bug hunting.

2002-09-20 15:15  xfce

	* : *** empty log message ***

2002-09-20 13:14  xfce

	* : *** empty log message ***

2002-09-20 08:07  xfce

	* : *** empty log message ***

2002-09-19 21:58  xfce

	* : Shift title vertically by 2 pixels for "tabs" theme

2002-09-19 21:25  xfce

	* : Add new theme "tabs" (really nice, check it out)

2002-09-19 06:13  xfce

	* : Theme tweaking.

2002-09-18 20:00  xfce

	* : lighten slick theme.

2002-09-18 12:53  xfce

	* : *** empty log message ***

2002-09-18 12:38  xfce

	* : Add thin black frame.

2002-09-18 10:36  xfce

	* : Fix a (small) bug in button mask.

2002-09-17 10:36  xfce

	* : *** empty log message ***

2002-09-17 09:38  xfce

	* : *** empty log message ***

2002-09-16 19:20  xfce

	* : Change bbs title style.

2002-09-16 10:40  xfce

	* : *** empty log message ***

2002-09-16 10:29  xfce

	* : *** empty log message ***

2002-09-16 09:06  xfce

	* : Shape problem.

2002-09-16 08:11  xfce

	* : Enlarge bottom handles.

2002-09-15 20:50  xfce

	* : Revert some of the changes regarding transients treated as
	  dialogs since its incomatible with the assumption that a
	  transient is at the same layer as its transient_for window.

2002-09-15 19:39  xfce

	* : Theme tweaking (bbs)
	  Remove menu button from dialogs.

2002-09-15 13:17  xfce

	* : A lot of code cleanup and small internal improvements.

2002-09-14 21:35  xfce

	* : Port "adept" theme from Sawfish.

2002-09-14 15:34  xfce

	* : Improve Motif MWM hints compatibility.

2002-09-13 21:47  xfce

	* : HEy! I just found a potential bug in button shaping routine!

2002-09-13 20:45  xfce

	* : Implement smarter title buttons, hide maximize/hide/menu
	  buttons when required.
	  Fool proof button settings management.

2002-09-13 16:14  xfce

	* : *** empty log message ***

2002-09-13 13:19  xfce

	* : Smarter hide function.

2002-09-13 10:52  xfce

	* : *** empty log message ***

2002-09-13 10:37  xfce

	* : Theme tweaking.

2002-09-12 19:53  xfce

	* : Update ChangeLog.

2002-09-12 19:46  xfce

	* : Change "exocet" border to be smoother, with an enhanced 3D
	  look.

2002-09-12 16:34  xfce

	* : *** empty log message ***

2002-09-12 10:19  xfce

	* : *** empty log message ***

2002-09-11 16:58  xfce

	* : *** empty log message ***

2002-09-11 14:35  xfce

	* : *** empty log message ***

2002-09-11 12:51  xfce

	* : *** empty log message ***

2002-09-11 09:29  xfce

	* : *** empty log message ***

2002-09-10 20:41  xfce

	* : Small bug in top-left corner.

2002-09-10 20:29  xfce

	* : Implement a smarter placement for transient windows.

2002-09-10 19:59  xfce

	* : Add them "microgui" ported from sawfish.

2002-09-10 15:32  xfce

	* : *** empty log message ***

2002-09-10 11:07  xfce

	* : *** empty log message ***

2002-09-09 07:52  xfce

	* : Add "coolclean" theme ported from Sawfish by Biju Chacko
	  <botsie@myrealbox.com>

2002-09-06 13:41  xfce

	* : *** empty log message ***

2002-09-06 12:36  xfce

	* : *** empty log message ***

2002-09-05 20:26  xfce

	* : *** empty log message ***

2002-09-05 15:53  xfce

	* : *** empty log message ***

2002-09-05 14:07  xfce

	* : *** empty log message ***

2002-09-05 13:31  xfce

	* : *** empty log message ***

2002-09-04 21:24  xfce

	* : cans dirs for theme so there is no need to specify full path
	  anymore (but still work for backward compatibilty). E.g: you can
	  use "theme=exocet" now.
	  Also make sure the theme dir exists, fallback to default
	  otherwise.

2002-09-04 20:16  xfce

	* : Reverse the gtkSettings object. Need to fine another solution.

2002-09-04 14:29  xfce

	* : *** empty log message ***

2002-09-04 13:59  xfce

	* : *** empty log message ***

2002-09-04 12:45  xfce

	* : *** empty log message ***

2002-09-04 10:49  xfce

	* : Constaint window pos at first map and during move.

2002-09-04 07:52  xfce

	* : *** empty log message ***

2002-09-03 21:11  xfce

	* : *** empty log message ***

2002-09-03 20:29  xfce

	* : *** empty log message ***

2002-09-03 12:57  xfce

	* : *** empty log message ***

2002-09-03 12:37  xfce

	* : *** empty log message ***

2002-09-03 12:31  xfce

	* : *** empty log message ***

2002-09-03 09:05  xfce

	* : *** empty log message ***

2002-09-03 08:53  xfce

	* : *** empty log message ***

2002-09-02 22:01  xfce

	* : Add theme "curve"

2002-09-02 07:38  xfce

	* : Replace "rpm -ta" with "rpmbuild -ta"

2002-09-01 14:51  xfce

	* : *** empty log message ***

2002-09-01 08:54  xfce

	* : *** empty log message ***

2002-09-01 08:40  xfce

	* : *** empty log message ***

2002-09-01 08:25  xfce

	* : *** empty log message ***

2002-08-31 13:53  xfce

	* : Improve shadows on top corners.

2002-08-31 13:41  xfce

	* : Remove mispelled file.

2002-08-31 13:35  xfce

	* : *** empty log message ***

2002-08-31 13:14  xfce

	* : *** empty log message ***

2002-08-30 12:50  xfce

	* : Remove xsettings sample implementation (as we'll use gtk
	  mechanism anyway)

2002-08-30 12:45  xfce

	* : *** empty log message ***

2002-08-30 08:13  xfce

	* : Whoops, forgot to add the actual pixmaps ! Sorry for those who
	  tried the CVS last night...

2002-08-29 19:47  xfce

	* : Add new theme "bbs", put "exocet" and "bbs" themes in xfwm4
	  spec file (ie not xfwm4-themes), use bbs as default theme instead
	  of "kindaker".

2002-08-28 22:10  xfce

	* : Redesign theme exocet (3rd attempt)

2002-08-28 20:25  xfce

	* : Change exocet theme

2002-08-28 10:39  xfce

	* : *** empty log message ***

2002-08-28 10:14  xfce

	* : *** empty log message ***

2002-08-28 09:04  xfce

	* : *** empty log message ***

2002-08-27 22:11  xfce

	* : Add new theme "exocet", begin xsettings support using
	  GtkSettings.

2002-08-27 16:49  xfce

	* : *** empty log message ***

2002-08-27 16:20  xfce

	* : *** empty log message ***

2002-08-26 09:43  xfce

	* : Use gtk-double-click-time value.

2002-08-25 22:18  xfce

	* : Remove xsettings init for safety, right now.

2002-08-25 22:16  xfce

	* : Remove the annoying "beep" on xsetting notification.

2002-08-25 21:15  xfce

	* : *** empty log message ***

2002-08-25 20:53  xfce

	* : More on xsetting integration. It now connects to the server and
	  listen to xsettings events.

2002-08-23 08:04  xfce

	* : Recenter title vertically as suggested by Eugenia.

2002-08-22 20:48  xfce

	* : Add new theme "b6". Interesting because it uses both own colors
	  and theme colors to display nice hilights and shadows.

2002-08-21 15:41  xfce

	* : Add new option "focus_hint" (boolean) to specify whether or not
	  app focus hint should be honored by xfwm4.

2002-08-21 10:09  xfce

	* : Remove the layer constraint in overlap computation.

2002-08-20 20:59  xfce

	* : Theme tweaking.

2002-08-20 14:24  xfce

	* : *** empty log message ***

2002-08-19 21:40  xfce

	* : Add a new theme "piranha" I did just for fun.

2002-08-17 11:13  xfce

	* : *** empty log message ***

2002-08-17 10:16  xfce

	* : Fix a slight overlapping area in clientInitPosition()

2002-08-10 21:15  xfce

	* : Use "mid" color as background color for pressed buttons in iceg
	  theme (the one I prefer)

2002-08-10 20:40  xfce

	* : Introduce a new color for themes, "mid" corresponding to the
	  gtk color of the same name, and add a new theme "ops" that makes
	  use of this (mainly as a proof of concept ;-) )

2002-07-27 11:57  xfce

	* : Change border color of the title frame.

2002-07-24 19:29  xfce

	* : *** empty log message ***

2002-07-24 15:24  xfce

	* : Update ChangeLog

2002-07-24 15:23  xfce

	* : Really, nothing important.

2002-07-24 12:36  xfce

	* : Update ChangeLog

2002-07-24 08:32  xfce

	* : Theme tweaking.

2002-07-23 21:11  xfce

	* : Last tweakings. Should be back to a fairly stable state now...

2002-07-23 13:01  xfce

	* : Comments

2002-07-23 10:56  xfce

	* : *** empty log message ***

2002-07-23 09:34  xfce

	* : Some more tweaking in event management (specifically button
	  press/release).

2002-07-23 05:35  xfce

	* : *** empty log message ***

2002-07-22 22:30  xfce

	* : Bunch of changes, some being tricky. Still handle with care
	  (although things are getting better now)

2002-07-22 16:59  xfce

	* : *** empty log message ***

2002-07-22 08:57  xfce

	* : *** empty log message ***

2002-07-22 08:26  xfce

	* : Improve double click management.

2002-07-21 22:28  xfce

	* : Whoops! Typos in g_return_if_fail() causing troubles...

2002-07-21 22:17  xfce

	* : Change time in grabs for double click to use event time instead
	  of CurrentTime

2002-07-21 21:57  xfce

	* : Implement a much smarter way of detecting double clicks, and
	  implement double click on menu button = close.

2002-07-21 13:46  xfce

	* : While we're at it, use the tmp event window to grab the
	  keyboard too.

2002-07-21 13:19  xfce

	* : Implement a patch for kde 2.1alpha1 (experimental) published on
	  xfree86 mailing list to speedup move/resize.

2002-07-20 13:37  xfce

	* : Change the click=raise+focus policy. Alt+click not necessarily
	  raise and focus window (unless click occurs in the frame)

2002-07-20 12:36  xfce

	* : Enlarge border for iceg theme

2002-07-20 12:28  xfce

	* : Improve button press callback handler

2002-07-20 12:02  xfce

	* : Change event mask to avoid side effects on gtk menu.

2002-07-19 21:15  xfce

	* : Cleanup/finishing up previous fix.

2002-07-19 20:49  xfce

	* : Fixed a really tricky problem with mouse button events (causing
	  trouble to dosemu)
	  Handle with care.

2002-07-18 09:30  xfce

	* : *** empty log message ***

2002-07-18 09:28  xfce

	* : Remove the "dots" on title active (I really prefer flat, slick
	  look)

2002-07-18 08:58  xfce

	* : Update ChangeLog

2002-07-18 08:49  xfce

	* : Use proper GTK color for active title text.

2002-07-16 21:44  xfce

	* : Even some more small bugfixes between transients and virtual
	  desktops,
	  Some small optimizations.

2002-07-16 11:16  xfce

	* : Bug fix in transient vs. virtual desktops management.

2002-07-15 10:05  xfce

	* : *** empty log message ***

2002-07-14 13:26  xfce

	* : Fix a bug in stacking when a window had more than one
	  transient.

2002-07-14 08:42  xfce

	* : Change action of top left button in "b5" theme to "close"
	  instead of "menu" to keep as close as possible to the original
	  system.

2002-07-13 16:50  xfce

	* : Change vertical offset for "b5"

2002-07-13 16:44  xfce

	* : Add "b5" theme

2002-07-12 22:14  xfce

	* : Again theme stuff...

2002-07-12 21:27  xfce

	* : Quinx theme tweaking

2002-07-12 13:43  xfce

	* : *** empty log message ***

2002-07-12 13:32  xfce

	* : *** empty log message ***

2002-07-12 13:25  xfce

	* : Theme tweaking

2002-07-12 13:22  xfce

	* : *** empty log message ***

2002-07-11 15:07  xfce

	* : *** empty log message ***

2002-07-11 14:53  xfce

	* : *** empty log message ***

2002-07-11 14:11  xfce

	* : Theme stuff.

2002-07-10 09:44  xfce

	* : *** empty log message ***

2002-07-10 09:25  xfce

	* : Round corners

2002-07-09 21:48  xfce

	* : Add new theme "g2" based on a screen capture of GNOME2.

2002-07-09 16:52  xfce

	* : Theme stuff.

2002-07-09 11:08  xfce

	* : transient windows/workspace switch stuff

2002-07-08 19:56  xfce

	* : *** empty log message ***

2002-07-08 08:37  xfce

	* : Theme stuff.

2002-07-07 20:24  xfce

	* : Update ChangeLog.

2002-07-07 13:13  xfce

	* : Update ChangeLog

2002-07-07 08:38  xfce

	* : Change theme retro,
	  add theme retro to spec file

2002-07-07 07:38  xfce

	* : Fix a bug when window title was < 0

2002-07-06 22:26  xfce

	* : Fixed a (potential ?) bug in frameDraw when window is shaded,
	  add a new theme "retro"

2002-07-05 21:23  uid44859

	* : Quinx theme tweaking

2002-07-05 15:53  xfce

	* : Remove the call to clientRemoveMaximizedFlag from clientMove as
	  it has side effects on titlebar dbl. click

2002-07-04 19:32  xfce

	* : Update ChangeLog, release 020704 preview.

2002-07-04 14:47  xfce

	* : *** empty log message ***

2002-07-04 08:30  xfce

	* : *** empty log message ***

2002-07-04 08:29  xfce

	* : Allow move/resize of windows even in maximized state

2002-07-04 08:09  xfce

	* : config.guess and config.sub were missing (??)

2002-07-04 08:08  xfce

	* : Remove maximize flag when the client sends configureRequests

2002-07-03 21:49  xfce

	* : Prevent focus change to dock and desktop windows in focus
	  follow mode, redesign button for redmondxp.

2002-07-03 14:21  xfce

	* : *** empty log message ***

2002-07-03 14:15  xfce

	* : *** empty log message ***

2002-07-03 09:43  xfce

	* : Don't constrait position (including initial placement) on docks
	  and desktop windows.

2002-07-03 08:26  xfce

	* : Add requirement for autoconf 2.52 in rpms spec (BuildRequires).

2002-07-03 08:22  xfce

	* : Fix deprecated AC_DEFINE use and remove acconfig.h as it's
	  deprecated with automake 2.5x

2002-07-02 20:26  xfce

	* : Various cleanups

2002-07-02 08:55  xfce

	* : Remove warnings at compile.

2002-07-01 20:36  xfce

	* : Update ChangeLog

2002-07-01 20:12  xfce

	* : Add new theme "quinx".

2002-07-01 09:27  xfce

	* : Small theme tweaking

2002-07-01 08:41  xfce

	* : *** empty log message ***

2002-07-01 08:08  xfce

	* : Constraint window initial placement within the margins.

2002-06-30 21:03  xfce

	* : *** empty log message ***

2002-06-30 20:10  xfce

	* : *** empty log message ***

2002-06-28 15:38  xfce

	* : *** empty log message ***

2002-06-28 10:40  xfce

	* : *** empty log message ***

2002-06-28 08:37  xfce

	* : *** empty log message ***

2002-06-27 22:06  xfce

	* : Add new theme "r9x" ported from a theme for Enlightenment e16

2002-06-26 16:02  xfce

	* : Check struts at clientUnframe()

2002-06-26 15:48  xfce

	* : Change default title alignment fir default theme (kindaker) to
	  left instead of right.

2002-06-26 10:28  xfce

	* : Block stacking request for WINDOW_DESKTOP type windows.

2002-06-25 23:02  xfce

	* : Code cleanup

2002-06-25 22:45  xfce

	* : Add support for initial_state

2002-06-25 21:51  xfce

	* : Remove XSync()

2002-06-23 22:03  xfce

	* : *** empty log message ***

2002-06-23 21:56  xfce

	* : Improve stacking for ROX.

2002-06-23 21:04  xfce

	* : Include non visible windows in stack computation (with the hope
	  that fixes the bug reported by Jasper)

2002-06-22 15:14  xfce

	* : *** empty log message ***

2002-06-22 15:11  xfce

	* : Theme tweaking...

2002-06-22 12:44  xfce

	* : Theme tweaking

2002-06-21 10:55  xfce

	* : Theme tweaking...

2002-06-20 08:00  xfce

	* : Theme tweaking.

2002-06-19 12:39  xfce

	* : *** empty log message ***

2002-06-19 12:09  xfce

	* : *** empty log message ***

2002-06-19 11:02  xfce

	* : Theme tweaking

2002-06-19 10:54  xfce

	* : Theme tweaking

2002-06-19 08:49  xfce

	* : *** empty log message ***

2002-06-18 15:37  xfce

	* : Change key modifiers' name, use Alt, Meta instead of Mod1 and
	  Mod2
	  Other stuff (sorry, I can't remember right now :-( )

2002-06-17 21:03  xfce

	* : Add margins for in clientConstraintPos()

2002-06-17 16:11  xfce

	* : Revert last change

2002-06-17 15:27  xfce

	* : Use margins in clientConstraintPos()

2002-06-17 08:01  xfce

	* : Install system colormap as widget colormap

2002-06-14 21:03  xfce

	* : Add a threshold for client visibility

2002-06-14 13:46  xfce

	* : *** empty log message ***

2002-06-13 21:36  xfce

	* : Various cleanups

2002-06-13 15:34  xfce

	* : Grab keyboard only when absolutely necessary (in clientMove(),
	  clientResize())
	  Test result of menu_popup() and repaint titlebar accordingly

2002-06-13 12:41  xfce

	* : *** empty log message ***

2002-06-12 18:35  xfce

	* : *** empty log message ***

2002-06-12 18:29  xfce

	* : *** empty log message ***

2002-06-12 16:18  xfce

	* : *** empty log message ***

2002-06-12 08:26  xfce

	* : Improve window gravity management

2002-06-11 21:18  xfce

	* : Add depcomp for automake 1.6

2002-06-11 21:16  xfce

	* : Add new theme "gorilla" inspired by Sawfish and Metacity themes
	  and migrate to autoconf 1.6

2002-06-11 15:59  xfce

	* : Improve NET type detection for apps/windows that do not support
	  the NET standards

2002-06-11 12:07  xfce

	* : Set NET_* properties while the server is grabbed when framing
	  clients (should make the framing faster).

2002-06-10 16:28  xfce

	* : *** empty log message ***

2002-06-10 16:28  xfce

	* : *** empty log message ***

2002-06-10 15:31  xfce

	* : *** empty log message ***

2002-06-10 15:29  xfce

	* : Slick revisited

2002-06-10 15:01  xfce

	* : Slick revisited

2002-06-10 12:21  xfce

	* : Grab server when framing/unframing all clients at startup/exit

2002-06-10 10:36  xfce

	* : Fix a possible crash when popEventFilter is called during
	  filter stack processing

2002-06-05 20:52  xfce

	* : Fix a problem with StarOffice6.0/OpenOffice1.0

2002-06-05 15:57  xfce

	* : *** empty log message ***

2002-06-05 14:59  xfce

	* : Set various hints *after* first map of window

2002-06-04 16:17  xfce

	* : Drag'n drop of windows between workspaces in GNOME Workspace
	  Switcher works now.

2002-06-04 10:31  xfce

	* : Fix a problem with example.xfwm4rc genaration

2002-06-04 08:10  xfce

	* : *** empty log message ***

2002-06-04 08:07  xfce

	* : Improve rendering

2002-06-03 19:34  xfce

	* : Change default theme to "kindaker"

2002-06-03 15:42  xfce

	* : Add names of the original Keramik authors for credits in the
	  README file.

2002-06-03 07:56  xfce

	* : Change inactive title color to dark blue instead of black for
	  "kindaker" theme.

2002-06-02 21:58  xfce

	* : *** empty log message ***

2002-06-01 11:26  xfce

	* : Add README files

2002-06-01 11:25  xfce

	* : Add new theme "kindaker" based on KDE theme "keramik", add a
	  README file for all themes.

2002-05-31 16:25  xfce

	* : *** empty log message ***

2002-05-31 15:54  xfce

	* : *** empty log message ***

2002-05-31 13:29  xfce

	* : *** empty log message ***

2002-05-28 13:39  xfce

	* : Add -DG_DISABLE_DEPRECATED in Makefile.am

2002-05-27 21:38  xfce

	* : Add new theme

2002-05-26 21:34  xfce

	* : Add new theme (ported from sawfish)

2002-05-25 13:57  xfce

	* : *** empty log message ***

2002-05-24 22:15  xfce

	* : *** empty log message ***

2002-05-24 21:47  xfce

	* : *** empty log message ***

2002-05-24 20:54  xfce

	* : Make separate noarch rpm for themes

2002-05-24 08:03  xfce

	* : As suggested by JAsper, adjust .indent.pro options for my own
	  taste and apply on sources.

2002-05-23 22:24  xfce

	* : Improve build process, add automatic xfwm4.spec generation

2002-05-23 17:10  xfce

	* : *** empty log message ***

2002-05-23 16:44  xfce

	* : *** empty log message ***

2002-05-23 10:07  xfce

	* : Clean up build/install procedure and add a spec file so we have
	  now a rpm

2002-05-22 16:39  xfce

	* : *** empty log message ***

2002-05-22 16:36  xfce

	* : *** empty log message ***

2002-05-22 15:33  xfce

	* : *** empty log message ***

2002-05-22 15:10  xfce

	* : *** empty log message ***

2002-05-22 13:06  xfce

	* : Add net_wm_state_fullscreen support

2002-05-22 08:54  xfce

	* : Disable double buffereing on internal gtk widget

2002-05-21 21:14  xfce

	* : *** empty log message ***

2002-05-20 21:33  xfce

	* : Whoops.

2002-05-20 21:29  xfce

	* : Huh ?

2002-05-19 20:34  xfce

	* : Improve responsiveness when sigterm/sigkill is received

2002-05-17 23:25  xfce

	* : Make sure it compiles without warnings when adding
	  -DGTK_DISABLE_DEPRECATED

2002-05-17 13:11  xfce

	* : Improve focus switching in case of unmap/destroy notify

2002-05-17 10:37  xfce

	* : *** empty log message ***

2002-05-17 09:25  xfce

	* : Change focus handling to be faster and use less memory

2002-05-16 21:16  xfce

	* : Improve focus handling by using GNOME protocol, ICCCM and wm
	  hints (in this order)

2002-05-15 21:56  xfce

	* : Update README file

2002-05-15 21:46  xfce

	* : Change defaults

2002-05-15 21:41  xfce

	* : Add colorcloseness and colormap to loadPixmap attributes

2002-05-14 21:46  xfce

	* : *** empty log message ***

2002-05-14 21:16  xfce

	* : Rearrange menu and add a new option "hide all others"

2002-05-14 20:36  xfce

	* : Change menu button for the crux theme

2002-05-14 19:55  xfce

	* : Revert to decorating net_wm_window_type_menu windows

2002-05-14 06:10  xfce

	* : *** empty log message ***

2002-05-13 21:44  xfce

	* : Add support for colormaps handling/notification

2002-05-12 21:30  xfce

	* : Add the ability to override gtk colors from within themerc or
	  user pref.

2002-05-12 21:04  xfce

	* : Fix the problem with Kdesktop not starting properly (the
	  problem was with net_workarea property)

2002-05-12 12:03  xfce

	* : Set net_wm_desktop as startup although it prevents kdesktop to
	  start properly (which is still a mystery for me)

2002-05-12 00:11  xfce

	* : Fix a bug introduced earlier today

2002-05-11 21:26  xfce

	* : *** empty log message ***

2002-05-11 21:25  xfce

	* : Add an example of gtkrc-2.0 file for xfwm4

2002-05-11 21:24  xfce

	* : Enhance speed, fix bug with window name property vs. pango and
	  UTF8, add crux theme from Sawfish (GNOME) window manager.

2002-05-08 21:14  xfce

	* : *** empty log message ***

2002-05-08 21:06  xfce

	* : Again shade button

2002-05-08 21:01  xfce

	* : Change kde theme buttons shade and menu

2002-05-08 12:35  xfce

	* : Improve some of the KDE theme buttons

2002-05-08 09:19  xfce

	* : Reduce the portion of code when the server is grabbed so
	  application windows have a better chance to set their settings
	  when mapping.

2002-05-07 22:22  xfce

	* : Use Jens' idea about gtk style to set color/fonts on window
	  decorations.
	  
	  Something like :
	  
	  style "titlebar"
	  {
	  font_name = "Sans 14"
	  }
	  
	  widget "xfwm" style "titlebar"
	  
	  does the trick now.

2002-05-07 21:24  xfce

	* : Add kde like theme

2002-05-07 11:01  xfce

	* : Fix some pedantic warnings

2002-05-07 08:24  xfce

	* : Remove previous "windows" theme

2002-05-07 08:20  xfce

	* : Rename "windows" theme to "redmond" and rename previous
	  "redmond" to "redmondxp"

2002-05-06 22:35  xfce

	* : Various small fixes

2002-05-06 20:26  xfce

	* : net_wm-strut stuff (try to pronounce this sentence 10 times as
	  fast as you can)

2002-05-06 15:28  xfce

	* : Improve net_wm_strut implementation

2002-05-06 14:42  xfce

	* : Complete net_wm_strut support

2002-05-06 14:03  xfce

	* : preliminary struts support

2002-05-06 07:41  xfce

	* : Change use of GTK colors for frame rendering

2002-05-05 22:38  xfce

	* : *** empty log message ***

2002-05-05 18:39  xfce

	* : Add linea theme

2002-05-05 15:06  xfce

